2015-04-10  Nicolas Petton  <nicolas@petton.fr>

	* Version 24.5 released.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Version 24.4 released.

2014-10-12  Marco Wahl  <marcowahlsoft@gmail.com>

	* org-agenda.el (org-get-entries-from-diary): Use
	`diary-fancy-display' instead of the obsolete
	`diary-display-hook'.

2014-10-12  Nicolas Goaziou  <mail@nicolasgoaziou.fr>

	* ox.el (org-export-async-start): Limit first argument to lambda
	expressions.

	* ox-publish.el (org-publish, org-publish-all)
	(org-publish-current-file): Replace `ignore', per limit stated
	above.

2014-10-12  Christopher Schmidt  <ch@ristopher.com>

	* org.el (orgstruct-make-binding): Do not use loop in interpreted
	code.

2014-10-12  Mike McLean  <mike.mclean@pobox.com>  (tiny change)

	* org-agenda.el (org-agenda-time-grid): Change docstring.

2014-10-12  Nicolas Goaziou  <mail@nicolasgoaziou.fr>

	* ox.el (org-export-async-start): Allow to use symbols as
	function.

2014-10-02  Achim Gratz  <Stromeko@Stromeko.DE>

	* ob-sh.el (org-babel-sh-initiate-session): After initiating a
	session, initialize the marker `comint-last-output-start' since it
	is going to be used by the ANSI color filter without further
	checks in Emacs 23 and throws an error.

	* ob-lilypond.el: Change prefix from `ly-' to
	`org-babel-lilypond-' throughout.

	* org-footnote.el: Forward declare `org-element-context',
	`org-element-property' and `org-element-type'.

	* org.el: Add forward declarations for a number of functions that
	the compiler otherwise warns about as potentially undefined at
	runtime.

	* ob-core.el: Add comment to forward declaration of
	'org-src-preserve-indentations'.

	* ob-exp.el: Require org-src to import
	'org-src-preserve-indentations'.

	* ob-haskell.el, ob-python.el: Remove superfluous forward
	declaration of 'org-src-preserve-indentations', since it gets
	imported by other requires.

	* ob-core.el (org-every): Forward declare 'org-every'.

	* ob-C.el: Require cl during compilation so that lexical-let is
	known.

	* org-entities.el: Remove superfluous require of org-macs.
	Forward declare 'org-toggle-pretty-entities' and
	'org-pretty-entities'.

	* ox.el (org-export-get-parent): Move definition of
	'org-export-get-parent' before first use.  Leave comment at original
	place of definition.

	* org.el (org-uniquify): Move definition of 'org-uniquify' before
	first use.  Leave comment at original place of definition.

	* ob-tangle.el (org-babel-tangle): When `file-name-directory'
	returns nil, do not run make-directory.  Remove superfluous when
	clauses by using short-circuiting `and' instead.

2014-10-02  Alex Kosorukoff  <alex@3form.com>  (tiny change)

	* org-capture.el (org-capture-fill-template): Set `mark-active' to
	nil.

2014-10-02  Bastien Guerry  <bzg@gnu.org>

	* org-agenda.el (org-agenda-prepare): Reset preset filters when
	using sticky agendas.

	* org-agenda.el (org-agenda-get-sexps): Don't add tags as text
	properties.

	* org-capture.el (org-capture-fill-template): Take
	`org-extend-today-until' into account when setting the format time
	string.

	* org.el (org-paste-subtree): Fix match subexpression.

	* org.el (org-fix-ellipsis-at-bol): Delete.
	(org-mode, org-show-context, org-isearch-end): Don't use
	`org-fix-ellipsis-at-bol'.

	* org-agenda.el (org-agenda-filter-apply): Fix setting of
	`org-agenda-filtered-by-category'.

	* org.el (org-fontify-meta-lines-and-blocks-1): Fix handling
	of `org-hidden-keywords'.

	* org-agenda.el (org-cmp-ts): Fix agenda entry type checking.

	* org-agenda.el (org-entries-lessp): Fix inactive timestamp
	comparison.

	* org-agenda.el (org-agenda-mode): Let `org-agenda-redo' DTRT
	when agenda are sticky.
	(org-agenda-tag-filter-while-redo): Delete.
	(org-agenda-list, org-agenda-redo, org-agenda-filter-by-tag):
	Remove unused code.
	(org-agenda-clockreport-mode, org-agenda-set-mode-name): Don't
	consider tag filters.

	* org.el (org-fix-ellipsis-at-bol)
	(org-first-headline-recenter): Use `set-window-start' instead
	of `recenter'.

	* org-agenda.el (org-recenter-heading): Delete.

	* org.el (org-insert-heading): With one universal prefix argument
	or `org-insert-heading-respect-content' set to `t', always respect
	the content, i.e. don't insert a list item and don't convert
	normal lines into headings.  Update docstring.
	(org-insert-heading-respect-content): Remove unused arg.
	(org-insert-todo-heading-respect-content): Don't use
	`org-insert-todo-heading-respect-content', use the second argument
	of `org-insert-todo-heading' instead.

	* org-mobile.el (org-mobile-edit): Use only one arg.

	* org.el (org-overview): Don't call `recenter'.

	* org-agenda.el (org-agenda-custom-commands-local-options): Fix
	misquoted values.

	* org.el (org-property-re): Also match null properties by default.
	(org-entry-delete): Also delete null properties.
	(org-read-property-value): Allow the empty string as a new value.
	(org-delete-property): Throw a message when there is not property
	to delete.

	* org-agenda.el (org-agenda-insert-diary-make-new-entry): Fix
	docstring.

	* org.el (org-re-property): New parameter `allow-null' to match
	property with a null value.
	(org-entry-put): Correctly update a property with a null
	value.

	* ox-md.el (org-md-headline): When exporting with a HTML table of
	contents, add HTML anchors to Markdown headlines.

	* org.el (org-insert-heading): Don't insert an item when called
	with two universal prefix arguments.

	* org-agenda.el (org-agenda-finalize): Remove duplicate check for
	'org-hd-marker.

	* org-agenda.el (org-agenda-prepare-window): New parameter
	`filter-alist' to set the filters correctly when
	`org-agenda-persistent-filter' is on.
	(org-agenda-prepare): Use the new parameter for
	`org-agenda-prepare-window'.

	* org-compat.el (org-in-invisibility-spec-p): Tiny code cleanup.
	(org-move-to-column): Only remove '(org-filtered) from
	`buffer-invisibility-spec'.

	* org-agenda.el (org-agenda-mode): Add buffer invisibility specs.
	(org-agenda-filter-hide-line, org-agenda-remove-filter): Set
	the 'invisible text property to 'org-filtered.
	(org-agenda-show-new-time): Add the default face to avoid the
	foreground of the last character on the line to leak into the
	timestamp notification.

	* org-agenda.el (org-get-time-of-day): Don't return time string
	from within links.

	* org-timer.el (org-timer-value-string): Always return a positive
	value.  Add docstring.

	* org-capture.el (org-capture-steal-local-variables): Don't steal
	`mark-active', which should be nil in the target buffer.

	* org-agenda.el (org-agenda-remove-filter): Use `save-excursion'.

	* org.el (org-move-subtree-down): Use `org-end-of-subtree' instead
	of `outline-end-of-subtree'.
	(outline-end-of-subtree): Remove advice.

	* org-mouse.el (org-mouse-move-tree, org-mouse-do-remotely): Use
	`org-end-of-subtree' instead of `outline-end-of-subtree'.

	* org-agenda.el (org-cmp-ts): Argument `type' is not optional.
	Don't quote it.

	* org-habit.el (org-habit-insert-consistency-graphs): Don't remove
	filter overlays as we don't use overlays for filters anymore.

	* org-agenda.el (org-agenda-local-vars): Add
	`org-agenda-top-headline-filter'.
	(org-agenda-filter-by-category): Fix syntax.
	(org-agenda-filter-show-all-top-filter): New function.
	(org-agenda-filter-by-top-headline)
	(org-agenda-filter-remove-all): Use the new function.
	(org-agenda-filter-top-headline-apply): Use a dedicated symbol
	`top-headline'.

	* org.el (org-entry-properties): Ensure the special property is
	not commented out when matched.

	* org-agenda.el (org-agenda-write): Code cleanup.
	(org-agenda-mark-filtered-text)
	(org-agenda-unmark-filtered-text)
	(org-agenda-fix-tags-filter-overlays-at): Delete.
	(org-agenda-remove-marked-text): Use the `property' argument
	instead of hard-coding 'org-filtered.
	(org-agenda-filter-remove-all): Use `org-agenda-finalize'.
	(org-agenda-filter-hide-line): Rewrite using text properties
	instead of overlays.
	(org-agenda-remove-filter): New function.
	(org-agenda-filter-show-all-tag)
	(org-agenda-filter-show-all-cat)
	(org-agenda-filter-show-all-re): Rewrite using
	`org-agenda-remove-filter'.

	* org-attach.el (org-attach-dir): When the property is "inherited"
	from a variable outside of the file, do not use
	`org-entry-property-inherited-from' to find the attachment
	position, assume we need to go back to the current headline.

	* ob-R.el (org-babel-R-assign-elisp): Fix parsing of a
	one-dimensional value.

	* org.el (org-insert-heading): Fix bug when trying to insert a
	heading when point is before the first headline and not at the
	beginning of a line.

	* org-table.el (org-table-eval-formula): Fix conversion of
	inactive timestamps to active ones.

	* org.el (org-set-regexps-and-options): Allow
	`org-complex-heading-regexp-format' to match [/] and [%] cookies
	when they are both before and after the heading.

	* org-agenda.el (org-agenda-max-todos, org-agenda-max-tags)
	(org-agenda-max-effort): Fix type strings.

	* org-capture.el (org-capture-fill-template): Deactivate region
	while trying to align tags on the current headline.

	* org-agenda.el (org-agenda-finalize): Filter by top headline if
	`org-agenda-top-headline-filter' is set.

2014-10-02  Bernt Hansen  <bernt@norang.ca>

	* org-macs.el: Remove restriction when locating markers.

2014-10-02  Dmitry Gorbik  <dgorbik@me.com>  (tiny change)

	* org.el (org-fast-tag-selection): Fix window splitting.

2014-10-02  Eric Schulte  <schulte.eric@gmail.com>

	* ob-screen.el (org-babel-screen-test): Use unpredictable name for
	temporary file.

	* ob-screen.el (org-babel-screen-session-write-temp-file): Use
	unpredictable temp file name, fixes bug#17416.

2014-10-02  Ian Kelling  <ian@iankelling.org>

	* ob-core.el (org-babel-insert-result): Test all list elements
	against listp and (eq element 'hline) instead of checking just the
	first.

2014-10-02  Konstantin Kliakhandler  <kosta@slumpy.org>  (tiny change)

	* org-agenda.el (org-agenda-redo): Reapply the filters correctly.

2014-10-02  Kyle Meyer  <kyle@kyleam.com>  (tiny change)

	* ox.el (org-export-show-temporary-export-buffer): Fix typo.

2014-10-02  Matt Lundin  <mdl@imapmail.org>

	* ox-publish.el (org-publish-find-title, org-publish-find-date):
	Make sure to call org-export-get-environment in copy of buffer if
	emacs is already visiting. Otherwise, #+bind variables meant for
	export can be set in live buffers.

	* org.el (org-agenda-inhibit-startup): fix docstring to reflect
	default value

	* ox-publish.el (org-publish-find-title, org-publish-find-date):
	Fix unnecessary invocations of org-mode with org-inhibit-startup.

2014-10-02  Nick Dokos  <ndokos@gmail.com>

	* org-table.el (org-table-clean-before-export): The regexes match
	spaces in addition to the special characters that might be used in
	the first column as special marking characters.  Remove the space
	from the character class.

	* ox-ascii.el (org-ascii-superscript): Change _ to ^ in the
	output.

2014-10-02  Nick Dokos  <ndokos@redhat.com>

	* org-table.el (org-table-show-reference): Call `set-window-start'
	with the calculated values `min' and `max', not with
	(point-min) and (point-max).

2014-10-02  Nicolas Goaziou  <n.goaziou@gmail.com>

	* ox-latex.el (org-latex-link): Improve test for unnumbered
	headlines.

	* ox-ascii.el (org-ascii--fill-string): Allow filling even when
	`org-export-preserve-breaks' is non-nil.

	* org.el (org-N-empty-lines-before-current): Make sure to delete
	only empty lines, not trailing whitespaces.

	* ox-html.el (org-html-headline): Make sure even listified
	headlines have proper anchors so internal links can refer to them.
	Small refactoring.

	* org-src.el (org-edit-src-code): Fix regexp.
	(org-edit-src-exit): Do not remove auto-save timer.  This is
	handled by the timer itself.

	* org.el (org-re-property): Fix regexp.  Improve docstring.

	* org-element.el (org-element-property-drawer-parser)
	(org-element-node-property-parser): Ignore lines that are not node
	properties.
	(org-element-node-property-interpreter): Allow nil properties.

	* org.el (org-re-property): Fix regexp to match properties with
	empty values.

	* org-element.el (org-element-headline-interpreter): Take into
	consideration `org-odd-levels-only' value.  Small refactoring.

	* ox-texinfo.el (org-texinfo--get-node): Return a node or anchor
	name.
	(org-texinfo--sanitize-content): Fix regexp.
	(org-texinfo-link): Fix various bugs in link export.

	* ox-beamer.el (org-beamer-link):
	* ox-html.el (org-html-link):
	* ox-latex.el (org-latex-link):
	* ox-odt.el (org-odt-link): When radio link has no valid
	target (e.g., this is a subtree export and the radio target is not
	in the exported subtree), simply return contents.

	* org.el (org-called-with-limited-levels): Initialize variable.

	* org-agenda.el (org-agenda-write): Write headings in proper
	order.

	* org-element.el (org-element-table-interpreter): Enhance
	docstring.

	* ox-md.el (org-md-link): Allow custom link type export function.

	* ox-texinfo.el (org-texinfo-template): Fix language and encoding
	case.

	* ox-md.el (org-md-separate-elements): Outside of lists, preserve
	blank lines between paragraphs and plain lists.

	* org-element.el (org-element-normalize-contents): Fix indentation
	removal when there is an empty line within a verse block.

	* ox-texinfo.el (org-texinfo--normalize-headlines): Properly add a
	section to the contents.

	* ox-texinfo.el (org-texinfo--normalize-headlines): Do not set pre
	blanks since the value is now hard-coded.
	(org-texinfo-headline): Force one blank line before contents, when non
	empty.  Refactoring.
	(org-texinfo-src-block): Refactor code.  Comply to predicate naming.

	* ox-texinfo.el (org-texinfo--sanitize-node): Handle
	" (not)allowed" case.

	* ox-texinfo.el (org-texinfo-headline): Remove wrong code
	comments.

	* ox-texinfo.el (org-texinfo-headline): Remove `not-in-toc'
	special case for tags.

	* ox-texinfo.el (org-texinfo-headline): Remove LaTeXism (optional
	arguments within square brackets).

	* ox-texinfo.el (org-texinfo-info-process): Fix docstring.
	(org-texinfo-compile): Do not check for impossible cases (e.g., if the
	previous variable contains a function).

	* ox-texinfo.el (org-texinfo-max-toc-depth): Fix docstring.

	* ox-texinfo.el (org-texinfo--make-option-string,
	org-texinfo--sanitize-headline,
	org-texinfo--sanitize-headline-contents): Remove.

	* ox-texinfo.el (org-texinfo--sanitize-node): "@", "{" and "}"
	characters are allowed in a node name.  So are "(" and ")" unless
	"(" starts the name and there is ")" somewhere in the name.  Also
	trim and collapse whitespace characters.  Renamed from
	`org-texinfo--sanitize-menu'.
	(org-texinfo--get-node): Do not sanitize node names over zealously.
	Ensure returned node names are unique.
	(org-texinfo-headline): Only add @node command where it makes sense.

	* ox-texinfo.el (org-texinfo--sanitize-menu)
	(org-texinfo--sanitize-content): Fix docstrings.

	* ox-texinfo.el (org-texinfo--normalize-headlines): Make sure a
	blank line always follows nodes.

	* ox-texinfo.el (org-texinfo-make-menu): Change signature.  Remove
	some intermediate functions.  Generate the full master menu when
	asked.
	(org-texinfo--build-menu): Use a simpler algorithm.
	(org-texinfo--format-entries): Fix entries when both node and title
	are different.
	(org-texinfo--menu-entries): Renamed from `org-texinfo--generate-menu-list'.
	(org-texinfo-headline): Move menu handling to next function.
	(org-texinfo-section): Handle menu for current parent.
	(org-texinfo--menu-headlines, org-texinfo--generate-detailed): Remove
	functions.
	(org-texinfo--normalize-headlines): New function.

	* ox-texinfo.el (org-texinfo-headline): Fix @appendix command.

	* ox-texinfo.el (org-texinfo-headline): Do not sanitize heading
	text for sectioning command.

	* ox-texinfo.el (org-texinfo--generate-menu-list): ":COPYING: nil"
	is expected to be equivalent to no COPYING property at all.

	* ox-texinfo.el (org-texinfo-item): Fix blank lines between items.

	* ox-texinfo.el (org-texinfo-plain-list): Fix format string.
	Small refactoring.

	* ox-texinfo.el (texinfo): Provide new export property.
	(org-texinfo-template): Use dedicated title for hard copy, when
	available.

	* ox-texinfo.el (org-texinfo-headline): Always obey to a non-nil
	:APPENDIX: property.  Small refactoring.

	* ox-texinfo.el (org-texinfo-verse-block): Generate somewhat
	meaningful Texinfo code instead of LaTeX.

	* ox-texinfo.el (org-texinfo-table): Remove reference to
	"verbatim" attribute.  Handle table.el tables.  Tiny refactoring.
	(org-texinfo-table--org-table, org-texinfo-table--table.el-table):
	Remove functions.
	(org-texinfo-table-column-widths): Indent code correctly.  Ignore
	special column, if any.  Add a comment about the limitation on the
	width computation.
	(org-texinfo-table-row): Small refactoring.

	* ox-texinfo.el (texinfo): Do not provide a default value for
	@setfilename value.
	(org-texinfo-filename): Remove variable.
	(org-texinfo-template): Correctly find value for @setfilename command.
	If none is possible, do not provide the command at all.

	* ox.el (org-export-to-file): Provide output file name in
	communication channel, through :output-file property.

	* ox-texinfo.el (org-texinfo-template): Do not hardcode "Manual"
	in top node.

	* ox-texinfo.el (org-texinfo-classes): Change default value.
	Update docstring.
	(org-texinfo-template): Insert header string from current class after
	"@settitle" command.  Always provide "\input texinfo" at the beginning
	of the output.

	* ox-texinfo.el (org-texinfo-template): Remove spurious blank
	lines in output.  Refactor code.

	* ox-texinfo.el (org-texinfo-template): Fix multi-line subtitles.

	* ox-texinfo.el (org-texinfo-template): Make sure table of
	contents are allowed before inserting them.

	* ox-texinfo.el (org-texinfo-template): Check if copying data is
	not nil before using it.

	* ox-texinfo.el (org-texinfo-template): Fix multi-line subauthors.
	Correctly add email, when provided.  Check if author info is
	wanted first.

	* ox-texinfo.el (org-texinfo-node-description-column)
	(org-texinfo-format-drawer-function): Fix docstrings.

	* ox-texinfo.el (texinfo): Make sure comments are ignored.
	(org-texinfo-comment, org-texinfo-comment-block): Remove functions.

	* ox-texinfo.el (org-texinfo-template): Properly pad @direntry
	description.

	* org-element.el (org-element-headline-parser): Add missing
	`:post-blank' property in docstring.

	* ox-latex.el (org-latex-table-scientific-notation): Set
	appropriate value.
	(org-latex-listings-options): Fix docstring.

	* ox.el (org-export-raw-special-block-p): New function.

	* org-element.el (org-element-link-parser): Properly handle
	multi-line links according to RFC 3986 when enclosed within square
	brackets.

	* org-element.el (org-element-parse-secondary-string): Clone all
	local variables from current buffer before parsing a secondary
	string.  Small refactoring.
	(org-element-object-variables): Remove variable.

	* ox-odt.el (org-odt--format-paragraph): Change signature to
	include info.
	(org-odt-footnote-reference, org-odt-paragraph): Apply signature
	change.

	* org-clock.el (org-clocktable-indent-string): Use "\emsp" instead
	of "\__", which is not supported anymore since Org 8.0.

	* ox-odt.el (org-odt--paragraph-style): New function.
	(org-odt--format-paragraph): Use new function to get proper style
	to apply.

	* org-element.el (org-element--current-element): Fix regexp.

	* org-element.el (org-element--current-element): Fix regexp
	matching latex environments.  Discrepancy with regexp used in
	`org-element-latex-environment-parser' introduced matching errors.

	* ox-ascii.el (org-ascii--table-cell-width): Correctly export
	tables with width cookies.

	* org.el (org-insert-heading): Fix error when inserting a headline
	before first headline, with point not at bol.  Remove source block
	check for consistency with behavior after first headline.  Tiny
	fix to docstring.

	* org.el (org-scan-tags): Fix typo in docstring.

	* ox.el (org-export--get-inbuffer-options): Return the empty
	string instead of nil when TITLE keywords has no value.
	(org-export--get-buffer-attributes): Do not set :title property
	early.
	(org-export--get-global-options): Do not ignore anymore nil values.
	Small refactoring.
	(org-export-as): Correctly set :title here.

	* org-list.el (org-list-repair): Fix typo in docstring.

	* ox-ascii.el (org-ascii--current-text-width): Tiny fix.

	* ox-org.el (org-org-section): Tiny refactoring.  Use appropriate
	property.

	* ox-org.el (org-org-headline): Ignore footnote sections.
	(org-org-section): New function.

	* ox-beamer.el (org-beamer-select-environment): Ignore persistent
	tags when displaying environments.

	* ox-ascii.el (org-ascii-indented-line-width): Update docstring.
	(org-ascii-paragraph): Do not apply indentation to the very first line
	of a section.

	* ox-latex.el (org-latex-inlinetask): Skip body if contents are
	empty.

	* ox-html.el (org-html-standalone-image-p): Ensure paragraph
	contains at least a link before return a non-nil value.  Clarify
	docstring.

	* ox.el (org-export-data): Always return a string, as specified
	by the docstring.

	* ox-ascii.el (org-ascii--indent-string): Fix regexp to avoid
	stack overflow in regexp matcher on very long lines.

	* org-element.el (org-element-timestamp-parser): Fix docstring.

	* ox-icalendar.el (org-icalendar-include-sexps,
	org-icalendar-blocked-headline-p): Fix docstrings.
	(org-icalendar-clear-blank-lines): Fix docstring and regexp.

	* ox-icalendar.el (org-icalendar-entry): Use
	`org-icalendar-with-timestamps'.

2014-10-02  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* org.el (org-cycle-internal-local): Don't show a trailing
	character when cycling a subtree that ends with a non-newline
	character at the end of the buffer or the narrowed region.

2014-10-02  Sebastien Vauban  <sva-news-D0wtAvR13HarG/iDocfnWg@public.gmane.org>

	* ox-ascii.el (org-ascii--box-string): Choose more universal
	Unicode characters for boxquote corners.

2014-10-02  Marco Wahl  <marcowahlsoft@gmail.com>  (tiny change)

	* org-agenda.el (org-agenda-bulk-mark)
	(org-agenda-bulk-mark-regexp, org-agenda-bulk-toggle-all): Fix
	org-agenda-bulk-mark-all when time-grid is shown.

2014-05-12  Eric Schulte  <eric.schulte@gmx.com>

	* ob-screen.el (org-babel-screen-session-write-temp-file)
	(org-babel-screen-test):
	Use unpredictable names for temporary files.  (Bug#17416)

2014-04-22  Aaron Ecay  <aaronecay@gmail.com>

	* org-src.el (org-edit-src-exit): Place an undo boundary before
	writing changes back to parent buffer.

2014-04-22  Achim Gratz  <Stromeko@Stromeko.DE>

	* ob-gnuplot.el (org-babel-gnuplot-process-vars):
	`org-babel-gnuplot-table-to-data´ expects a table, so we need to
	construct one when Babel hands us a vector.

	* ob-ref.el (org-babel-ref-parse): If
	`org-babel-current-src-block-location' is a marker, it can be from
	another buffer, use marker-position instead in this case.

2014-04-22  Arun Persaud  <apersaud@lbl.gov>  (tiny change)

	* org-src.el (org-edit-src-exit): Don't add indentation on empty
	lines.

2014-04-22  Bastien Guerry  <bzg@gnu.org>

	* org.el (org-insert-heading): Fix behavior when point is at the
	beginning of a heading or a list item.  Enhance docstring.

	* ox-html.el (org-html-infojs-install-script): Don't install
	infojs scripts when #+INFOJS_OPT: is empty.

	* org.el (org-mode): Fix the use of `org-*-element' functions for
	C-M-a and C-M-e but fix C-M-e.

	* org-agenda.el (org-agenda-search-view): Fix tag.

	* org.el (org-check-before-invisible-edit): Don't just cycle, show
	the subtree, as cycling may leave the current heading folded.
	(org-contextualize-validate-key): Fix wrong test.

	* org-bibtex.el (org-bibtex-headline): Don't throw an error when
	trying to add a keyword field to a BibTeX entry that is not known
	by BibTeX or defined by the user.
	(org-bibtex, org-bibtex-no-export-tags): Fix docstrings.

	* ox-latex.el (org-latex-src-block): Fix wrong propagation of
	labels and captions when using the listings environment.

	* org.el (org-sort-entries): Fix the number of blank lines to
	keep for the last entry to sort.

	* org-clock.el (org-clock-put-overlay): Fix display when
	`org-indent-mode' is on.

	* org.el (org-sort-entries): Allow to sort by clocking time.

	* org-agenda.el (org-agenda-finalize): Apply all filters
	correctly.

	* org.el (org-update-dblock): Use `save-excursion' instead of
	`save-window-excursion' so that blocks can edit other windows and
	change the window layout.

	* org-agenda.el (org-agenda-mode): Disable `indent-tabs-mode'.
	(org-agenda-dim-blocked-tasks): Make overlays intangible.
	(org-agenda-show-new-time): Fix bug when deleting a timestamp
	right after changing it.
	(org-agenda-check-for-timestamp-as-reason-to-ignore-todo-item)
	(org-agenda-get-sexps, org-agenda-filter-by-regexp)
	(org-agenda-filter-top-headline-apply): Fix indentation.

	* org.el (org-cycle): Try `org-try-cdlatex-tab' before trying
	to edit/move as in a table.

	* org-agenda.el (org-agenda-show-new-time): Don't use
	`move-beginning-of-line' as it is slower and not needed.

	* org-compat.el (org-move-to-column): Temporarily set
	`buffer-invisibility-spec' more accurately.

	* ox-latex.el (org-latex-text-markup-alist): Use \ul{...} for
	underlining instead of \uline{...} as requiring the hyperref
	package makes \uline{...} unusable on headline.

	* org.el (org-latex-default-packages-alist): Add the "soul"
	package.

	* org.el (org-refresh-properties): Don't add the property to
	the whole subtree, only to the part between the beginning of
	the headline and the end of the "content", before any other
	headline.  This fix a bug about properties displayed as
	inherited in the agenda, where Org properties are checked
	against text properties.

	* ox-latex.el (org-latex--text-markup): Replace newlines by
	whitespaces in \verb constructs.

	* org-agenda.el (org-agenda-filter-hide-line): Hide from the
	beginning of the line to the beginning of the next line.
	(org-agenda-show-new-time): Use `move-beginning-of-line' and
	`move-end-of-line'.
	(org-agenda-drag-line-forward): Adapt to the new definition of
	hidden filtered lines.

	* org-compat.el (org-move-to-column): Always ignore invisible
	text in agenda buffer, and when there is both a bracket link
	and '(org-link) as a member of `buffer-invisibility-spec'.
	Add a docstring.

	* org.el (org-align-tags-here): Add docstring and remove useless
	arguments when calling `org-move-to-column'.

	* org-table.el (org-table-copy-down)
	(org-table-find-dataline, org-table-move-row)
	(org-table-insert-hline, org-table-kill-row):
	* org-agenda.el (org-agenda-next-item)
	(org-agenda-previous-item, org-agenda-todo)
	(org-agenda-priority, org-agenda-show-new-time)
	(org-agenda-clock-in, org-agenda-clock-out): Remove useless
	arguments when calling `org-move-to-column'.

	* org.el (org-refile): Fix calling with a numeric prefix argument
	of 3 to refile and keep.

	* org-clock.el (org-clock-get-table-data): When :link is `t' in
	the clocktable parameters, bracket links in the clocktable should
	only contain their description, other C-c C-o will try to open the
	bracket link at point instead of the headline.

	* org-agenda.el (org-agenda-todo): Always restore the window state
	after `org-agenda-change-all-lines' has been called.
	(org-agenda-open-link): Don't throw an error when trying to open a
	link when the point is on a place that is not associated with a
	buffer.

	* ox-latex.el (org-latex-link): Escape `%' characters.

	* org.el (org-entry-get-with-inheritance): Remove wrong quote.
	(org-entry-get): Only try to combine file properties with local
	properties when the property drawer contains such local property,
	not when the property drawer exists.

	* ox-latex.el (org-latex-link):
	* ox-html.el (org-html-link):
	* ox-beamer.el (org-beamer-link): Fix links to radio targets.

	* ox-ascii.el (org-ascii-link): For links to a radio target, use
	the link, not the target.

	* org.el (org-do-emphasis-faces): Explicitly prevent nested
	emphasis.
	(org-insert-heading): Don't remove whitespaces following an empty
	headline.

	* org-timer.el (org-timer-stop): Set `org-timer-current-timer' to
	nil.

	* org.el (org-store-link): Ensure desc is not nil before matching
	a regexp against it.  Fall back on an empty string when no
	description is available.

	* org-agenda.el (org-agenda-list-stuck-projects): Bugfix: set
	`org-agenda-buffer-name'.

	* org-capture.el (org-capture-finalize): Ensure to widen the
	buffer when the target buffer is not initially narrowed.

	* org-compat.el (org-move-to-column): Fix bug about ignoring
	bracket links visibility status in tables with S-RET.

	* org-src.el (org-edit-src-find-region-and-lang): Check if we are
	in a table.el table last.

	* org.el (org-delete-property): Don't suggest to delete the
	CATEGORY property when the category is not explicitely set in the
	property drawer.  Also enforce matching when completing.
	(org-insert-heading): Fix regression: with two universal prefixes,
	insert heading at the end of the subtree.
	(org-insert-todo-heading): Bugfix: only enforce the first TODO
	state when arg is '(4).

	* org-agenda.el (org-agenda-skip-subtree-if): Fix docstring.

	* org.el (org-contextualize-validate-key): Fix bug: perform the
	check even when (buffer-file-name) returns `nil'.

	* org-colview.el (org-columns-display-here): Let-bind `fm'.

	* org.el (org-emphasis-alist): Use `org-verbatim' for =text=
	and `org-code' for ~text~.
	(org-open-link-marker): Fix typo in docstring.

	* org-colview.el (org-columns-display-here): Fix the column
	view for numbers with a format specifier (e.g. {+; %5.1f}).

	* org-src.el (org-edit-src-code): Throw a warning instead of
	an error when loading the mode fails, otherwise the user is
	left with unusable buffers.

	* org-table.el (org-table-copy-down)
	(org-table-find-dataline, org-table-move-row)
	(org-table-insert-hline, org-table-kill-row): Use
	`org-move-to-column' with the IGNORE-INVISIBLE arg set to `t', so
	that abbreviated rows don't interfer with setting the cursor back
	at the correct position.

	* org.el (org-agenda-prepare-buffers): Use `save-excursion'
	instead of `save-window-excursion'.
	(org-file-contents): Return an empty string instead of the
	message.
	(org-open-at-point): Fix bug when opening a plain link followed by
	a bracket link.
	(org-ctrl-c-ctrl-c): Fix behavior when hitting C-c C-c on LaTeX
	formulas in tables.
	(org-refile--get-location): New internal function using a wider
	set of possible refile locations.
	(org-refile-get-location): Use it.
	(org-refile): Fix bug when refiling the last subtree of the
	buffer: don't leave out the last character.
	(org-sort-entries): Restore the point location when there is
	nothing to sort.

	* org-table.el (org-table-field-info): Throw a user error when not
	at a table.

	* org-agenda.el (org-agenda-drag-line-forward): Call
	`org-agenda-mark-clocking-task' when done.
	(org-agenda-mark-clocking-task): Small refactoring.

	* org-compat.el (org-set-transient-map): Alias pointing at
	`set-transient-map' if defined, at `set-temporary-overlay-map'
	otherwise.

	* org-agenda.el (org-agenda-next-item)
	(org-agenda-previous-item, org-agenda-toggle-archive-tag)
	(org-agenda-todo, org-agenda-priority, org-agenda-clock-in)
	(org-agenda-clock-out): Put the cursor back on the correct
	column, when possible.
	(org-agenda-todo): When `org-clock-out-when-done' is `t', also
	remove the current clock overlay.

	* org.el (org-format-latex-options): Fix docstring.

	* ox.el (org-export--get-subtree-options): When using the headline
	as a title for a subtree export, only take the true heading, no
	TODO keyword, no priority cookie, no tag.

	* org.el (customize-package-emacs-version-alist): Fix Org version
	for Emacs 24.4.

	* org.el (org-demote): Ignore invisible text when aligning tags.
	(org-set-tags): When JUST-ALIGN is 'ignore-column, ignore
	invisible text when restoring the cursor to the correct column.

	* ob-python.el (org-babel-python-var-to-python): Bugfix: Strip
	properties before formatting the results.

	* org-agenda.el (org-agenda-regexp-filter-preset): Fix typo in
	docstring.
	(org-agenda-reapply-filters): New function.
	(org-agenda-drag-line-forward): Rewrite to fix a bug when used
	in filtered agendas.
	(org-agenda-drag-line-backward): Rewrite using
	`org-agenda-drag-line-forward'.

	* ob-table.el (org-sbe): Rename from `sbe'.

	* org.el (org-store-link): When a link has been stored, always
	returns it.

	* ob-python.el (org-babel-python-var-to-python): Fix code typo.

	* org-entities.el (org-entities-help): Prevent the display of
	pretty entities, as this help buffer is meant to list literal
	strings, not utf-8 representations.

2014-04-22  Benjamin Drieu  <bdrieu@april.org>

	* org.el (org-store-link): Fix selection of the function to store
	the link.

2014-04-22  Ilya Shlyakhter  <ilya_shl@alum.mit.edu>

	* org.el (org-entry-get-with-inheritance): Temporarily let-bind
	`org-file-properties', `org-global-properties' and
	`org-global-properties-fixed' to nil before calling
	`org-entry-get' on entries up the hierarchy from the queried
	entry.

2014-04-22  Justin Gordon  <justin.gordon@gmail.com>

	* ox-md.el (org-md-separate-elements): Fix blank line insertion
	between elements.

	* ox-md.el (org-md-inner-template): New function.

2014-04-22  Leonard Randall  <leonard.a.randall@gmail.com>  (tiny change)

	* org-bibtex.el (org-bibtex-headline): Fix insertion of keywords
	of unknown BibTeX entries.

2014-04-22  Markus Hauck  <markus1189@gmail.com>  (tiny change)

	* org-agenda.el (org-agenda-get-scheduled): If
	`org-agenda-skip-scheduled-if-deadline-is-shown' is set to
	'repeated-after-deadline, still show tasks without any deadline

2014-04-22  Michael Brand  <michael.ch.brand@gmail.com>

	* org-table.el (org-table-fix-formulas): Handle multiple #+TBLFM
	lines with `forward-line'.

2014-04-22  Michael Weylandt  <michael.weylandt@gmail.com>  (tiny change)

	* ox-latex.el (org-latex-export-to-latex): Downcase the language
	name when using minted highlighting for src block exports.

2014-04-22  Nick Dokos  <ndokos@gmail.com>

	* org-mobile.el (org-mobile-create-index-file): delete :grouptags
	entries from tags list when creating the org-mobile index file.

2014-04-22  Nicolas Goaziou  <n.goaziou@gmail.com>

	* ox.el (org-export-copy-to-kill-ring): Comply to docstrings
	standards.

	* org.el (org-sparse-tree): Fix code typo.  Small refactoring.

	* ox-latex.el (org-latex-link):
	* ox-html.el (org-html-link):  Do not expand absolute file names
	and do not try to fix hierarchy part, as it is already taken care of
	at the parser level.

	* ox-md.el (org-md-link): Ditto.  Also fix absolute file names.

	* ox-odt.el (org-odt-link):
	* ox-man.el (org-man-link):
	* ox-texinfo.el (org-texinfo-link):
	* org-element.el (org-element-link-parser): Fix ill-defined "file"
	type links.  Expand absolute file names in the process.

	* org.el (org-make-link-regexps): Use `regexp-opt' instead of
	`mapconcat' and `regexp-quote'.

	* ox-html.el (org-html-link):
	* ox-latex.el (org-latex-link):
	* ox-man.el (org-man-link):
	* ox-odt.el (org-odt-link):
	* ox-html.el (org-html-link):
	* ox-latex.el (org-latex-link):
	* ox-man.el (org-man-link):
	* ox-odt.el (org-odt-link):
	* ox-texinfo.el (org-texinfo-link): Append "//" after some link
	types.

	* ox-md.el (org-md-link):
	* org.el (org-make-link-regexps): Allow optional double slashes
	after type.  Small refactoring.

	* org-element.el (org-element-headline-parser): Tiny refactoring.

	* org-element.el (org-element-headline-parser): Correctly parse
	blank lines after a headline.

	* org-element.el (org-element-table-cell-parser)
	(org-element-table-cell-successor): Recognize cell even when last
	vertical bar is missing.

	* ox-md.el (org-md-example-block): handle switches and references
	in source blocks.

	* org.el (org-latex-packages-alist)
	(org-latex-default-packages-alist): Update docstrings.

	* ox-ascii.el (org-ascii--unique-links): Ignore white spaces when
	uniquifying links in section.

	* ox-odt.el (org-odt-template): Ignore blank titles.

	* ox-publish.el (org-publish-find-title): Fix (invalid-read-syntax
	"#").

	* ox-ascii.el (org-ascii-link):
	* ox-beamer.el (org-beamer-link):
	* ox-html.el (org-html-link):
	* ox-latex.el (org-latex-link):
	* ox-md.el (org-md-link):
	* ox-odt.el (org-odt-link): Update radio target export according
	to recent changes.

	* org-element.el (org-element-all-successors)
	(org-element-object-restrictions): Prioritize `link' over other
	successors in order to find radio links starting with another
	syntax object (e.g., an entity).  Also allow text markup within
	radio targets.
	(org-element-link-parser): Add contents to radio targets.

	* org.el (org-make-target-link-regexp): Fix regexp so it can match
	targets starting with an Org object (e.g., an entity).
	(org-ctrl-c-ctrl-c): Fix function when applied on an object contained
	within a radio target.

	* org.el (org-mode): Change "\" and "~" characters syntax from
	`punctuation' to `symbol' so they are on par with other characters
	used in Org syntax (e.g., "/", "*"...).

	* ox-beamer.el (org-beamer-publish-to-pdf):
	* ox-latex.el (org-latex-publish-to-pdf): Ensure ".tex" file is
	generated in the same directory as the ".org" file.

	* ox-latex.el (org-latex-headline): Hard-code "\underline" in
	sections because "\uline" ("ulem" package) returns an error and
	"\ul" ("soul" package) doesn't support chinese characters.

	* ox-ascii.el (org-ascii-link): Correctly handle case mismatch
	between radio targets and radio links.

	* org-element.el (org-element-link-parser): "radio" links have
	their path downcased to avoid introducing case mismatch with their
	relative radio target.  With this change it is also necessary to
	add contents to them, since `:path' property no longer matches
	real value of the link.
	(org-element-radio-target-parser): Downcase value as explained
	above.  Store the initial value in a new `:raw-value' property.

	* org-element.el (org-element-context): Fix parsing of bold
	objects at the beginning of a headline.

	* org-element.el (org-element-context): Fix timestamps parsing.

	* ox-beamer.el (org-beamer-item): Insert the export snippet right
	after the first \item, not all of them.

	* org-element.el (org-element--list-struct): Fix regexp.

	* org-element.el (org-element-inlinetask-parser): Fix parsing when
	regular and degenerate inlinetasks are mixed in the section.

	* ox-md.el (org-md-link): Generate md links to other Org files
	instead of html links.  Do not confuse caption and alt-text.
	Provide "img" as default alt-text.

	* org-element.el (org-element-normalize-contents): Do not ignore
	empty lines when an object follows.
	(org-element-interpret-data): Do not remove properties by
	side-effect when interpreting a string, as it also removes them
	from the parse tree, making the string unusable without its
	:parent property.

	* ob-exp.el (org-babel-exp-process-buffer): Also check
	`org-src-preserve-indentation' to know when to preserve indentation.
	(org-babel-exp-code-template): Include switches in template.
	(org-babel-exp-code): Provide %switches placeholder.

	* ox-latex.el (org-latex-plain-list): Do not automatically
	enclose value for :options attribute within square brackets.
	Instead, append them verbatim next to the block name, as special
	blocks do.

	* ob-exp.el (org-babel-exp-code): Fix export of src blocks with
	flags.
	(org-babel-exp-process-buffer): Make processing more robust when
	results are inserted before source block or when source block is
	followed by multiple blank lines.

	* ox.el (org-export-insert-default-template): Only insert
	keywords and options relatives to the selected back-end.  Ignore
	those relatives to its parent in the case of a derived back-end.

	* ox-beamer.el: Remove unnecessary package definitions in default
	class.

	* ox-latex.el (org-latex-headline, org-latex-item): Fix items
	starting with a square bracket.

	* org.el (org-mode-restart): Fix turning off `org-indent-mode'
	when necessary.
	(org-get-previous-line-level): Do not call `org-current-level'
	twice unless necessary.  Also, avoid using `line-number-at-pos'
	when the information needed is to know if point is in the first
	line of the visible part of the buffer.

	* ob-core.el (org-babel-get-inline-src-block-matches): Do not
	compute line number if all is needed is to know if we're on the
	first one.

	* ox-md.el (org-md-item): Do not return an error when exporting
	an empty item.

	* ox-beamer.el (org-beamer-select-environment): Function doesn't
	work if fast tag selection is disabled, so make sure it is always
	on, independently on user's configuration.

2014-04-22  Nikolai Weibull  <now@disu.se>  (tiny change)

	* org.el (org-mode): Add guard around set-face-foreground.

2014-04-22  Rasmus  <w530@pank.eu>

	* ox-html.el (org-html-html5-elements): Drop reference to hgroup.

2014-04-22  Rick Frankel  <rick@rickster.com>

	* ox-html.el (org-html-link): Unescape org-escaped links an
	re-escape for html (browser).

2014-04-22  Sacha Chua  <sacha@sachachua.com>

	* org.el (org-refresh-properties): Don't throw an error when
	reaching the end of the buffer.

2014-04-22  Stefan-W. Hahn  <stefan.hahn@s-hahn.de>  (tiny change)

	* org-bibtex.el (org-bibtex-read): Check string length before
	using aref.

2014-04-22  Yasushi SHOJI  <yashi@atmark-techno.com>

	* ox-ascii.el (org-ascii--current-text-width): Convert `length'
	to `string-width'.
	(org-ascii--build-title, org-ascii--build-toc)
	(org-ascii--list-listings, org-ascii--list-tables)
	(org-ascii-template--document-title)
	(org-ascii-inner-template, org-ascii-format-inlinetask-default)
	(org-ascii-format-inlinetask-default, org-ascii-item
	(org-ascii--table-cell-width, org-ascii-table-cell)
	(org-ascii--current-text-width): Likewise.

2014-02-25  Glenn Morris  <rgm@gnu.org>

	* org-version.el (org-odt-data-dir):
	Remove incorrect, duplicate definition.  (Bug#16734)

2014-01-08  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes.
	* org-irc.el (org-irc-ellipsify-description): Rename from
	org-irc-elipsify-description.  All uses changed.

2013-01-07  Bastien Guerry  <bzg@gnu.org>

	* org-clock.el (org-clock-cancel-hook)
	(org-clock-leftover-time): Fix typo in docstring.

	* ox-odt.el (org-odt--frame): Add a draw:name property to the
	draw:frame tag.
	(org-odt-format-label): Don't use short-caption at all.

	* org-rmail.el (org-rmail-follow-link): Don't raise an error when
	no article is matched.

	* org.el (org-set-tags): Ignore invisible text when restoring
	cursor position.
	(org-refile-get-location): Check for a refile position when the
	position is not nil, otherwise allow to create the parent node if
	the user requests it.
	(org-refile-allow-creating-parent-nodes): Fix typo in
	docstring.
	(org-entry-get): Minor docstring enhancement.
	(org-set-startup-visibility): Bugfix.
	(org-shiftcontrolup, org-shiftcontroldown): When
	`org-support-shift-select' is not `nil', let-bind it to nil if
	point is on a clock log.  Otherwise throw an error.

	* ob-lob.el (org-babel-lob-files): Fix custom type.
	(org-babel-lob-ingest): Small docstring fix.

	* org-agenda.el (org-cmp-ts): Fix bug: interpret `late' as
	`later than any date' instead of `later than today'.

	* org.el (org-do-emphasis-faces): Handle false positives by
	restarting the re-search one char after the beginning of the
	match, not one char before its ending.
	(org-entry-put): Check that the value provided is a string.  If it
	is nil, convert it to the empty string.

	* ob-latex.el (org-babel-latex-htlatex-packages): Use repeat
	instead of list as the defcustom type.

	* ox.el (org-export-with-creator):
	* org.el (org-loop-over-headlines-in-active-region)
	(org-mouse-1-follows-link, org-provide-todo-statistics):
	* org-agenda.el (org-agenda-custom-commands-local-options)
	(org-agenda-start-with-log-mode)
	(org-agenda-show-inherited-tags): Don't quote const values.

	* ox-texinfo.el (org-texinfo-def-table-markup):
	* org-inlinetask.el (org-inlinetask-show-first-star):
	* ob-maxima.el (org-babel-maxima-command): Add type.

	* org-table.el (org-table-fix-formulas): Handle multiple
	#+tblfm: lines.

	* ox.el (org-export-to-file): Fix typo in docstring.

	* org.el (org-self-insert-command)
	(orgtbl-self-insert-command): Change the value of the
	`delete-selection' property to allow other commands like
	`electric-pair-will-use-region' to be run before deletion.

	* org-attach.el (vc-git): Require.
	(org-attach-commit): Check whether git is installed.

2013-01-07  Nicolas Goaziou  <n.goaziou@gmail.com>

	* ox-icalendar.el (org-icalendar--combine-files): Make sure
	anniversaries do not end up in *Message* buffer instead of the ICS
	file.

	* ox-html.el: Clean up "FIXME" comments.

	* ox-publish.el (org-publish-resolve-external-fuzzy-link): Fix
	docstring.

	* ox.el (org-export-smart-quotes-regexps): Fix smart quote
	detection when it is followed by an open parenthesis syntax class.

	* org-element.el (org-element-inline-babel-call-successor): Use
	original regexp to stay up-to-date with Babel changes.
	(org-element--affiliated-re): Fix affiliated keyword regexp.

	* ox-org.el (org-org-identity): Since back-end specific keywords
	are stripped from output, also remove attr_backend keywords.
	(org-babel-exp-process-buffer): Fix duplicate evaluation with
	:wrap src.
	(org-babel-exp-non-block-elements): Removed function.

2013-01-07  Ted Wiles  <thewiles@wharton.upenn.edu>  (tiny change)

	* org-habit.el (org-habit-parse-todo): Match all TODO keywords,
	not just "TODO".

2013-01-07  Miguel Ruiz  <rbenit68@yahoo.es>  (tiny change)

	* ob-gnuplot.el (org-babel-gnuplot-quote-tsv-field): Fix code
	typo.

2013-01-07  Vladimir Lomov  <lomov.vl@gmail.com>  (tiny change)

	* ox-html.el (org-html-style-default): New classes caption.t-above
	and caption.t-bottom.
	(org-html-table): Use new classes.

2013-12-23  Chong Yidong  <cyd@gnu.org>

	* org.el (orgstruct-make-binding): Call set-transient-map instead
	of old name set-temporary-overlay-map.

2013-12-06  Achim Gratz  <Stromeko@Stromeko.DE>

	* org-crypt.el: Declare `epg-context´.
	(org-encrypt-string): Correct indentation.

	* org.el (org-version): Replace `_version´ by `version1´.

2013-12-06  Alexander Vorobiev  <alexander.vorobiev@gmail.com>  (tiny change)

	* org-compat.el (org-get-x-clipboard): Use w32-get-clipboard-data
	to get the clipboard data under Windows.

2013-12-06  Bastien Guerry  <bzg@gnu.org>

	* ox.el (org-export-with-sub-superscripts):
	* org.el (org-use-sub-superscripts): Fix version and enhance
	docstring again.

	* ox.el (org-export-with-sub-superscripts):
	* org.el (org-use-sub-superscripts): Enhance docstrings.

	* org-macs.el (org-autoload): Delete.

	* org-docview.el ("docview"): Fix declarations and require
	doc-view directly.

	* org-id.el (org-id-copy)
	(org-id-get-with-outline-path-completion)
	(org-id-get-with-outline-drilling, org-id-new):

	* org-colview.el:
	(org-colview-initial-truncate-line-value)
	(org-columns-open-link, org-string-to-number):
	* org-clock.el:
	(org-clock-put-overlay, org-count-quarter, org-clock-loaded):
	* org-archive.el (org-get-local-archive-location):
	* org-agenda.el (org-agenda-todo-custom-ignore-p):
	Autoload.

	* org.el (org-return-follows-link):
	* ob-python.el (org-babel-python-command): Don't use :set.

	* ox-odt.el (org-odt-content-template-file): Fix version.

	* ox-texinfo.el (org-texinfo-filename): Fix default value.
	(org-texinfo-format-headline-function): Use 'ignore as the
	default value.
	(org-texinfo-format-drawer-function): Use a function as the
	default value.  Update docstring.
	(org-texinfo-drawer): Always use
	`org-texinfo-format-drawer-function' as it is now a function
	by default.
	(org-texinfo-headline): Compare
	`org-texinfo-format-headline-function' against 'ignore.
	(org-texinfo-inlinetask): Compare
	`org-texinfo-format-inlinetask-function' against 'ignore.

	* ox-odt.el (org-odt-format-drawer-function): Use a function as
	the default value.  Update docstring.
	(org-odt-format-headline-function)
	(org-odt-format-inlinetask-function): Fix default value.
	(org-odt-drawer): Always use `org-odt-format-drawer-function'
	as it is now a function by default.
	(org-odt-format-headline--wrap): Compare
	`org-odt-format-headline-function' against 'ignore.

	* ox-latex.el (org-latex-format-drawer-function): Use a function
	as the default value.  Update docstring.
	(org-latex-format-inlinetask-function): Fix default value.
	(org-latex-drawer): Always use
	`org-latex-format-drawer-function' as it is now a function by
	default.
	(org-latex-inlinetask): Compare
	`org-latex-format-inlinetask-function' against 'ignore.

	* ox-html.el (org-html-format-drawer-function): Use a function as
	the default value.  Update docstring.
	(org-html-format-headline-function)
	(org-html-format-inlinetask-function): Fix default value.
	(org-html--format-toc-headline)
	(org-html-format-headline--wrap): Compare
	`org-html-format-headline-function' against 'ignore.
	(org-html-inlinetask): Compare
	`org-html-format-inlinetask-function' against 'ignore.

	* ox-ascii.el (org-ascii-format-drawer-function): Use a
	function as the default value.  Update docstring.
	(org-ascii-drawer): Always use
	`org-ascii-format-drawer-function' as it is now a function by
	default.
	(org-ascii-format-inlinetask-default): New function.
	(org-ascii-format-inlinetask-function): Use
	`org-ascii-format-inlinetask-default' as the default.

	* org.el (org-mouse-1-follows-link): Use :set to set the default
	value.  Update custom type.
	(org-log-note-headings): Fix order or list items in the custom
	type.
	(orgstruct-heading-prefix-regexp): Use an empty string as the
	default value.  Use 'regexp as the custom type.
	(orgstruct-make-binding): Tiny docstring enhancement.  Assume
	`orgstruct-heading-prefix-regexp' is a string.

	* org-agenda.el (org-agenda-search-view-max-outline-level): Set
	default value to 0.  Update docstring.
	(org-agenda-deadline-leaders): Fix custom type.
	(org-search-view): Assume
	`org-agenda-search-view-max-outline-level' is a number.

	* ob-ruby.el (org-babel-ruby-nil-to): Fix custom type.

	* ob-python.el (org-babel-python-mode): Use :set to set the
	default value.
	(org-babel-python-None-to): Fix custom type.

	* ob-plantuml.el (org-plantuml-jar-path): Fix default value.
	(org-babel-execute:plantuml): Assume `org-plantuml-jar-path' is a
	string.

	* ob-latex.el (org-babel-latex-htlatex): Fix default value.
	(org-babel-latex-htlatex-packages): Fix custom type.
	(org-babel-execute:latex): Assume `org-babel-latex-htlatex' is a
	string.

	* ox-odt.el (org-odt-display-outline-level): Fix version.

	* ox-odt.el (org-odt-inline-formula-rules)
	(org-odt-inline-image-rules, org-odt-use-date-fields): Add version
	and package-version.

	* ox-html.el (org-html-format-drawer-function)
	(org-html-format-headline-function)
	(org-html-format-inlinetask-function)
	(org-html-creator-string): Add version and package-version.

	* ox-html.el (org-html-text-markup-alist): Fix version.

	* org-agenda.el (org-agenda-set-restriction-lock): Autoload.

	* ob-calc.el (org--var-syms): Rename from `var-syms'.

	* ob-lilypond.el (ly-compile-lilyfile): Remove redundant
	let-binding.

	* ob-table.el (sbe): Move debug declaration.

	* org-clock.el (org--msg-extra): Rename from `msg-extra'.

2013-12-06  Nicolas Goaziou  <n.goaziou@gmail.com>

	* org.el (org-ctrl-c-ctrl-c): When point is on an unsupported
	object, look for something to do at a higher level instead of
	bailing out.

	* ox-html.el (org-html-format-latex): Add an argument.  Ensure
	latex header is the same as specified in the original buffer when
	exporting a LaTeX fragment or environment.
	(org-html-latex-environment, org-html-latex-fragment): Apply
	signature change.

	* ox-publish.el (org-publish-cache-ctime-of-src): Return an error
	when publishing a non-existent file.

	* org-element.el (org-element-paragraph-separate): More accurate
	regexp.

	* org.el (org-entry-get): Widen buffer in order to retrieve
	properties, as `org-entry-properties' and
	`org-entry-get-with-inheritance' already do.

	* ox-html.el (org-html--format-toc-headline): Add missing headline
	number in TOC entries.

	* org.el (org-entry-properties): Ignore narrowing when retrieving
	current headline properties.

2013-12-06  Thierry Volpiatto  <thierry.volpiatto@gmail.com>  (tiny change)

	* org-crypt.el (org-encrypt-string, org-encrypt-entry)
	(org-decrypt-entry): Fix warning.

2013-11-17  Paul Eggert  <eggert@cs.ucla.edu>

	Spelling fixes.
	* ob-python.el (org-babel-python-with-earmuffs):
	Rename from org-babel-python-with-earmufs.  All uses changed.
	(org-babel-python-without-earmuffs):
	Rename from org-babel-python-without-earmufs.  All uses changed.

2013-11-12  Bastien Guerry  <bzg@gnu.org>

	* org-agenda.el (org-agenda-set-restriction-lock): Autoload.

2013-11-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	Address some byte-compiler warnings.
	* ob-calc.el (org--var-syms): Rename from `var-syms'.
	* ob-lilypond.el (ly-compile-lilyfile): Remove redundant let-binding.
	* ob-table.el (sbe): Move debug declaration.
	* org-clock.el (org--msg-extra): Rename from `msg-extra'.
	* org.el (org-version): Avoid var name starting with _.
	(org-inhibit-startup, org-called-with-limited-levels)
	(org-link-search-inhibit-query, org-time-was-given)
	(org-end-time-was-given, org-def, org-defdecode, org-with-time):
	* org-colview.el (org-agenda-overriding-columns-format):
	* org-agenda.el (org-agenda-multi, org-depend-tag-blocked)
	(org-agenda-show-log-scoped):
	* ob-python.el (py-which-bufname, python-shell-buffer-name):
	* ob-haskell.el (org-export-copy-to-kill-ring):
	* ob-exp.el (org-link-search-inhibit-query):
	* ob-R.el (ess-eval-visibly-p):
	* ob-core.el (org-src-window-setup): Declare before use.
	(org-babel-expand-noweb-references): Remove unused `blocks-in-buffer'.
	* ox-odt.el (org-odt-hfy-face-to-css):
	* org-src.el (org-src-associate-babel-session, org-src-get-lang-mode):
	* org-bibtex.el (org-bibtex-get, org-bibtex-ask, org-bibtex)
	(org-bibtex-check):
	* ob-tangle.el (org-babel-tangle, org-babel-spec-to-string)
	(org-babel-tangle-single-block, org-babel-tangle-comment-links):
	* ob-table.el (sbe):
	* ob-sqlite.el (org-babel-sqlite-expand-vars):
	* ob-sql.el (org-babel-sql-expand-vars):
	* ob-shen.el (org-babel-execute:shen):
	* ob-sh.el (org-babel-execute:sh, org-babel-sh-evaluate):
	* ob-scala.el (org-babel-scala-evaluate):
	* ob-ruby.el (org-babel-ruby-table-or-string)
	(org-babel-ruby-evaluate):
	* ob-python.el (org-babel-python-table-or-string)
	(org-babel-python-evaluate-external-process)
	(org-babel-python-evaluate-session):
	* ob-picolisp.el (org-babel-execute:picolisp):
	* ob-perl.el (org-babel-perl-evaluate):
	* ob-maxima.el (org-babel-execute:maxima):
	* ob-lisp.el (org-babel-execute:lisp):
	* ob-java.el (org-babel-execute:java):
	* ob-io.el (org-babel-io-evaluate):
	* ob-haskell.el (org-babel-execute:haskell):
	* ob-fortran.el (org-babel-execute:fortran):
	* ob-exp.el (org-babel-exp-code):
	* ob-emacs-lisp.el (org-babel-execute:emacs-lisp):
	* ob-ditaa.el (org-babel-execute:ditaa):
	* ob-core.el (org-babel-execute-src-block, org-babel-sha1-hash)
	(org-babel-parse-header-arguments, org-babel-reassemble-table)
	(org-babel-goto-src-block-head, org-babel-mark-block)
	(org-babel-expand-noweb-references, org-babel-script-escape)
	(org-babel-process-file-name):
	* ob-clojure.el (org-babel-execute:clojure):
	* ob-calc.el (org-babel-execute:calc):
	* ob-awk.el (org-babel-execute:awk):
	* ob-R.el (org-babel-expand-body:R):
	* ob-C.el (org-babel-C-execute): Avoid deprecated ((lambda) ...).

2013-11-12  Glenn Morris  <rgm@gnu.org>

	* ox-html.el (org-html-scripts): Add 2013 to copyright years.
	(org-html-infojs-template): Copyright holder to FSF.

2013-11-12  Aaron Ecay  <aaronecay@gmail.com>

	* ox-latex.el (org-latex-inline-image-rules): Add "svg" to
	supported filetypes.
	(org-latex--inline-image): Implement SVG files inclusion.
	(org-latex-headline): Don’t insert alternate title if identical to
	regular one.

	* ob-python.el: Update the arglist passed to `declare-function'
	for `run-python'.

	* ob-tangle.el (org-babel-tangle): Use `light' argument to
	`org-babel-get-src-block-info'.

	* ob-core.el (org-babel-execute-src-block): Return nil in case of
	`:results none'.  Also run `org-babel-after-execute-hook' in this
	circumstance.

	* org-id.el (org-id-locations-save): Bind print-(level,length) to
	nil in this function.

	* ob-R.el (org-babel-R-graphics-devices): New defvar.
	(org-babel-R-construct-graphics-device-call): Use it instead of a
	hard-coded list of graphics devices.

	* ob-core.el (org-babel-when-in-src-block): New macro.
	(org-babel-execute-src-block-maybe)
	(org-babel-expand-src-block-maybe)
	(org-babel-load-in-session-maybe, org-babel-pop-to-session-maybe):
	Use it.
	(org-babel-execute-src-block): Use `copy-tree' to prevent setf
	from modifying users variables withing let-bound `info' variable.

	* ob-exp.el (org-export-babel-evaluate): Add a 'inline-only
	option.
	(org-babel-exp-results): Implement 'inline-only for
	`org-export-babel-evaluate'.

	* org.el (org-edit-special): Use prefix arg.

	* ob-awk.el (org-babel-expand-body:awk, ob-picolisp.el)
	(org-babel-expand-body:picolisp): Remove optional arg.

	* ob-R.el (org-babel-R-initiate-session): Handle case where the
	session buffer exists, but does not have a live process.
	(org-babel-R-construct-graphics-device-call): Change file
	extension of tikz graphics files to .tikz.

	* org-src.el (org-edit-src-exit): Don't modify the undo list when
	inserting the code.

	* ox-latex.el (org-latex-plain-text): Properly escape "~" for
	LaTeX export.
	(org-latex-image-default-option): Change default value to "".
	(org-latex-image-default-width, org-latex-image-default-height):
	New variables.
	(org-latex-inline-image-rules): Make .tikz files as exportable
	with LaTeX.
	(org-latex--inline-image): Support tikz images.  Also support
	separate :width and :height parameters for images.

	* org-bibtex.el (org-bibtex-ask): Use `visual-line-mode' instead
	of longlines-mode.

2013-11-12  Abdó Roig-Maranges  <abdo.roig@gmail.com>

	* org.el (org-format-latex): Do not re-generate a LaTeX preview if
	the image already exists.

	* org-agenda.el (org-agenda-search-view-max-outline-level): New
	option to define the max level for the entries shown by the search
	view.  A value of 1 means to show the top parent of the entries.

	* org.el (org-create-formula-image-with-dvipng): Fix bug that made
	this function fail with no :foreground and :background attributes
	set, due to bad handling of "Transparent" color.  Fix bug when
	colors are not `default'.
	(org-format-latex-options): Add `auto' to docstring.
	(org-format-latex): Get face colors at point and put them inside
	opt.
	(org-create-formula-image-with-imagemagick): Fix bug when handling
	"Transparent" bg color.
	(org-dvipng-color-format): Same as `org-latex-color-format' for
	dvipng-style color specification.

2013-11-12  Achim Gratz  <Stromeko@Stromeko.DE>

	* ob-core.el (org-babel-check-confirm-evaluate): Return result of
	evaluating the function pointed to by `org-confirm-babel-evaluate'
	when it is a functionp and its value as a variable otherwise.
	(org-babel-get-rownames, org-table.el)
	(org-table-transpose-table-at-point): Replace the inadvertent use
	of mapcar* (from cl) by plain mapcar and direct cons manipulation.
	(org-babel-params-from-properties): Use
	`org-babel-current-src-block-location' for evaluating new-style
	header-argument properties.  Remove superfluous save-match-data
	clauses.  Comment which properties get evaluated where.
	(org-babel-insert-header-arg, org-babel-parse-src-block-match):
	Replace `if' with empty else part by `when' for readability.
	(org-babel-params-from-properties): Inquire for language specific
	and default header properties.  Language specific header
	properties take precedence over default header properties and
	old-style header property specifications.

	* org.el (org-re-property): Re-implement using full regex for
	`org-re-property'.  Add optional argument LITERAL to flag when
	PROPERTY should to be regex-quoted.  Move before definition of
	`org-re-property'.
	(org-re-property-keyword): Remove, functionality is subsumed by
	`org-re-property'.
	(org-property-re): Define using `org-re-property'.  Improve
	definition so that this regex can be
	(org-entry-get, org-property-values): Adjust match number for
	PROPVAL.  (org-entry-put): Use `org-re-property' instead of
	`org-re-property-keyword'.
	used in all situations.  Extend docstring with explanation of
	matching groups.
	(org-at-property-p): Implement using `org-element-at-point'.
	(org-entry-properties, org-buffer-property-keys, org-indent-line):
	Use `org-property-re' and adjust match group numbers accordingly.

	* org-compat.el (define-obsolete-variable-alias)
	(define-obsolete-function-alias): Actually remove the third (and
	any following) argument from the argument list before calling the
	advised function.  Extend eval-and-compile clause and add advices
	for functions that have different parameter lists in XEmacs.  Add
	variable definitions that XEmacs lacks .

	* ob-fortran.el (org-every): Declare.

	* org-element.el (org-element-node-property-parser): Use
	`org-property-re' and adjust match group numbers accordingly.
	Move `looking-at' out of the let clause to not rely on the
	unspecified evaluation order inside the let.

	* ob-eval.el, ob.el, org-macro.el, org-mhe.el: Require org-macs
	and org-compat as necessary.

	* ob-tangle.el (org-edit-special, org-store-link)
	(org-open-link-from-string): Declare functions.

	* org-macs.el (declare-function): Define macro to use autoload
	instead for XEmacs.

	* ox-html.el, ox-odt.el: XEmacs does not have table.el, so use
	'noerror on the require form.

	* ox-texinfo.el (org-texinfo-table-column-widths): Fix spliced
	argument list that XEmacs complains about by adding parenthesis.

	* ob-octave.el (org-babel-octave-initiate-session): If octave-inf
	can't be loaded, try octave instead before giving up.  Emacs
	24.3.50 and upwards replaces octave-inf with just plain octave.

	* org-id.el (org-id-update-id-locations): Autoload interactive
	function.

	* ob-core.el (org-babel-parse-inline-src-block-match):
	* ob-exp.el (org-babel-exp-src-block): Give header arguments from
	properties priority over default header arguments.

	* ob-sh.el (org-babel-sh-var-to-sh): When detecting a table, the
	first line could be the symbol `hline' rather than a list of table
	cells, so check for that as well.

	* org.el (org-table-clean-did-remove-column):
	* org-table.el (org-table-clean-did-remove-column): Move defvar,
	this dynamic variable is only used in org-table.

	* org-table.el (org-table-colgroup-info): Remove unused defvar for
	`org-table-colgroup-info'.
	(org-table-clean-before-export): Let-bind regular expression
	strings and remove unused matching group.  Use
	`org-table-clean-did-remove-column' in cond statement rather than
	branching via if to avoid code duplication.  Remove the code
	associated with the removed `org-table-colgroup-info'.
	(orgtbl-export): Remove unused internal function.

	* org-macro.el (org-macro-expand): Do not try to interpret the
	macro replacement text as a regex so that escaped backslashes and
	commas in macro arguments will be interpreted correctly.

	* ob-perl.el (org-babel-perl-wrapper-method): Select output handle
	only after evaluation so that output is not mixed into results
	eavaluation.
	(org-babel-perl-evaluate): Fix the handling of results for
	":results output" to also parse tables.  Use the same lambda
	construction as in ob-sh.el to avoid code duplication.

	* ob-exp.el (org-babel-exp-results, org-babel-lob-execute):
	Suppress user confirmation of the emacs-lisp wrapper execution
	around a lob call.

	* ob-perl.el (org-babel-perl-wrapper-method): Use TAB as separator
	for table results as expected by
	`org-babel-import-elisp-from-file´.

	* ob-core.el (org-babel-number-p): String match for any number
	moved first so that the match data for the length check does not
	become corrupted.
	(org-babel-confirm-evaluate-answer-no): Dynamically scoped
	variable, if bound non-nil the confirmation dialog will not be
	initiated and denial of evaluation is assumed.
	(org-babel-check-confirm-evaluate): New macro to establish
	bindings based on INFO.
	(org-babel-check-evaluate): New defsubst that checks if the
	evaluation of a code block is disabled.  Refactors the first part
	of the original function `org-babel-confirm-evaluate´.
	(org-babel-confirm-evaluate): New defsubst that checks if the user
	should be queried and returns the answer.  Keeps the second part
	of the original function `org-babel-confirm-evaluate´.
	Re-implement using bindings for common subexpressions.
	(org-babel-execute-src-block): Do not ask for confirmation if the
	cached result is current.
	(org-babel-call-process-region-original): Change declaration into
	definition with nil initial value at the beginning of the file and
	drop the later definition.  Add comment that the dynamic scoping
	of this variable is done for tramp.

	* org-table.el (org-table-eval-formula): The condition-case to
	check for must be "error", not "user-error".

	* ob-perl.el (org-babel-execute:perl): Pass `result-params´
	through to `org-babel-perl-evaluate´.
	(org-babel-variable-assignments:perl): Add "my" to variable
	declaration so that it becomes compatible with "use strict;".  Use
	new internal formatting function `org-babel-perl--var-to-perl´.
	(org-babel-perl--var-to-perl): New internal function, uses Perl
	non-interpolating quoting on the string that defines the variable
	to suppress spurious interpretation of it as Perl syntax.
	(org-babel-perl-wrapper-method): Use a block and declare all
	variables as "my", also use Perl quoting throughout.  Redirect
	STDOUT to the temporary file so that simply "print" will put the
	results there.  Check the return value and output in table form if
	it is an ARRAY ref, otherwise print it without a final newline.
	(org-babel-perl-preface): Content of this variable is prepended to
	body before invocation of perl.  Rename input parameter body to
	ibody and let-bind body to concatentation of
	`org-babel-perl-preface' and ibody.  Implement results
	interpretation so that tables are easier to produce.

	* ob-eval.el (org-babel-eval): Use simplified version of
	`org-babel--shell-command-on-region´, we are the only caller of
	this function.
	(org-babel--shell-command-on-region): Replace
	`org-babel-shell-command-on-region´ with a much more simplified
	internal version, remove superfluous DOCSTRING and interactive
	clause, strip out all conditionals which were never used.  Prevent
	deletion of temporary input file to aid debugging when the symbol
	`org-babel--debug-input´ is bound and has non-nil value.

	* ob-tangle.el (org-babel-tangle): Do not change signature, a nil
	arg is even documented in the manual.

	* org-src.el: Change declaration of `org-babel-tangle´ to "arg"
	for first argument.

	* ob-core.el (org-babel-execute-src-block): Add binding for
	merged-params to avoid multiple evaluation of
	`org-babel-merge-params´.  Rename cache? to cache-p, add binding
	for cache-current-p and use it.  Do not run
	`org-babel-confirm-evaluate´ if source block has a cache and the
	cache value is current (there is no evaluation involved in this
	case).

	* org.el (org-current-time): Replace call to obsolete function
	`time-to-seconds´ with a call to compatibility function
	`org-float-time´.

	* org-compat.el (user-emacs-directory): If not bound, define as an
	alias to `user-init-directory´ so that XEmacs continues to be
	happy with Org.

	* org-macs.el: New macro to allow the 5-argument form of load to
	be used where possible without breaking compatibility with XEmacs.

	* org.el (org-version, org-reload): Use
	`org-load-noerror-mustsuffix´ instead of adding a fifth argument
	to load directly.  Guard against undefined variable load-suffixes,
	which doesn't exist in XEmacs.

	* org.el: Use
	`org-define-obsolete-{function,variable}-alias´instead of
	`define-obsolate{function,variable}-alias´.

	* org-compat.el (user-error): Defalias to `error´ for Emacsen that
	don't have it.

	* ob-python.el (org-babel-python-hline-to)
	(org-babel-python-None-to): Specify customize group as 'org-babel
	and widget type as 'string.

	* ob.el (org-babel-result-cond): Macro expansion needs to unquote
	formal parameter `result-params´.

	* org.el (org-reload): Major rewrite.

	* org.el (org-clock-get-last-clock-out-time): Declare function.

2013-11-12  Alan Schmitt  <alan.schmitt@polytechnique.org>

	* ob-ocaml.el (org-babel-prep-session:ocaml): Use
	`save-window-excursion' around the code starting the tuareg
	process.
	(org-babel-ocaml-command): New option to specify the name of the
	toplevel to run.
	(org-babel-prep-session:ocaml): Directly call
	`tuareg-run-process-if-needed' with `org-babel-ocaml-command' as
	argument.
	(org-babel-execute:ocaml): Always append ";;" at the end of the
	expression before sending it to the toplevel.  Do not remove the
	type information if "verbatim" is a results parameter of the code
	block.
	(org-babel-ocaml-parse-output): Make sure the complete type is
	taken into account when matching against known types.

	* org-faces.el (org-footnote): Fix docstring.

2013-11-12  Andreas Leha  <andreas@lehas.net>

	* ob-latex.el (org-babel-execute:latex): Add a tizk option that
	copies the body of the block into a tikz file.

2013-11-12  Arun Persaud  <apersaud@lbl.gov>

	* org-agenda.el (org-agenda-prefix-format): Add documentation for
	the new %b option.
	(org-prefix-has-breadcrumbs): Add flag, `t' when %b is set.
	(org-agenda-format-item): Add breadcrumbs if requested.
	(org-compile-prefix-format): Add compiled information for
	breadcrumbs, add %b option.

2013-11-12  Aurélien Aptel  <aurelien.aptel@gmail.com>  (tiny change)

	* ox-html.el (org-html-code, org-html-verbatim): Remove fancy
	string replacements for code and verbatim text when exporting to
	HTML.

2013-11-12  Bastien Guerry  <bzg@gnu.org>

	* org.el (org-align-tags-here): Fix bug: move to the correct
	position.
	(org-agenda-prepare-buffers): Restore the point position.
	(org-insert-link): Don't remove brackets when they belong to a
	timestamp in a headline.

	* org-capture.el (org-capture-refile): Don't finalize prematurely.
	(org-capture): Store :return-to-wconf earlier.
	(org-capture-place-template): Don't store :return-to-wconf when
	called from a capture template using `function', rely on the early
	:return-to-wconf value store from `org-capture'.

	* org-compat.el (org-move-to-column): New argument
	`ignore-invisible' to turn on `buffer-invisibility-spec'.

	* org-agenda.el (org-agenda-show-new-time): Ignore invisible text
	when inserting the new time as a text property.
	(org-agenda-filter-make-matcher): When filtering tags and hitting
	space, filter out entries with tags, only keep those without tags.
	(org-agenda-drag-line-forward, org-agenda-drag-line-backward): Fix
	bugs: don't drag lines without text and don't drag lines
	before/after hidden lines.

	* ox-odt.el (org-odt-table-style-format): Use %s for inserting the
	rel-width property as a string.
	(org-odt-template): Fall back on a string for :rel-width.

	* org.el (org-directory, org-default-notes-file)
	(org-reverse-note-order): Don't use the `org-remember'
	customization group.
	(org-require-autoloaded-modules): Don't require
	`org-remember'.

	* org-capture.el: Update commentary section to reflect the fact
	that org-remember.el is not used anymore.

	* org.el (org-babel-load-file): Set `exported-file' correctly, in
	case the file as been tangled using a buffer-local value.

	* ob-tangle.el (org-babel-tangle-file): Return the list of tangled
	files.

	* ox-org.el (org-org-publish-to-org): When htmlizing an .org file,
	ensure to show all headings and all blocks before fontifying.

	* ob-shen.el (org-babel-ruby-var-to-ruby): Declare.

	* ox.el: Fix comment: remove reference to the obsolete variable
	`org-export-language-setup'.

	* org.el (org-set-regexps-and-options-for-tags): Fix concatenation
	of the tags list.

	* ox-odt.el (org-odt-pixels-per-inch): Use 96.0 as the default.

	* org.el (org-refile): With a numeric prefix argument of `3',
	emulate (setq org-refile-keep t) and copy the subtree to the
	target location, don't delete it.
	(org-set-regexps-and-options-for-tags): Fix the setting of tag
	groups when relying on `org-tag-alist', not on tags directly set
	in the buffer with the #+TAGS option.

	* org-agenda.el (org-agenda-archive-with): Save window excursion.

	* org.el (org-forward-element, org-backward-element): Throw a
	message instead of an error when trying to move from a position
	where there is no element.
	(org-clock-is-active): Fix docstring.

	* org-list.el (org-sort-list): Use `x' instead of `c' for sorting
	plain list by checked status.

	* org.el (org-structure-template-alist): Fix custom type and
	default value.
	(org-set-regexps-and-options-for-tags): Enhance docstring.
	(org-set-regexps-and-options): Make sure not to add
	`org-tag-alist' twice when setting this variable through et
	#+setupfile: directive.
	(org-tags-expand): Use `with-syntax-table'.

	* org-list.el (org-sort-list): Implement sorting by "checked"
	status for check lists.

	* org-table.el (org-table-sum): Fix rounding error when summing
	times.

	* ob-scheme.el (org-babel-scheme-execute-with-geiser): Fix code
	typo.  Add declarations.

	* ox-html.el (org-html-link-use-abs-url): New option.
	(org-html-link): Use it to prepend relative links with the value
	of HTML_LINK_HOME, when defined.

	* org.el (org-refile): Fix refiling the active region within an
	list.  Don't store the last refiled subtree in the kill ring.

	* org.el (org-mode-map): Remap `forward-paragraph' and
	`backward-paragraph' to `org-forward-element' and
	`org-backward-element'.

	* ox-html.el (org-html-begin-plain-list): New parameter
	`ordered-num' to tell whether the list is ordered numerically.
	(org-html-plain-list): Handle alphabetical ordered list.

	* org-agenda.el (org-batch-agenda): Let-bind `org-agenda-sticky'
	to nil during batch export.

	* org.el (org-copy-subtree): Fix typo in docstring.
	(org-scan-tags): Don't disable `case-fold-search' too early.

	* org-agenda.el (org-agenda-skip-eval): Fix typo in docstring.

	* org-capture.el (org-capture-set-target-location): Don't throw an
	error when `org-time-was-given' is not bound.

	* org-clock.el (org-clock-modify-effort-estimate): Clarify
	docstring.

	* org.el (org-set-regexps-and-options-for-tags): Return a list
	with tag-related variables.
	(org-set-regexps-and-options): Append tags from a setup file to
	the local tags of the file.
	(org-agenda-prepare-buffers): Set tags from a setup file by
	calling `org-set-regexps-and-options' when necessary.
	(org-set-regexps-and-options): Fix `org-deadline-time-hour-regexp'
	and `org-scheduled-time-hour-regexp'.

	* org-table.el (org-table-TBLFM-begin-regexp): Rename from
	`org-TBLFM-begin-regexp'.
	(org-table-calc-current-TBLFM): Rename from
	`org-calc-current-TBLFM'.

	* org.el (org-ctrl-c-ctrl-c): Require org-table if needed.
	(org-refresh-properties): Put the text property on the whole
	subtree, not just on the headline.
	(org-get-outline-path): Remove statistical and checkboxes cookies.

	* org-agenda.el (org-agenda, org-search-view, org-tags-view)
	(org-agenda-get-day-entries, org-agenda-set-restriction-lock): Use
	(current-buffer) as the value of `org-agenda-restrict'.  Fix a bug
	about narrowing to wrong region boundaries when
	`org-agenda-restrict' is non-nil.

	* org.el (org-agenda-text-search-extra-files): Fix typos in
	docstring.
	(org-insert-heading): Fix case when there the first heading starts
	at the beginning of the buffer.

	* ob-core.el (org-babel-expand-src-block): Use
	`org-called-interactively-p'.

	* org.el (org-agenda-prepare-buffers): Avoid duplicates in
	`org-tag-alist-for-agenda' correctly.
	(org-read-date-minibuffer-local-map): Check if we are at the
	beginning of the prompt, not if we are after a whitespace.  Bind
	C-. to `calendar-goto-today'.

	* org-clock.el (org-clock-in): Don't forward by one character when
	setting the marker in the clock history.

	* org.el (org-read-date-minibuffer-local-map): Call
	`calendar-goto-today' only if there is a space before point in the
	minibuffer prompt.
	(org-insert-heading): Reveal context when called interactively.
	Fix bug about wrong conversion of lines with :END: or #+end_ into
	headlines.
	(org-in-drawer-p): New function.
	(org-meta-return): Use `org-catch-invisible-edits' and the
	`org-in-drawer-p' to check whether we are within a drawer.

	* org-list.el (org-sort-list): Fix infloop.

	* org.el (org-clone-subtree-with-time-shift): Unconditionally ask
	for a time shift if there is a time-stamp.  Don't ask for a time
	shift when called with a universal prefix argument.

	* ob-core.el (org-babel-insert-result): Fix bug when inserting
	results as a list: ensure we split a string containing "\n".

	* ox-html.el: Fix copyright header.

	* org.el (org-store-link): Don't add a search string when storing
	a link from a radio target.
	(org-open-at-point): Jump to the radio link (<<<radio>>>), not to
	the simple target (<<target>>).

	* org-table.el (org-table-get-remote-range): Fix typo.

	* org-datetree.el (org-datetree-find-month-create)
	(org-datetree-find-day-create): Add a docstring.
	(org-datetree-find-year-create): Only match headlines with a
	year or a year and one or more tags.

	* org-crypt.el (org-crypt-check-auto-save)
	(org-crypt-use-before-save-magic): Use `org-add-hook' when the
	hooks are local hooks.

	* org-agenda.el (org-agenda-mode): Use `org-add-hook' and merge
	upstream change from Emacs 2013-04-18T00:12:33Z!monnier@iro.umontreal.ca.

	* ob-core.el (org-babel-pop-to-session-maybe): Fix docstring.
	(org-babel-pop-to-session-maybe): Use true function's name,
	not its alias.

	* org-agenda.el (org-agenda-drag-line-forward)
	(org-agenda-drag-line-backward): New commands.
	(org-agenda-mode-map): Bind the new commands to M-<down> and
	M-<up> respectively.

	* org.el (org-insert-heading): Fix insertion of items.

	* org-capture.el (org-capture-use-agenda-date): Fix docstring.

	* org-agenda.el (org-agenda-bulk-toggle): Fix docstring.
	(org-agenda-bulk-toggle-all): New command.
	(org-agenda-mode-map): Bind `org-agenda-bulk-toggle' to `M-m'
	and `org-agenda-bulk-toggle-all' to `M-*'.
	(org-agenda-menu): Add `org-agenda-bulk-toggle' and
	`org-agenda-bulk-toggle-all'.
	(org-agenda-bulk-mark, org-agenda-bulk-unmark): Jump to the
	next headline, not the next line.

	* org-capture.el (org-mks): Fix bug: let-bind `case-fold-search'
	to nil while matching the first letter of a multi-letters
	template.

	* org.el (org-store-link): When a bracket link is found in a
	headline, use the link description or the link path.
	(org-flag-drawer, org-hide-block-toggle)
	(org-goto-left, org-goto-right, org-promote)
	(org-paste-subtree, org-narrow-to-block, org-sort-entries)
	(org-insert-link, org-offer-links-in-entry, org-open-file)
	(org-refile, org-refile-get-location)
	(org-refile-check-position, org-prepare-dblock, org-todo)
	(org-auto-repeat-maybe, org-show-todo-tree, org-sparse-tree)
	(org-occur, org-priority, org-scan-tags)
	(org-get-tags-string, org-property-action, org-set-effort)
	(org-entry-put, org-insert-drawer)
	(org-compute-property-at-point)
	(org-property-next-allowed-value, org-evaluate-time-range)
	(org-closest-date, org-timestamp-change)
	(org-revert-all-org-buffers, org-cycle-agenda-files)
	(org-agenda-file-to-front, org-remove-file)
	(org-preview-latex-fragment, org-format-latex)
	(org-create-math-formula, org-create-formula-image)
	(org-speed-command-help, org-check-before-invisible-edit)
	(org-modifier-cursor-error, org-hidden-tree-error)
	(org-mark-subtree, org-kill-line, org-first-sibling-p)
	(org-up-element, org-down-element)
	(org-drag-element-backward, org-drag-element-forward)
	(org-unindent-buffer, org-speedbar-set-agenda-restriction): Use
	`user-error' instead of `error'.

	* ox-latex.el (latex): Don't force exporting with smart quotes.

	* ox.el (org-export-with-smart-quotes): Mention the need to use
	the relevant Babel package when setting this option to non-nil.

	* org-src.el (org-edit-src-turn-on-auto-save): New option.
	(org-edit-src-code): Use it.
	(org-edit-src-auto-save-idle-delay): Enhance docstring.

	* org-capture.el (org-mks): Make cursor invisible.

	* org.el (org-link-expand-abbrev): Save match data before before
	calling the replacement function.

	* org-list.el (org-sort-list): Don't move point when matching time
	values.

	* org.el (org-shifttab): Show the correct number of empty
	headlines when called with a numeric prefix argument.  Enhance
	docstring.
	(org-uniquify): Use `copy-sequence'.
	(org-adaptive-fill-function, org-fill-paragraph): Throw a useful
	error message when parse an element fails in the current buffer.

	* ox.el (org-export-with-planning): Enhance docstring.

	* org.el (org-closed-keep-when-no-todo): New option.
	(org-todo): Use the new option.
	(org-open-line): Rename from `org-ctrl-o'.
	(org-mode-map): Use `remap'.
	(org-cycle-emulate-tab, org-file-apps)
	(org-set-font-lock-defaults)
	(org-translate-link-from-planner, org-link-search)
	(org-refile-get-targets, org-read-date-get-relative): Minor
	code clean-up: fix dangling parentheses.

	* org-agenda.el (org-agenda-entry-text-mode): Also check against
	regexp filters.
	(org-timeline): Handle `org-agenda-show-log'.

	* org-clock.el (org-clock-select-task): Remove successive
	duplicates in the clock history to consider.

	* org.el (org-uniquify-alist): Improve docstring.
	(org-make-tags-matcher, org-change-tag-in-region): Add buffer's
	tags to the tags completion table.
	(org-tags-expand): Prevent circular replacement of group tags.
	Tiny docstring formatting.
	(org-uniquify): Make a defsubst.  Use `delete-dups' instead of
	`add-to-list'.
	(org-todo): Also remove the CLOSED planning information when
	removing the TODO keyword.
	(org-forward-heading-same-level): Fix bug when forwarding
	to a hidden subtree of the same level.
	(org-tags-expand): Use word delimiters when building the tag
	search regexp.

	* org-clock.el (org-clock-insert-selection-line): Don't display
	the clockout time.

	* org.el (org-emphasis-regexp-components): Make a defvar.
	(org-emphasis-alist): New default value: don't set HTML tags.
	(org-emphasize, org-set-emph-re): Use the new value of
	`org-emphasis-alist'.

	* org-mobile.el (org-mobile-edit): Insert new headings at the end
	of the parent subtree.  Use `org-at-heading-p' instead of the
	obsolete `org-on-heading-p'.

	* org.el (org-insert-heading): When called from a list item and
	`org-insert-heading-respect-content' is non-nil, insert a heading,
	not an item.
	(org-insert-heading-respect-content): Fix docstring.
	(org-insert-heading): When in a non-empty non-headline line,
	convert the current line into a headline.

	* org-table.el (org-table-copy-down): Don't move cursor when
	getting the field.

	* ox-icalendar.el (org-icalendar-export-current-agenda): Do not
	evaluate babel code blocks.

	* ox-html.el (html): Add more options.

	* ox-publish.el (org-publish-project-alist): Add :with-planning in
	docstring.

	* ob-exp.el (org-babel-exp-src-block): Tiny docstring fix.

	* ox-icalendar.el (org-icalendar--combine-files): Fix typo.

	* org-mouse.el (org-mouse-agenda-context-menu): Fix a function's
	name.

	* ox.el (org-export-options-alist, org-export--skip-p): Use
	`:with-planning' instead of `:with-plannings', to keep in sync
	with the corresponding option's name.

	* ob-core.el (org-babel-confirm-evaluate): Fix typo in docstring.

	* org-agenda.el (org-agenda-undo, org-agenda)
	(org-agenda-append-agenda)
	(org-agenda-get-restriction-and-command, org-agenda-write)
	(org-agenda-clock-cancel)
	(org-agenda-diary-entry-in-org-file, org-agenda-diary-entry)
	(org-agenda-execute-calendar-command)
	(org-agenda-goto-calendar, org-agenda-convert-date)
	(org-agenda-bulk-mark, org-agenda-bulk-action)
	(org-agenda-show-the-flagging-note): Use `user-error' instead of
	`error'.

	* org-macs.el (org-with-remote-undo): Normalize argument names.

	* org.el (org-store-log-note): Fix `buffer-undo-list' when called
	after `org-agenda-todo'.
	(org-add-log-note): Minor formatting fix.

	* org-agenda.el (org-agenda-append-agenda): Set buffer read only.

	* org-clock.el (org-clock-select-task): Throw a user error when
	the clock history is empty.

	* org-table.el (org-table-get-remote-range): Fix docstring: use
	#+NAME instead of #+TBLNAME.

	* ob-ref.el: Use #+NAME instead of #+TBLNAME in comment.

	* ox-html.el (org-html-table-row-tags): Better example.

	* org-clock.el (org-clock-select-task): Fix window to buffer.
	Hide the cursor.
	(org-clock-insert-selection-line): Add the clock-out time.

	* ox-html.el (org-html-table-row-tags): Allow new dynamically
	bound value `row-number'.
	(org-html-table-row): Bind `row-number' to the number of the
	row (first row is 0).

	* org.el (org-minutes-to-clocksum-string): Round fractions of
	minutes.

	* ox-html.el (org-html-table-row-tags): Fix example in docstring.

	* org-agenda.el (org-agenda-span-to-ndays): Enhance docstring.
	(org-agenda-goto-date): Fix bug when going to a date in month
	view.
	(org-agenda-goto-date): Put the cursor on the agenda line with the
	selected date.
	(scheduled/deadline items with hour spec) then redo an agenda*.

	* org-clock.el (org-clock-resolve): Enhance the content of the
	help window.

	* org-footnote.el (org-footnote-auto-label): Minor docstring fix.

	* ox-odt.el (org-odt-link): Fix bug: convert & to &amp; in
	links.

	* ox-html.el (org-html-table-row): Dynamically bind
	`rowgroup-number', `start-rowgroup-p', `end-rowgroup-p',
	`top-row-p', `bottom-row-p'.
	(org-html-table-row-tags): Update docstring: tell what variables
	are dynamically bound.

	* org-src.el (org-edit-src-code): Don't set
	`buffer-auto-save-file-name' unless `auto-save-default' is
	non-nil.

	* ox.el (org-export-table-row-group): Fix typo in docstring.

	* org-table.el (orgtbl-apply-fmt): Enhance docstring.

	* org.el (org-file-contents): Make the message more prominent.

	* ox.el (org-export-replace-region-by): New function.

	* ox-texinfo.el (org-texinfo-convert-region-to-texinfo),
	* ox-md.el (org-md-convert-region-to-md),
	* ox-latex.el (org-latex-convert-region-to-latex),
	* ox-html.el (org-html-convert-region-to-html): New functions to
	replace the active region by its export into various backends.

	* org-faces.el (org-agenda-restriction-lock): Use less flashy
	colors.

	* org-agenda.el
	(org-agenda-restriction-lock-highlight-subtree): New option.
	(org-agenda-top-headline-filter): Rename from
	`org-agenda-top-headline-filter'.
	(org-find-top-headline): Rename from `org-find-top-category'.
	Add a docstring.
	(org-agenda-filtered-by-top-headline): Rename from
	`org-agenda-filtered-by-top-category'.
	(org-agenda-filter-by-top-headline): Rename from
	`org-agenda-filter-by-top-category'.  Fix docstring.
	(org-agenda-filter-top-headline-apply): Rename from
	`org-agenda-filter-top-category-apply'.  Fix docstring.
	(org-agenda-mode-map): Update binding.
	(org-agenda-get-todos): Set `todo-state' earlier so that we can
	skip false-positives in time.

	* org.el (org-get-todo-state): Add a docstring.
	(org-ctrl-o): New command to insert a new row in tables
	(like `M-S-<down>' does) and open a line elsewhere.
	(org-mode-map): Bind the new command to `C-o'.
	(org-set-regexps-and-options): Process tags from an external setup
	file.

	* org-agenda.el (org-agenda-dim-blocked-tasks): Enhance docstring.
	(org-agenda-finalize-entries): Conditionally apply limits so
	that we don't manipulate big lists uselessly.
	(org-agenda-limit-entries): Limit exclusively.  E.g., when
	limiting to a maximum of "2 tags", don't limit among tagged
	entries only, but limit among all entries.
	(org-agenda-limit-interactively): New command.
	(org-agenda-mode-map): Bind the new command to "~".
	(org-agenda-redo): Small fix: don't use `eval'.

	* org.el (org-ctrl-c-ctrl-c): Fix bug wrt updating checkboxes: the
	list beginning should be stored using a marker so that updating
	[%0] to [%50] will not throw an error.
	(org-babel-load-file): Move `org-babel-load-file' from
	ob-tangle.el to here so that it is correctly autoloaded by Emacs
	before Org is required.

	* org-mac-message.el: Delete.

	* org.el (org-modules): org-mac-message.el is not a core package
	anymore.

	* org-table.el (orgtbl-to-generic): Fix bug when exporting the
	cells of radio tables with 'hline.

	* org.el (org-speed-commands-default): Use ?s for
	`org-narrow-to-subtree'.

	* org-agenda.el (org-agenda-start-on-weekday): Fix typo.
	(org-agenda-start-day): Enhance docstring.

	* org-src.el (org-src-native-tab-command-maybe): Check that we are
	in a source code block.

	* org-mobile.el: Remove useless defvar.

	* org.el (org-indent-line): A line just below a line with a list
	item is now indented depending on the indentation of this list
	item.

	* org.el (org-options-keywords): Add #+TARGET.

	* org-clock.el (org-resolve-clocks-if-idle): Only try to resolve
	last clock if the clock buffer still exists.
	(org-clock-out, org-clock-cancel): Set markers to nil.

	* ox-org.el (org-org-publish-to-org):
	* ox-html.el (org-html-publish-to-html): Use the custom extension.

	* org.el (org-cycle-internal-local): Fix invalid search bound when
	`org-cycle-include-plain-lists' is set to 'integrate.

	* org.el (org-sparse-tree-default-date-type): Add an option for
	closed time-stamps.
	(org-sparse-tree): Allow to check against closed time-stamps.
	(org-re-timestamp): Handle closed time-stamps.
	(org-closed-in-range): Delete.

	* org-capture.el (org-capture-import-remember-templates): Take
	care of adding :jump-to-captured option if needed.

	* org.el (org-toggle-pretty-entities): Enhance messages.
	(org-raise-scripts): Handle scripts like "a_b^c".

	* org-capture.el (org-capture-templates): Document new option
	:jump-to-captured in the docstring.  Offer the complete list of
	options when customizing.
	(org-capture-finalize): Handle :jump-to-captured.

	* org.el (org-agenda-prepare-buffers): Fix bugs: don't let-bind
	`org-tag-alist' to nil and don't append duplicate tags to
	`org-tag-alist-for-agenda'.
	(org-store-link): Storing multiple links in the active region now
	requires a triple prefix argument.
	(org-store-link, org-link-search): Fix handling of links to #+NAME
	and #+TARGET keywords.

	* org-compat.el (org-ignore-region): Tiny docstring fix.

	* org-capture.el (org-capture): Don't store multiple links over
	lines in the active region.

	* ox-odt.el (org-odt-special-block): Don't wrap annotations into
	<text:p>...</text:p> at all.
	(org-odt--fix-annotations): New function.
	(org-odt--export-wrap): Use the new function to fix annotations
	insertion in content.xml.

	* org.el (org-mode-flyspell-verify): Require 'org-element so that
	`org-element-affiliated-keywords' is defined.

	* ox-odt.el (org-odt-special-block): Don't insert annotations
	using style "Text_20_body".

	* org.el (org-toggle-tags-groups): Correctly highlight group tags.
	(org-tags-expand): Expand tags as words, with characters ?@
	and ?_ being considered words constituents.
	(org-set-regexps-and-options): Don't read setup files from
	read-only buffers.
	(org-file-contents): When no-error is non-nil, throw a less
	intrusive message.

	* org-agenda.el (org-agenda-scheduled-leaders)
	(org-agenda-deadline-leaders): Re-align leaders to the left,
	back to a 11 characters width.

	* org.el (org-refile-cache-check-set): More informative message.

	* org-agenda.el (org-tags-view): Set the matcher after preparing
	the agenda, as `org-tag-groups-alist-for-agenda' might be needed.
	(org-agenda-filter-make-matcher): New parameter `filter' and
	`type'.  Handle group tags.
	(org-agenda-filter-expand-tags): New function.
	(org-agenda-filter-apply): Handle group tags.

	* org.el (org-blank-before-new-entry): Tiny docstring fix.
	(org-tag-alist-for-agenda): Add docstring.
	(org-tag-groups-alist-for-agenda): New global variable.
	(org-tag-groups-alist): New buffer-local variable.
	(org-tag-alist, org-tag-persistent-alist): Handle :grouptags.
	(org-group-tags): New option.
	(org-toggle-group-tags): New command.
	(org-mode-map): Bind `org-toggle-group-tags' to `C-c C-x q'.
	(org-set-regexps-and-options-for-tags): New function, factored
	out from `org-set-regexps-and-options'.
	(org-set-regexps-and-options): Don't handle tags, they are now
	handled separately by `org-set-regexps-and-options-for-tags'.
	(org-assign-fast-keys): Handle :grouptags.
	(org-mode): Use `org-set-regexps-and-options-for-tags' on top
	of `org-set-regexps-and-options'.
	(org-fontify-meta-lines-and-blocks-1): Fontify group tags.
	(org-make-tags-matcher): Expand group tags in the matcher.
	(org-tags-expand): New function.
	(org-tags-completion-function): Tiny code clean up.
	(org-set-current-tags-overlay): Add a docstring.
	(org-fast-tag-selection): Highlight group tags.
	(org-agenda-prepare-buffers): Set `org-tag-alist-for-agenda'
	and `org-tag-groups-alist-for-agenda'.  Don't uniquify
	`org-tag-alist-for-agenda' as we may need the grouping
	information for filtering in the agenda buffer.
	(org-uniquify-alist): New function.

	* org-pcomplete.el (pcomplete/org-mode/file-option/tags): Handle
	:grouptags.

	* org-faces.el (mode-line): New face for group tags.

	* ob-core.el (org-babel-hash-show-time): Tiny docstring
	enhancement.

	* org-element.el (org-element-paragraph-separate): Use new name
	`org-list-allow-alphabetical'.

	* org-list.el (org-list-allow-alphabetical): Rename from
	`org-alphabetical-lists'.
	(org-list-empty-line-terminates-plain-lists): Rename from
	`org-empty-line-terminates-plain-lists'.
	(org-checkbox-hierarchical-statistics): Rename from
	`org-hierarchical-checkbox-statistics'.

	* org.el (org-image-actual-width): Update docstring.
	(org-display-inline-images): Use the #+attr_html: :width syntax.
	(org-modules): Remove deleted libraries, add new ones.

	* ox-html.el (org-html-indent): Default to nil, as non-nil can
	break indentation of source code blocks.
	(org-html-link): Don't insert nil if there is no attributes.
	(org-html-link--inline-image): Use the correct syntax for image
	attributes.  Allow :width :height and :alt as predefined
	attributes for inline images.
	(org-html-link, org-html-table): Use the standard syntax---
	e.g. "#+attr_html: :options ..."--- to get attributes.

	* ox.el (org-export-table-cell-alignment): Treat an empty cell as
	a number if it follows a number.

	* ox.el (org-export-as): Allow user functions in
	`org-export-before-parsing-hook' to modify the point.

	* org.el (org-entry-add-to-multivalued-property): Add the new
	value by appending it at the end of the line.

	* org-table.el (orgtbl-to-generic): New parameter `backend' to
	export cells content using a specific backend.
	(orgtbl-to-latex, orgtbl-to-texinfo): Export cells to LaTeX
	and Texinfo before sending the table.

	* ox.el (org-export-define-backend)
	(org-export-define-derived-backend): Make defuns and update
	docstrings.

	* ox-texinfo.el (texinfo):
	* ox-org.el (org):
	* ox-odt.el (odt):
	* ox-md.el (md):
	* ox-man.el (man):
	* ox-latex.el (latex):
	* ox-icalendar.el (icalendar):
	* ox-html.el (html):
	* ox-beamer.el (beamer):
	* ox-ascii.el (ascii): Use `org-export-define-backend' and
	`org-export-define-derived-backend' as defuns, not macros.

	* org.el (org-set-regexps-and-options): Use
	`org-table-set-constants'.

	* org-table.el (org-table-set-constants): New function.
	(orgtbl-ctrl-c-ctrl-c): Use it.

	* org-pcomplete.el
	(pcomplete/org-mode/block-option/clocktable): Add parameters.

	* org.el (org-options-keywords): Remove "INFOJS_OPT": it is added
	through ox-html.el now.

	* org-agenda.el (org-agenda-redo): Set filters after agenda has
	been redone.

	* org.el (org-store-link): When there is an active region, store
	each line as a separate link.
	(org-insert-all-links): Use a default description when links
	do not have one already.

	* org-agenda.el (org-agenda-redo): Fix code typo.

	* org.el (org-link-display-format): Fix docstring.

	* ox-publish.el (org-publish-org-to)
	(org-publish-org-sitemap, org-publish-find-title)
	(org-publish-find-date)
	(org-publish-cache-file-needs-publishing): Set
	`org-inhibit-startup' to t when visiting files for
	publication.

	* ox-org.el (org-org-publish-to-org): Kill buffers not visited at
	publication time.

	* org.el (org-set-font-lock-defaults): Set font-lock keywords
	correctly for plain links.

	* ox-texinfo.el (org-texinfo-logfiles-extensions)
	(org-texinfo-remove-logfiles): New options.
	(org-texinfo-compile): Use the new options to remove files
	after compiling a Texinfo file.

	* ox-texinfo.el (org-texinfo-coding-system): New option.
	(org-texinfo-template): Add @documentlanguage and
	@documentencoding.
	(org-texinfo-headline): Add a space before tags.
	(org-texinfo-export-to-texinfo, org-texinfo-export-to-info):
	Use `org-texinfo-coding-system' as the coding system for
	exported buffers.
	(org-texinfo-publish-to-texinfo): New function.

	* ox-texinfo.el (org-texinfo-filename)
	(org-texinfo-info-process, org-texinfo-max-toc-depth)
	(org-texinfo--sanitize-menu): Docstrings tiny fixes.

	* org-agenda.el (org-agenda-dim-blocked-tasks): Only throw a
	message when called interactively.  Fix docstring position in the
	defun.

	* ox-html.el (org-html--build-meta-info): Fix setting of
	http-equiv="Content-Type".

	* org-agenda.el (org-agenda-mode-map): Use ?= for filtering by
	regexp and ?| for removing all filters.
	(org-agenda-filter-remove-all): New command.
	(org-agenda-filter-show-all-re): Rename from
	`org-agenda-filter-show-all-regexp'.
	(org-agenda-filter-by-regexp): Call
	`org-agenda-filter-show-all-re'.

	* org-list.el (org-insert-item): Don't ask for a definition term
	when insert an item in a description list.

	* org-agenda.el (org-agenda-Quit): Set `org-agenda-buffer' to nil.
	This prevents bugs when calling e.g., `org-diary' after quitting
	an agenda window.
	(org-agenda-entry-types): Move earlier in the file.
	(org-agenda-custom-commands-local-options, org-diary)
	(org-agenda-get-day-entries): Don't hardcode the default agenda
	entry types, use `org-agenda-entry-types'.
	(org-agenda-custom-commands): Fix default setting so that the
	customize interface does not complain about a mismatch.

	* org.el (org-export-backends): Add new backends.

	* ox-html.el (org-html-indent): New option.
	(org-html-use-unicode-chars): New option.
	(org-html-pretty-output): Delete.
	(org-html-final-function): Use the new options.

	* ox-html.el (org-html-link): Fix handling of abbreviated links
	which include a file: protocol.
	(org-html--build-postamble): Default to today's date.
	(org-html--build-meta-info): When #+DATE contains a time stamp,
	parse it as a RFC 822 time string, otherwise simply insert the
	date as a string.

	* ox.el (org-export--copy-to-kill-ring-p): New function.
	(org-export-copy-to-kill-ring): Use 'if-interactive as the
	default.
	(org-export-to-buffer, org-export-to-file): Use
	`org-export--copy-to-kill-ring-p' and fix docstrings.

	* ox-odt.el (org-odt-export-as-odf): Use
	`org-export--copy-to-kill-ring-p'.

	* org.el (org-set-font-lock-defaults): Fontify macros.

	* org-faces.el (org-macro): New face.

	* org.el (org-clone-subtree-with-time-shift): Only prompt for a
	time shift when the entry at point has a time stamp and when the
	command is called with a universal prefix argument.
	(org-execute-file-search-functions): Docstring fix.

	* org-compat.el (org-defvaralias): Fix declare form.

	* org-clock.el (org-clocktable-defaults): Add :mstart parameter.
	(org-clock-special-range): New argument mstart.
	(org-dblock-write:clocktable, org-dblock-write:clocktable)
	(org-clocktable-write-default, org-clocktable-steps)
	(org-clock-get-table-data): Handle the :mstart parameter.

	* org.el (org-map-entries): Use `save-window-excursion'.

	* org-compat.el (org-defvaralias): New compatibility function.

	* org-list.el (org-cycle-include-plain-lists): Also add to the
	'org-cycle customization group.
	(org-list-allow-alphabetical)
	(org-checkbox-hierarchical-statistics)
	(org-list-empty-line-terminates-plain-lists)
	(org-list-description-max-indent): Rename and add aliases to old
	names.

	* org-element.el (org-element-context): Prevent an error when
	getting the context of a table rule.

	* org.el (org-deadline-time-hour-regexp)
	(org-scheduled-time-hour-regexp): New buffer local variables.
	(org-set-regexps-and-options): Set the new variables.

	* org-agenda.el (org-agenda-custom-commands-local-options): Add
	:deadline* and :scheduled* to the list of possible agenda entry
	types.
	(org-agenda): Implement a new agenda type agenda* with :scheduled*
	and :deadline* replacing :scheduled and :deadline respectively in
	agenda entry types.  In such agenda, only scheduled and deadline
	items with a time specification [h]h:mm will be considered.
	(org-agenda-entry-types): Document the new agenda entry types
	:scheduled* and :deadline*.
	(org-agenda-list): New parameter `with-hour'.  Use :scheduled* and
	:deadline*.
	(org-agenda-get-day-entries): Handle :scheduled* and :deadline*.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): New
	parameter `with-hour'.  Use `org-deadline-time-hour-regexp' or
	`org-scheduled-time-hour-regexp' as the search string if needed.
	(org-agenda-to-appt): Use :scheduled* and :deadline* by default,
	as other scheduled and deadline items don't have a time spec and
	cannot be turned into appointments.  Trim bracket links and use
	only the description as the appointment text.
	(org-agenda-get-restriction-and-command): Add
	default description for the agenda* view.
	(org-agenda-run-series): Handle agenda* views.

	* org-faces.el (org-agenda-filter-tags)
	(org-agenda-diary, org-agenda-calendar-event)
	(org-agenda-calendar-sexp): Minor code clean up.
	(org-agenda-filter-category): Docstring fix.
	(org-agenda-filter-category): New face.

	* org-agenda.el (org-agenda-local-vars): Add
	`org-agenda-re-filter-overlays' and `org-agenda-regexp-filter'.
	(org-agenda-mode-map): Use "|" for
	`org-agenda-filtered-by-regexp'.
	(org-agenda-re-filter-overlays): New variable.
	(org-agenda-mark-filtered-text): Use
	`org-agenda-re-filter-overlays'.
	(org-agenda-finalize, org-agenda-redo): Allow regexp filtering.
	(org-agenda-filter-by-category): Set `org-agenda-category-filter'
	here instead of within `org-agenda-apply-filter'.
	(org-agenda-regexp-filter): New variable.
	(org-agenda-filter-by-regexp): New function to filter agenda
	buffers by regexp.
	(org-agenda-filter-make-matcher): Make matcher for regexp filters.
	(org-agenda-filter-apply): Don't set `org-agenda-tag-filter' and
	`org-agenda-category-filter'.  Maybe apply regexp filter.
	(org-agenda-filter-hide-line): Add docstring.  Hide
	regexp-filtered lines.
	(org-agenda-filter-show-all-tag, org-agenda-filter-show-all-cat):
	Add docstring.
	(org-agenda-filter-show-all-regexp): New function.
	(org-agenda-set-mode-name): Add regexp-filter information.
	(org-agenda-custom-commands-local-options): Add regexp filter.
	(org-agenda-regexp-filter-preset): New variable.
	(org-agenda-prepare): Use the new variable.

	* ox-odt.el (org-odt-code, org-odt-verbatim): Use
	`org-odt--encode-plain-text'.

	* ox-html.el (org-html-link): Minor code clean-up.

	* org.el (org-insert-heading): DTRT when in a narrowed region.

	* org-compat.el (org-buffer-narrowed-p): New compatibility
	function.

	* ox-html.el (org-html-format-inline-image): Fix missing string in
	formatting string.

	* org-agenda.el (org-agenda-skip-scheduled-if-deadline-is-shown):
	New allowed value `repeated-after-deadline' which will prevent the
	display of scheduled items when repeated after the current
	deadline.
	(org-agenda-get-scheduled): Handle the new value.

	* org.el (org-time-string-to-absolute): Tiny docstring fix.

	* ox-html.el (org-html-style-default): New classes `footpara' and
	`footdef' for the footnotes paragraphs and definitions.
	(org-html-format-footnote-definition): Wrap the footnote
	defintions into their own div.
	(org-html-paragraph): Don't add extra <br/> after a paragraph in a
	footnote.
	(org-html-container-element, org-html-divs): Mention that
	org-info.js will not work when changing the defaults.

	* ox-md.el (md): Export underlined text as verbatim.

	* ox-html.el (org-html-style-default): New CSS .underline and
	#org-div-home-and-up.
	(org-html-text-markup-alist): Don't hardcode the style, use the
	new class .underline.
	(org-html-home/up-format): Don't hardcode the style, use
	#org-div-home-and-up.
	(org-html-center-block): Use the .center class.

	* ox-md.el (org-md-underline): New function.

	* org-agenda.el (org-sorting-choice): Fix default value.

	* ox-html.el (org-html-format-footnote-definition)
	(org-html-footnote-section): Don't wrap footnote definitions into
	tables.
	(org-html-paragraph): Add HTML style and class parameter when the
	paragraph is in a footnote definition.  Also allow to add an extra
	string after the paragraph.  Further parameters can be added for
	paragraphs in other environments.
	(org-html-template): Always include the title as <h1
	class="title"></h1>, even when there is no title, as org-info.js
	needs it.

	* org-element.el (org-element-map): Fix tiny typo in docstring.

	* org-agenda.el (org-agenda-day-view): Fix parameter's name.

	* ox-html.el (org-html-format-inline-image): Don't add superfluous
	<p></p> when there is an empty caption.

	* org-agenda.el (org-agenda-refile): Enhance docstring.  Allow to
	clear the refile cache with C-0 or C-u C-u C-u.

	* ox-md.el (org-md-export-as-markdown): Tiny docstring fix.  Fix a
	library keyword in the comment section.

	* org.el (org-toggle-item): Convert all normal lines as items when
	there is a region, and only convert the first line when called
	with a universal prefix argument.  This is consistent with the
	behavior of `org-toggle-heading'.
	(org-toggle-heading): When the region contains only normal lines,
	a universal prefix arg will only convert the first line.  This is
	more consistent with `org-toggle-item'.
	(orgstruct-setup): Add `org-ctrl-c-minus' and `org-ctrl-c-star'.
	(customize-package-emacs-version-alist): Update
	`customize-package-emacs-version-alist'.

	* ox-texinfo.el (org-export-texinfo)
	(org-texinfo-filename, org-texinfo-classes)
	(org-texinfo-format-headline-function)
	(org-texinfo-node-description-column)
	(org-texinfo-active-timestamp-format)
	(org-texinfo-link-with-unknown-path-format)
	(org-texinfo-tables-verbatim)
	(org-texinfo-table-scientific-notation)
	(org-texinfo-text-markup-alist)
	(org-texinfo-format-drawer-function)
	(org-texinfo-format-inlinetask-function)
	(org-texinfo-info-process):
	* ox-odt.el (org-odt-format-drawer-function)
	(org-odt-format-headline-function)
	(org-odt-format-inlinetask-function):
	* ox-md.el (org-export-md, org-md-headline-style): Fix :version
	and :package-version keywords.

	* org.el (org-time-clocksum-use-effort-durations): Don't set to t
	by default as it will change many clocktables out there.  Let the
	user decides whether she wants to turn this on.

	* org.el (org-agenda-inhibit-startup): Revert to nil as the default.

	* org-agenda.el (org-agenda-dim-blocked-tasks): Revert to t as the
	default.

	* ox-html.el (org-html-style-default): More cosmetic tweaks.
	(org-html-head-include-default-style): Minor docstring update.

	* ox.el (org-export-snippet-translation-alist)
	(org-export-coding-system, org-export-in-background)
	(org-export-async-init-file, org-export-invisible-backends)
	(org-export-dispatch-use-expert-ui):
	* ox-texinfo.el (org-texinfo-filename, org-texinfo-classes)
	(org-texinfo-format-headline-function)
	(org-texinfo-node-description-column)
	(org-texinfo-active-timestamp-format)
	(org-texinfo-link-with-unknown-path-format)
	(org-texinfo-tables-verbatim)
	(org-texinfo-table-scientific-notation)
	(org-texinfo-text-markup-alist)
	(org-texinfo-format-drawer-function)
	(org-texinfo-format-inlinetask-function)
	(org-texinfo-info-process):
	* ox-man.el (org-man-tables-centered)
	(org-man-table-scientific-notation)
	(org-man-source-highlight, org-man-source-highlight-langs)
	(org-man-pdf-process, org-man-logfiles-extensions):
	* ox-html.el (org-html-allow-name-attribute-in-anchors)
	(org-html-coding-system, org-html-divs):
	* ox-ascii.el (org-ascii-text-width)
	(org-ascii-headline-spacing, org-ascii-indented-line-width)
	(org-ascii-paragraph-spacing, org-ascii-charset)
	(org-ascii-underline, org-ascii-bullets)
	(org-ascii-links-to-notes)
	(org-ascii-table-keep-all-vertical-lines)
	(org-ascii-table-widen-columns)
	(org-ascii-table-use-ascii-art)
	(org-ascii-format-drawer-function)
	(org-ascii-format-inlinetask-function):
	* org.el (org-modules, org-export-backends)
	(org-highlight-latex-and-related, orgstruct-setup-hook):
	* org-attach.el (org-attach-git-annex-cutoff):
	* org-archive.el (org-archive-file-header-format):
	* org-agenda.el (org-agenda-todo-ignore-time-comparison-use-seconds):
	* ob-python.el (org-babel-python-hline-to)
	(org-babel-python-None-to):
	* ob-ditaa.el (org-ditaa-eps-jar-path):
	* ob-core.el (org-babel-results-keyword): Add :version and
	:package-version.

	* ox-ascii.el: Use utf-8-emacs as the file coding system.

	* org-capture.el (org-capture-templates, org-capture-string)
	(org-capture-steal-local-variables)
	(org-capture-empty-lines-before)
	(org-capture-empty-lines-after)
	(org-capture-insert-template-here)
	(org-capture-import-remember-templates): Fix or add docstring.

	* ox-html.el (org-html-style-default): Cosmetic changes.
	(org-html-postamble, org-html-preamble)
	(org-html-preamble-format): Update docstring.

	* org-agenda.el (org-agenda-format-date-aligned)
	(org-agenda-time-of-day-to-ampm-maybe)
	(org-scheduled-past-days)
	(org-agenda-normalize-custom-commands)
	(org-agenda-run-series, org-store-agenda-views): Fix or add
	docstring.

	* ox-latex.el:
	(org-latex-table-scientific-notation, org-latex-verse-block): Fix
	typos in docstrings.

	* ox-html.el (org-html-text-markup-alist)
	(org-html-pretty-output, org-html-link-org-files-as-html)
	(org-html-postamble, org-html-preamble)
	(org-html-format-inline-image, org-html-splice-attributes)
	(org-export-splice-style, org-html-htmlize-region-for-paste)
	(org-html-fix-class-name)
	(org-html-format-footnote-reference)
	(org-html-format-footnotes-section)
	(org-html-footnote-section, org-html--anchor)
	(org-html--todo, org-html--tags, org-html-format-headline)
	(org-html-toc, org-html-format-section, org-html-checkbox)
	(org-html-format-list-item, org-html-format-latex)
	(org-html-encode-plain-text)
	(org-html-table-first-row-data-cells)
	(org-html-table--table.el-table, org-html-final-function): Fix
	or add docstring.

	* org.el (org-insert-heading): If the current item has a checkbox,
	insert the new item with a checkbox.

	* org.el (org-insert-heading): Don't delete spaces in empty
	headlines.

	* ox-odt.el (org-odt-keyword): Fix typo.

	* ox-latex.el (org-latex-toc-command): Cosmetic docstring change.

	* ox-html.el (org-html-encode-plain-text): Fix typo in docstring.

	* org-faces.el (org-column): Update docstring.

	* org-colview.el: Update error message.

	* org.el (org-modules): Do not include org-mew.el, org-vm.el,
	org-w3m.el, org-wl.el as these files are now part of contrib/.

	* org-mew.el:
	* org-vm.el:
	* org-w3m.el:
	* org-wl.el: Delete (moved to Org's contrib/ directory.)

	* org-capture.el (org-mks): Move from org-mks.el.

	* org-mks.el: Delete.

	* ox-html.el (html): Update HTML options names.

	* org.el (org-show-context): Don't try to fix ellipsis when
	showing a subtree in agenda.

	* ox-html.el (html): Reintroduce #+HTML_HEAD_EXTRA, previously
	known as HTML_STYLE_EXTRA.
	(org-html-head): Enhance docstring.
	(org-html-head-extra): Reintroduce.  Was `org-html-style-extra'.
	(org-html--build-head): Rename from `org-html--build-head'.  Add
	information from `org-html-head-extra'.
	(org-html-template): Use `org-html--build-head'.

	* ox-html.el (org-html-display-buffer-mode): Delete.
	(org-html-export-as-html): Use `set-auto-mode' instead of
	`org-html-display-buffer-mode'.

	* org-agenda.el (org-agenda-write): Overwrite file when called
	non-interactively.

	* org-mobile.el (org-mobile-edit): Workaround a
	`org-insert-heading-respect-content' bug which prevents correct
	insertion when point is invisible

	* org.el (org-previous-line-empty-p): New parameter to allow
	checking next line.  Add a docstring.
	(org-insert-heading): Handle two universal prefix arguments as
	advertised in the docstring.  Don't insert new lines when
	creating a heading after the first heading in the current
	subtree.
	(org-insert-heading-respect-content): New optional argument
	arg, passed to `org-insert-heading'.

	* org.el (org-mode): Remove syntax entries.  Use
	`org-backward-element' and `org-forward-element' for
	`beginning-of-defun-function' and `end-of-defun-function': this
	allows using C-M-a and C-M-e before the first headline.

	* ox-html.el (html): Remove :html-htmlized-css-url :options-alist.

	* ox-org.el (org-org-htmlized-css-url): Rename from
	`org-html-htmlized-org-css-url' and moved here from ox-html.el.
	(org-org-publish-to-org): Handle :htmlized-source in
	publishing projects.

	* ox-html.el (org-html-style-default): Update docstring.
	(org-html-infojs-install-script, org-html--build-style): Update
	property names.
	(org-html-head-include-scripts)
	(org-html-head-include-default-style, org-html-head):
	Respectively rename from `org-html-style-include-scripts',
	`org-html-style-include-default' and `org-html-style', now
	obsolete.
	(org-html-style-extra): Delete.

	* org-clock.el (org-clock-out): Fix bug: if a closing note needs
	to be stored in the drawer where clocks are stored, let's
	temporarily remove `org-clock-remove-empty-clock-drawer' from
	`org-clock-out-hook'.

	* ob-tangle.el (org-babel-tangle): Remove unused attempt of
	prompting the user of the tangle file name since :tangle is always
	set.  Don't prompt for a tangle file name when called with two
	universal prefix arg outside of a src block.  Use
	`org-babel-tangle-single-block'.
	(org-babel-tangle-single-block): New function.
	(org-babel-tangle-collect-blocks): Use the new function.

	* org-table.el (org-table-convert-region, org-table-export)
	(org-table-align, org-table-beginning-of-field)
	(org-table-copy-down, org-table-check-inside-data-field)
	(org-table-insert-column, org-table-find-dataline)
	(org-table-delete-column, org-table-move-column)
	(org-table-insert-row, org-table-insert-hline)
	(org-table-kill-row, org-table-paste-rectangle)
	(org-table-wrap-region, org-table-sum, org-table-get-formula)
	(org-table-get-formula, org-table-get-stored-formulas)
	(org-table-fix-formulas, org-table-maybe-eval-formula)
	(org-table-rotate-recalc-marks, org-table-eval-formula)
	(org-table-get-range, org-table-get-descriptor-line)
	(org-table-find-row-type, org-table-recalculate)
	(org-table-iterate, org-table-iterate-buffer-tables)
	(org-table-formula-handle-first/last-rc)
	(org-table-edit-formulas, org-table-fedit-shift-reference)
	(org-rematch-and-replace, org-table-shift-refpart)
	(org-table-fedit-finish, org-table-fedit-lisp-indent)
	(org-table-show-reference, org-table-show-reference)
	(org-table-show-reference, org-table-show-reference)
	(org-table-force-dataline, orgtbl-error, orgtbl-export)
	(orgtbl-send-replace-tbl, org-table-to-lisp)
	(orgtbl-send-table, orgtbl-send-table, orgtbl-send-table)
	(orgtbl-toggle-comment, orgtbl-insert-radio-table)
	(orgtbl-to-unicode, org-table-get-remote-range)
	(org-table-get-remote-range, org-table-copy-dow)
	(org-table-check-inside-data-field, org-table-insert-colum)
	(org-table-find-dataline, org-table-delete-colum)
	(org-table-move-column, org-table-insert-ro)
	(org-table-insert-hline, org-table-kill-ro)
	(org-table-paste-rectangle, org-table-wrap-regio)
	(org-table-sum, org-table-get-formul)
	(org-table-get-stored-formulas, org-table-fix-formula)
	(org-table-maybe-eval-formul, org-table-rotate-recalc-marks)
	(org-table-eval-formul, org-table-get-range)
	(org-table-get-descriptor-lin, org-table-find-row-type)
	(org-table-recalculat, org-table-iterate)
	(org-table-iterate-buffer-table)
	(org-table-formula-handle-first/last-r)
	(org-table-edit-formulas, org-table-fedit-shift-referenc)
	(org-rematch-and-replace, org-table-shift-refpar)
	(org-table-fedit-finish, org-table-fedit-lisp-inden)
	(org-table-show-reference, org-table-force-datalin)
	(orgtbl-error, orgtbl-export, orgtbl-send-replace-tb)
	(org-table-to-lisp, orgtbl-send-tabl, orgtbl-toggle-comment)
	(orgtbl-insert-radio-tabl, orgtbl-to-unicode)
	(org-table-get-remote-range): Use `user-error' instead of
	`error' for user errors.

	* ob-core.el (org-babel-load-in-session): Throw a useful error
	when there is no code block at point.

	* ob-tangle.el (org-babel-tangle): Rename the ONLY-THIS-BLOCK
	parameter to ARG.  Allow two universal prefix arguments to tangle
	by the target file of the block at point.
	(org-babel-tangle-collect-blocks): New parameter TANGLE-FILE
	to restrict the collection of blocks to those who will be
	tangled in TARGET-FILE.

	* org-src.el (org-edit-src-auto-save-idle-delay): Use a delay of 0
	by default (i.e., deactivate auto-saving.)
	(org-edit-src-code): Set `buffer-auto-save-file-name' for
	auto-saving with `auto-save-mode'.

	* org.el (org-deadline, org-schedule): When called with two
	universal prefix arguments, set the warning time or the delay
	relatively to the current timestamp, not to today's date.

	* org-agenda.el (org-agenda-filter-apply): Deactive
	`org-agenda-entry-text-mode' when filtering.
	(org-agenda-entry-text-mode): Don't allow in filtered views.
	Don't show the maximum number of lines when turning off.

	* ox-html.el (org-html-headline): Add comment.

	* org.el (org-mode): Set `paragraph-start'.

	* org-agenda.el (org-agenda-entry-text-leaders): New option.
	(org-agenda-entry-text-show-here): Use it.

	* ox-html.el (org-html-link--inline-image): Always retrieve
	attributes for inline images.
	(org-html-link): Fix trailing whitespace at the end of the opening
	<a ...> HTML tag.
	(org-html-headline): For headlines whose first element is a
	headline and not a section, pretend there is an empty section (as
	"") for the correct HTML div to be inserted.

	* org-agenda.el (org-agenda-collect-markers)
	(org-create-marker-find-array): Move to ox-icalendar.el.
	(org-agenda-marker-table, org-check-agenda-marker-table):
	Delete.

	* ox-icalendar.el (org-icalendar-create-uid): New parameter
	H-MARKERS to only update some headlines, not the whole file.
	(org-icalendar--combine-files): When exporting to an .ics file
	only add UID to the headlines shown in the agenda buffer.
	(org-agenda-collect-markers, org-create-marker-find-array):
	Move here.

	* org-agenda.el (org-agenda-write): Ask before overwriting an
	existing file.

	* org-pcomplete.el (pcomplete/org-mode/file-option/infojs_opt):
	Use `org-html-infojs-opts-table'.

	* ox-html.el (org-html-infojs-opts-table):
	(org-html-use-infojs, org-html-infojs-options)
	(org-html-infojs-template): Move from ox-jsinfo.el.  Rename using
	the org-html- prefix.
	(org-html-infojs-install-script): Move from ox-jsinfo.el.

	* ox-jsinfo.el: Delete.

	* ox-html.el (org-html-section): Fix indentation.
	(org-html-inner-template): Add the document title here, within the
	"content" class, as the org-info.js needs it.
	(org-html-template): Don't include the document's title here.
	(org-html-format-inlinetask-function): Remove wrong example.

	* ob-tangle.el (org-babel-tangle-collect-blocks): Don't collect
	blocks in commented out headings.

	* ox-latex.el (org-latex-logfiles-extensions)
	(org-latex-remove-logfiles): Improve docstrings.

	* org-capture.el (org-capture): Cosmetic fix.

	* org-protocol.el (org-protocol-create-for-org)
	(org-protocol-create): Small docstrings enhancements.

	* org-protocol.el (org-protocol-capture): Small docstring fix.

	* org.el (org-speed-command-activate): Only forbid in src code
	blocks.

	* org-indent.el
	(org-indent-add-properties): Bugfix: prevent negative value for
	`added-ind-per-lvl'.

	* org.el (org-mode): Add `org-fix-ellipsis-at-bol' to
	`isearch-mode-end-hook' so that any isearch fixes the problem with
	ellipsis on the first line.
	(org-fix-ellipsis-at-bol): New defsubst.
	(org-show-context, org-isearch-end): Use it.

	* org-agenda.el (org-agenda-deadline-leaders): New formatting
	string for past deadlines.
	(org-agenda-scheduled-leaders): Small change.
	(org-agenda-get-deadlines): Use the new formatting string.

	* ob-lob.el (org-babel-lob-execute): Rename cache? to cache-p.

	* org.el (org-speed-command-activate): Don't activate speed
	commands within blocks.

	* org.el (org-show-context): Remove useless catch.  Make sure the
	top of the window is a visible headline.
	(org-activate-plain-links): Remove unused catch.

	* org-macs.el (org-get-alist-option): Return nil, not (nil), so
	that `org-show-context' DTRT.

	* org.el (org-imenu-get-tree): Fix bug when matching against empty
	headlines.
	(org-overview): Stay on current line.
	(org-map-entries): Fix docstring.

	* org-macs.el (org-unmodified): Update comment.  Don't define
	`with-silent-modifications' for emacsen that don't have it.

	* org-compat.el (org-with-silent-modifications): New
	compatibility macro.

	* org.el (org-refresh-category-properties)
	(org-refresh-properties, org-entry-blocked-p)
	(org-agenda-prepare-buffers):

	* org-indent.el (org-indent-remove-properties)
	(org-indent-add-properties):

	* org-colview.el (org-columns-display-here)
	(org-columns-remove-overlays, org-columns-quit)
	(org-columns-edit-value, org-columns-compute-all)
	(org-columns-compute, org-agenda-colview-compute):

	* org-clock.el (org-clock-sum): Use the compatibility macro
	`org-with-silent-modifications' instead of
	`with-silent-modifications'.

	* org.el (org-sort-remove-invisible): Remove emphasis markers.

	* org.el (org-sort-remove-invisible): Use defsust.  Do not only
	check against invisible links, truly returns the visible part of
	the string.
	(org-sort-remove-invisible): Add a docstring.
	(org-sort-entries): Remove hidden links when comparing entries.

	* org-list.el (org-sort-list): Remove hidden links when comparing
	list items.

	* ox-html.el (org-html-headline): Fix typo.
	(org-html-format-headline--wrap): Cosmetic change.

	* org.el (org-at-clock-log-p): Delete.

	* org-clock.el (org-at-clock-log-p): Move here.

	* ox-html.el (org-html-format-headline-function): Fix docstring.

	* ob-sql.el (org-babel-execute:sql): Add header row delimiter for
	both mysql and postgresql.

	* org.el (org-agenda-prepare-buffers): Don't use
	`with-silent-modifications' too early.

	* org-macs.el: Add a comment on when to use `org-unmodified' and
	when to use `with-silent-modifications'.

	* org-colview.el (org-columns-display-here)
	(org-columns-remove-overlays, org-columns-quit)
	(org-columns-edit-value, org-columns-compute-all)
	(org-columns-compute, org-agenda-colview-compute):
	* org-clock.el (org-clock-sum):
	* org.el (org-refresh-category-properties)
	(org-refresh-properties, org-entry-blocked-p)
	(org-agenda-prepare-buffers): Use `with-silent-modifications'
	instead of `org-unmodified'.

	* ox-publish.el (org-publish-sitemap-date-format): Small docstring
	enhancement.

	* ox-latex.el (org-latex-format-headline-default-function): New
	option.
	(org-latex-format-headline-function): Use the new option as
	the default value.
	(org-latex-toc-command): Don't add vertical space after the table
	of contents.

	* org.el (org-entry-blocked-p): Use `org-unmodified' instead of
	`org-with-buffer-modified-unmodified'.
	(org-agenda-prepare-buffers): Fix indentation.

	* org-macs.el (org-unmodified): Rename from
	`org-with-buffer-modified-unmodified'.
	(org-with-buffer-modified-unmodified): Delete.

	* ob-python.el (org-babel-python-command): Use a defcustom.
	(org-babel-python-mode): Use a defcustom and default to
	'python-mode when featured.

	* org-agenda.el (org-agenda-start-day): Refer to `org-read-date'
	in the docstring.

	* ox-org.el (org-org-publish-to-org): Autoload.

	* org-protocol.el:
	* org-bibtex.el: Remove remember support.

	* org-clock.el (org-clock-heading-for-remember): Delete.
	(org-clock-in): Do not set the heading for remember.

	* org.el (org-move-subtree-down, org-forward-element)
	(org-backward-element):

	* org-table.el (org-table-previous-field)
	(org-table-move-column, org-table-move-row):

	* org-list.el (org-move-item-down, org-move-item-up)
	(org-cycle-item-indentation): Use `user-error' when moving or
	modifying the element at point is not possible.

	* ox-html.el (org-html-table-header-tags)
	(org-html-table-data-tags, org-html-table-row-tags)
	(org-html-table-align-individual-fields): Use the
	org-export-html group.
	(org-html-inline-src-block, org-html-link): Fix error messages.
	(org-html-begin-plain-list): Fix formatting, better FIXME
	comment.

	* org.el (org-fill-paragraph): Fill using
	`org-mode-transpose-word-syntax-table'.

	* ox-org.el (org-org-publish-to-org): New defun.

	* ox-html.el (org-export-htmlize): Delete group.
	(org-html-htmlize-output-type)
	(org-html-htmlized-org-css-url)
	(org-html-htmlize-region-for-paste): Rename from
	org-export-htmlize-*.
	(org-html-htmlize-generate-css, org-html-fontify-code): Use
	the correct names.

	* org-compat.el (org-file-equal-p): New compatibility function.

	* ox.el (org-export-output-file-name): Use the new function.

	* org-clock.el (org-clock-set-current)
	(org-clock-delete-current): Delete.
	(org-clock-in, org-clock-out): Set and delete
	`org-clock-current-task'.  Minor code clean-up.

	* org-clock.el (org-clock-in, org-clock-in-last): Tell
	`org-current-time' to always return a past time.

	* org.el (org-current-time): New argument `past' to force
	returning a past time when rounding.

	* org-agenda.el (org-agenda-unmark-clocking-task): New function.
	(org-agenda-mark-clocking-task): Use it.
	(org-agenda-clock-in): Let the cursor where it is.
	(org-agenda-clock-out): Ditto.  Also remove the
	`org-agenda-clocking' overlay.

	* org-agenda.el (org-agenda-set-restriction-lock): Fix restriction
	so that it ends at the beginning of the next headline at the same
	level.

	* org.el (org-set-effort, org-property-next-allowed-value):
	When needed, update the current clock effort time.
	(org-next-link): New parameter `search-backward'.  Fix bug when at
	a link with no 'org-link face, e.g., in a DONE headline.  Throw a
	message instead of an error.
	(org-previous-link): Use `org-next-link'.

	* org-agenda.el (org-agenda-format-item): Only set the breadcrumbs
	when `org-prefix-has-breadcrumbs' is non-nil.

	* org.el (org-mode): Don't make characters from
	`org-emphasis-alist' word constituents.
	(org-mode-transpose-word-syntax-table): Rename from
	`org-syntax-table'.
	(org-transpose-words): Use
	`org-mode-transpose-word-syntax-table'.

	* ox.el (org-export--dispatch-ui)
	(org-export--dispatch-action): Use integers for control chars.

	* org-agenda.el (org-agenda-set-restriction-lock): Put the
	overlay until the end of the subtree, not the end of the
	headline.

	* org.el (org-entry-delete, org-delete-property): New optional
	arg delete-empty-drawer, a string, to delete any empty drawer
	with that name.
	(org-toggle-ordered-property): Delete the drawer "PROPERTIES"
	if empty.

	* org-src.el (org-src-mode-map, org-edit-src-code)
	(org-edit-fixed-width-region, org-edit-src-save): Use C-c C-k
	for `org-edit-src-abort'.

	* org.el (org-mode): Use org-unmodified during startup
	initialization for functions that may be inhibited.

	* org-table.el (org-table-align): Only set the window start
	when table alignment is performed in the selected window.

	* org-src.el (org-edit-src-auto-save-idle-delay): New option.
	(org-src-ask-before-returning-to-edit-buffer): Make a defcustom.
	(org-edit-src-code-timer): New timer variable.
	(org-edit-src-code): Run the timer.
	(org-edit-fixed-width-region): Enhance message.
	(org-edit-src-exit): Cancel the timer.
	(org-edit-src-save): Prevent saving when editing fixed-width
	buffer, exiting will save already.
	(org-edit-src-exit): Inconditionally kill the src/example
	editing buffer.

	* org-pcomplete.el (pcomplete/org-mode/file-option): Require
	'org-element.  This fixes a bug about unbound variable
	`org-element-affiliated-keywords' when trying to complete a
	keyword before 'org-element was required.

	* org-list.el (org-list-bullet-string): Replace match when there
	is a match, otherwise just return the bullet.

	* org-src.el (org-src-mode-map): New binding C-c k to abort
	editing.
	(org-edit-src-code): Mention the keybinding to abort editing
	and go back to the correct position.
	(org-edit-src-abort): New command to abort editing.

	* ox-html.el (org-html--build-meta-info): Add a newline before
	the title meta information.

	* org.el (org-return-follows-link): Mention that this does not
	affect the behavior of RET in tables.

	* ox-html.el (org-html--build-mathjax-config): Only include
	MathJax configuration if the resulting HTML contains LaTeX
	fragments.

	* org.el (org-syntax-table, org-transpose-words): Delete.
	(org-mode): Syntactically Define {} and <> as parentheses.
	(org-drag-line-forward, org-drag-line-backward): New
	functions.
	(org-shiftmetaup, org-shiftmetadown): Fall back on the new
	functions instead of throwing an error.
	(org-make-org-heading-search-string): Don't use statistic or [x/y]
	cookies when creating a link.

	* ox-html.el (org-html-table): Append #+attr_html attributes.

	* org.el (org-emphasis-alist, org-protecting-blocks):
	* org-src.el (org-edit-src-find-region-and-lang):
	* org-list.el (org-list-forbidden-blocks):
	* org-footnote.el (org-footnote-forbidden-blocks): Remove
	references to the deleted DocBook exporter.

	* org.el (org-end-of-line): Don't throw an error outside elements.

	* ox-html.el (org-html-link): Don't throw an error if the value
	of the :ID: property has not been generated by uuidgen.

	* org-pcomplete.el (pcomplete/org-mode/file-option/x):
	Resurrect.  Use `org-default-options' to initialize completion
	fonctions for the most important keywords.

	* org-macs.el (org-default-options): Rename and adapt from
	`org-get-current-options'.

	* org.el (org-options-keywords): Add keywords.

	* ox-odt.el (org-odt-convert-read-params): Fix typo in prompt.

	* ox-latex.el (org-latex-horizontal-rule): Fix typo in docstring.

	* ox-html.el (org-html-display-buffer-mode): New option.
	(org-html-export-as-html): Use it.

	* ob-core.el (org-babel-insert-result): Fix bug when inserting
	an empty string as the result.

	* org.el (org-timestamp-change): New optional parameter
	`suppress-tmp-delay' to suppress temporary delay like "--2d".
	(org-auto-repeat-maybe): Suppress temporary delays.

	* org-agenda.el (org-agenda-get-scheduled): When the delay is
	of the form "--2d" and there is a repeater, ignore the delay
	for further repeated occurrences.

	* org-agenda.el (org-agenda-get-deadlines)
	(org-agenda-get-scheduled): Minor refactoring.

	* org.el (org-time-string-to-absolute): Tiny docstring enhancement.
	(org-edit-special): Don't allow to edit when buffer is read only.

	* ox-html.el (org-html-format-latex): Don't set `cache-relpath'
	and `cache-dir' when `processing-type' is 'mathjax.
	(org-html-format-latex): Fix conversion in non-file buffers.

	* org.el (org-speed-commands-default): Bind `B' and `F' to
	`org-previous-block' and `org-next-block'.
	(org-read-date-minibuffer-local-map): Use "!" instead of "?" to
	see today's diary as "?" is already bounded by Calendar.
	(org-read-date-minibuffer-local-map): Use "." to go to today's
	date.

	* ob-core.el (org-babel-next-src-block)
	(org-babel-previous-src-block): Rewrite using
	`org-next-block'.

	* org.el (org-next-block, org-previous-block): New navigation
	commands.
	(org-mode-map): Bind the new commands to C-c C-F and C-c C-B
	respectively.

	* org-agenda.el (org-agenda-write): Don't copy headlines' subtrees
	when writing to an .org file.

	* org.el (org-copy-subtree): New parameter `nosubtrees'.

	* org-agenda.el (org-agenda-write): Allow writing to an .org file.

	* org.el (org-paste-subtree): Fix typo in docstring.

	* org-agenda.el (org-agenda-get-todos)
	(org-agenda-get-timestamps): Use nil as `ts-date' for diary
	sexpressions.
	(org-agenda-get-todos): Skip diary sexps when trying to sort by
	timestamp.
	(org-agenda-max-entries, org-agenda-max-todos)
	(org-agenda-max-tags, org-agenda-max-effort): New options.
	(org-timeline, org-agenda-list, org-search-view)
	(org-todo-list, org-tags-view): Tell `org-agenda-finalize-entries'
	what agenda type we are currently finalizing for.
	(org-agenda-finalize-entries): Limit the number of entries
	depending on the new options.
	(org-agenda-limit-entries): New function.

	* org.el (org-deadline): Allow a double universal prefix argument
	to insert/update a warning cookie.
	(org-deadline): Allow a double universal prefix argument to
	insert/update a delay cookie.

	* org-agenda.el (org-agenda-skip-scheduled-delay-if-deadline):
	New option.  The structure of the possible values is copied
	from `org-agenda-skip-deadline-prewarning-if-scheduled'.
	(org-agenda-get-scheduled): Honor the two new option,
	`org-scheduled-delay-days' and
	`org-agenda-skip-deadline-prewarning-if-scheduled'.  I.e. if a
	scheduled entry has a delay cookie like "-2d" (similar to the
	prewarning cookie for deadline), don't show the entry until
	needed.

	* org.el (org-deadline-warning-days): Small docstring fix.
	(org-scheduled-delay-days): New option (see
	`org-deadline-warning-days'.)
	(org-get-wdays): Use the new option.

	* org-agenda.el (org-agenda-sorting-strategy): Document the
	new sorting strategies.
	(org-agenda-get-todos, org-agenda-get-timestamps)
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Add a
	`ts-date' text property with scheduled, deadline or timetamp
	date.
	(org-cmp-ts): New function to compare timestamps.
	(org-em): Add a docstring.
	(org-entries-lessp): Use `org-cmp-ts' to compare timestamps.
	Implement the following sorting strategies: timestamp-up/down,
	scheduled-up/down, deadline-up/down, ts-up/down (for active
	timestamps) and tsia-up/down (for inactive timestamps.)

	* ob-lilypond.el (ly-process-basic): Bugfix, don't use `pcase'.

	* org.el (org-contextualize-validate-key): Check against two new
	context predicates [not-]in-buffer.

	* org-agenda.el (org-agenda-custom-commands-contexts):
	Document the new [not-]in-buffer context predicates.

	* ob-core.el (org-ts-regexp): Remove duplicate defconst'ing.
	(org-babel-result-regexp): Don't use `org-ts-regexp', use a regexp
	string directly.

	* ob-lilypond.el (ly-process-basic): Don't use `ly-gen-png' and
	friends, rely on the extension of the output file.

	* org-archive.el (org-archive-file-header-format): New option.
	(org-archive-subtree): Use it.

	* ob-lilypond.el (ly-process-basic): Rely on ly-gen-png/pdf/eps to
	set the output type.

	* org.el (org-read-date-minibuffer-local-map): New variable.
	(org-read-date): Use it.
	(org-read-date-minibuffer-setup-hook): Mark as obsolete.
	(org-read-date): Bind `!' to `diary-view-entries' in order to
	check diary entries while setting an Org date.

	* org-agenda.el (org-diary): Only keep the descriptions of the
	links since Org links are not active in the diary buffer.

	* org-faces.el (org-priority): New face.

	* org.el (org-font-lock-add-priority-faces): Use the new face.

	* org-agenda.el (org-agenda-fontify-priorities): Use the
	org-priority face and add specific agenda face on top of it.

	* org-agenda.el (org-agenda-show-clocking-issues)
	(org-agenda-format-item): Let-bind
	`org-time-clocksum-use-effort-durations' to nil.

	* org.el (org-ctrl-c-ctrl-c): Only throw a message when using two
	universal prefix arguments on a list where all items are already
	in a transitory state.  Refine the error when the checkbox cannot
	be toggled.

	* org.el ("org-loaddefs.el"): Load org-loaddefs.el before
	requiring any org library.  Also use `load', not
	`org-load-noerror-mustsuffix'.
	(org-effort-durations): Move up to fix a compiler warning.
	(org-edit-special): Fix typo in docstring.
	(org-time-clocksum-format): Add a version tag and add to the
	'org-clock group.
	(org-time-clocksum-use-fractional): Ditto.
	(org-time-clocksum-use-effort-durations): New option to allow
	using `org-effort-durations' when computing clocksum durations.
	(org-minutes-to-clocksum-string): Use the new option.

	* org-clock.el (org-clocktable-write-default): Let-bind
	`org-time-clocksum-use-effort-durations' to a new clocktable
	parameter ":effort-durations".

	* org-entities.el (org-entities): "neg" should be used in LaTeX
	math mode.  Add the "neg" entity.

	* org-mobile.el (org-mobile-allpriorities): New option.
	(org-mobile-create-index-file): Use the new option.

	* org-latex.el (org-export-latex-inline-images): New option.

	* org.el (org-forward-heading-same-level): Before the first
	headline, go to the first headline.
	(org-backward-heading-same-level): Before the first headline,
	go to the beginning of the buffer, like
	`outline-previous-visible-heading' does.

	* org-exp.el (org-export-plist-vars): Don't use
	`org-export-html-inline-images' to set the :inline-images
	property, use distinct properties for the various backends.

	* org-publish.el (org-publish-project-alist): Ditto.

	* org-latex.el (org-export-latex-links): Use :latex-inline-images
	instead of :inline-images.

	* org-odt.el (org-compat): Require.

	* org.el (org-parse-time-string): Allow strings supported by
	tags/properties matcher (eg <now>, <yesterday>, <-7d>).

	* org-clock.el (org-clock-rounding-minutes): New option to round
	the time by N minutes in the past when clocking in or out.
	(org-clock-in, org-clock-in-last, org-clock-out): Use the new
	option.

	* org.el (org-current-time): New optional parameter
	`rounding-minutes' to override the use of
	`org-time-stamp-rounding-minutes' for rounding.

	* org-clock.el (org-clock-special-range): Small docstring fix.
	New parameter 'weekstart to define the week start day.
	(org-clock-special-range, org-dblock-write:clocktable)
	(org-dblock-write:clocktable, org-clocktable-write-default)
	(org-clocktable-steps, org-clock-get-table-data): Use the new
	parameter.
	(org-clocktable-defaults): Set monday as the starting day of the
	week by setting :wstart to 1.

	* org.el (org-store-link): Fix the naming of internal links to
	lines starting with a keyword.

	* org-agenda.el (org-agenda-Quit, org-agenda-quit)
	(org-agenda-exit, org-agenda-kill-all-agenda-buffers):
	Docstring fixes.

	* org.el (org-last-set-property-value): New variable.
	(org-read-property-name): Fix dangling parentheses.
	(org-set-property-and-value): New command to manually set
	both the property and the value.  A prefix arg will use the
	last property-value pair set without prompting the user.
	(org-set-property): Set `org-last-set-property-value'.
	(org-mode-map): Bind the new command to `C-c C-x P'.
	(org-find-invisible-foreground): Delete.
	(org-mode): Use `face-background' instead of
	`org-find-invisible-foreground'.
	(org-startup-options): New startup keywords.
	(org-log-into-drawer): Update docstring to explain how to set this
	variable through the startup keyword "logdrawer" and "nologdrawer".
	(org-log-states-order-reversed): Document the new startup keywords
	"logstatesreversed" and "nologstatesreversed".
	(org-mode-map): Use `org-remap' instead of binding `M-t' to
	`org-transpose-words' directly.
	(org-syntax-table): New variable.
	(org-transpose-words): New command, simply wrapping the new
	syntax table around `transpose-words'.
	(org-mode-map): Bind `org-transpose-words' to `M-t'.
	(org-store-link): Use keyword at point as the search string.  Use
	`delq nil' instead of `delete nil'.
	(org-make-org-heading-search-string): Rewrite using
	org-element.el.  Not an interactive function anymore.

	* org-pcomplete.el (pcomplete/org-mode/drawer): Ditto.

	* org-mobile.el (org-mobile-files-alist): Ditto.

	* org.el (org-store-link): When creating a link to a heading with
	a bracket link, don't escape this link with curly braces as the
	escaped link is not active anyway; use the description instead.
	If the headline only consists of a bracket link, add a star to the
	description so that the user knows this is an internal link.

	* org-w3m.el (org-w3m-store-link): New function.

	* org.el (org-store-link): Update the error message when no method
	is available for storing a link.  Use `user-error' for this.
	Remove handling w3m links from this function.
	(org-insert-heading, org-insert-todo-heading): A double prefix arg
	force the insertion of the subtree at the end of the parent
	subtree.
	(org-store-link): A double prefix argument now skips module
	store-link functions to only use Org's core functions.  Also, when
	several modular store-link functions match, ask for which one to
	use.
	(org-cycle, org-cycle-internal-global)
	(org-cycle-internal-local, org-display-outline-path): Let-bind
	`message-log-max' to nil so that messages don't populate the
	*Messages* buffer.

	* org-table.el (org-table-eval-formula): Handle localized
	time-stamps by internally converting them to english during
	formulas evaluation.

	* org.el (org-clock-timestamps-up): Fix declarations.

	* ob-core.el (org-split-string): Declare function.

	* org-html.el (org-html-export-list-line): Add CSS classes to
	these list HTML tags: <ul> <dl> and <ol>.

	* org-clock.el (org-clock-timestamps-up)
	(org-clock-timestamps-down, org-clock-timestamps-change): Add
	an optional argument N to change timestamps by several units.

	* org.el (org-shiftcontrolup, org-shiftcontroldown): Ditto.

	* org-exp.el (org-export-copy-to-kill-ring): Add a new choice
	'if-interactive and use it as the default.
	(org-export-push-to-kill-ring): Use the new choice.

	* org.el (org-block-entry-blocking): New variable.
	(org-todo): Use it.  Also use `user-error' when a TODO state
	change is blocked.
	(org-block-todo-from-children-or-siblings-or-parent): Display
	`org-block-entry-blocking' in the user-error message.

	* org.el (org-get-cursor-date): New optional argument WITH-TIME to
	add the time of the day.

	* org-capture.el (org-capture): When capturing from the agenda and
	with a non-nil value for `org-capture-use-agenda-date', a `C-1'
	prefix will set the capture time to the HH:MM of the current line
	or the current HH:MM.

	* org-agenda.el (org-agenda-capture): New optional argument
	WITH-TIME: when set to 1, the capture time will be set to the
	HH:MM time of the current line, or the current HH:MM time.

	* org.el (org-latex-preview-ltxpng-directory): Fix docstring
	formatting.
	(org-deadline-close): Use `org-time-stamp-to-now'.
	(org-time-stamp-to-now): Use `org-float-time' instead of the
	obsolete `time-to-seconds' function.
	(org-format-outline-path): Fix bug: add the separator string after
	the prefix.
	(org-display-inline-images): Search for #+ATTR within the current
	paragraph.
	(org-days-to-time): Make obsolete.
	(org-time-stamp-to-now): Rename from `org-days-to-time'.
	Allow to compare time-stamps based on seconds.

	* org-agenda.el (org-agenda-todo-ignore-time-comparison-use-seconds):
	New option to compare time stamps using seconds, not days.
	(org-agenda-todo-custom-ignore-p)
	(org-agenda-check-for-timestamp-as-reason-to-ignore-todo-item):
	Use the new function's name and the new option.

	* org-clock.el (org-clock-sound): Enhance docstring.
	(org-notify): Use the parameter `play-sound' as argument for
	`org-clock-play-sound'.
	(org-clock-play-sound): New optional argument `clock-sound' to
	override `org-clock-sound'.

	* org-agenda.el (org-agenda-format-item): Fix initialization
	of the level text property.

	* org.el (org-format-outline-path): Small docstring
	enhancement.
	(org-display-outline-path): Fix order or arguments.

	* org.el (org-activate-plain-links)
	(org-activate-bracket-links): Add a new 'htmlize-link text
	property, so that htmlize (> version 1.42) can linkify the
	links.
	(org-display-outline-path): Allow a string value for the
	`as-string' parameter.  Such a value will replace the "/"
	separator in the output.  New argument `as-string'.
	(org-refile-keep): New variable.
	(org-copy): New command to copy notes.
	(org-refile): New parameter msg to override the "Refile" string in
	the default prompt.
	(org-mode-map): Bind "C-c M-w" to `org-copy'.
	(org-refile-get-location): Use the current file name as the
	default target when there is no refile history.
	(org-cycle-hide-inline-tasks): New function to hide inline tasks
	when cycling.
	(org-cycle-hook): Use the new function.
	(org-entry-put): Fix bug when updating the last clock.
	(org-use-last-clock-out-time-as-effective-time): New option.
	(org-current-effective-time): Use the new option.

	* org-clock.el (org-clock-get-last-clock-out-time): New
	function.

	* org.el (org-toggle-inline-images): Only send a message when
	called interactively.
	(org-scan-tags): Fix the declaration and the use of
	`org-agenda-format-item'.

	* org-agenda.el (org-agenda-add-time-grid-maybe): Use the
	correct number of parameters for `org-agenda-format-item'.
	Add a docstring.

	* org.el (org-outline-level): Go at the beginning of the
	headline first to always return a sensible result.

	* org-agenda.el (org-search-view, org-agenda-get-todos)
	(org-agenda-get-timestamps, org-agenda-get-sexps)
	(org-agenda-get-progress, org-agenda-get-deadlines)
	(org-agenda-get-scheduled, org-agenda-get-blocks): Return the
	correct level depending on `org-odd-levels-only'.
	(org-agenda-prefix-format): A new specifier `%l' allows to insert
	X spaces when the item is of level X.
	(org-search-view, org-get-entries-from-diary)
	(org-agenda-get-todos, org-agenda-get-timestamps)
	(org-agenda-get-sexps, org-agenda-get-progress)
	(org-agenda-get-deadlines, org-agenda-get-scheduled)
	(org-agenda-get-blocks, org-agenda-change-all-lines): Add a
	new text property 'level, a string with as many whitespaces as
	the level of the item.
	(org-agenda-format-item, org-compile-prefix-format): Handle
	the new `%l' specifier.

	* org-colview.el (org-columns-next-allowed-value): Add the
	CLOCKSUM property to the list of properties that can be
	changed interactively from the column view.

	* org.el (org-entry-put): Allow to set the CLOCKSUM property
	by updating the most recent clock.  This is useful in the
	column view when you want to use S-<left/right> to update the
	last clock of the entry at point.
	(org-image-actual-width): New choice: use #+ATTR* or fall back on
	a number.
	(org-display-inline-images): Implement the new choice.
	(org-image-actual-width): Rename from `org-image-fixed-width'.
	Update the docstring.  Give more choice.
	(org-display-inline-images): Use the option new choices.
	(org-image-fixed-width): New option to set a fixed width for
	inline images.
	(org-display-inline-images): Use the new option.

	* org-agenda.el (org-class): Allow to use holiday strings for
	the `skip-weeks' arguments.

	* org.el (org-mode): Set the syntax of the " character to "string
	quote".

	* org-agenda.el (org-agenda-append-agenda): Bugfix: correctly
	check whether we are in `org-agenda-mode'.
	(org-agenda): Set `org-agenda-buffer-name' correctly with sticky
	agendas and non-custom commands.

2013-11-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el (org-edit-src-exit): Let overlay survive after the
	buffer has been saved.

	* ox-texinfo.el (org-texinfo-export-to-texinfo): Use new style
	backquoting.
	(org-texinfo-export-to-info): Use new style backquoting.

	* ob-latex.el (org-babel-execute:latex): Call `file-name-sans-extension'
	instead of `file-base-name'.

	* org.el (org-insert-heading): Improve whitespace behavior at
	end of subtree.
	(org-latex-default-packages-alist): Add the `rotating' package to
	the list of default packages.  Improve docstring.
	(org-insert-property-drawer): Insert only after space in current
	line.
	(org-forward-paragraph, org-backward-paragraph): Do not deactivate
	the mark.
	(org-special-ctrl-o): New option.
	(org-open-line): Don't do anything special unless `org-special-ctrl-o'
	is non-nil.

	* org-agenda.el (org-agenda-custom-commands-local-options):
	(org-agenda-span, org-agenda-ndays-to-span)
	(org-agenda-span-to-ndays, org-agenda-list, org-agenda-later)
	(org-agenda-change-time-span, org-agenda-compute-starting-span): Add
	support for fortnight view.
	(org-agenda-menu): Add fortnight view command.
	(org-agenda-fortnight-view): New command.

	* org-timer.el (org-clock-sound): Silence compiler.

	* org.el (org-beginning-of-line, org-end-of-line): Bind
	deactivate-mark to avoid that this command deactivates it.
	(org-make-tags-matcher): Do not interpret / in property value as
	starter of TODO match.
	(org-overview): Preserve point.
	(org-read-date-minibuffer-local-map): Don't replace disputed keys
	when defining this keymap.
	(org-read-date): Remove unnecessary binding of
	`org-replace-disputed-keys'.
	(org-insert-heading): Allow to remove blank lines if the user does
	not want any.
	(org-unlogged-message): Fix typo in dostring.

	* ob-ruby.el: New customizations `org-babel-ruby-hline-to' and
	`org-babel-ruby-nil-to'
	(org-babel-ruby-var-to-ruby): Convert incoming 'hlines.
	(org-babel-ruby-table-or-string): Convert outgoing nils.

	* org.el (org-file-apps-defaults-gnu): Use `xdg-open' to open
	files where available.

	* org-table.el (orgtbl-radio-table-templates): Improve docstring.

	* org.el (org-unlogged-message): New function.
	(org-cycle, org-cycle-internal-global, org-cycle-internal-local)
	(org-global-cycle, org-display-outline-path): Use
	`org-unlogged-message'.

	* org-pcomplete.el (org-make-org-heading-search-string): Fix
	function declaration.
	(pcomplete/org-mode/searchhead): Remove incorrect second arguments
	to `org-make-org-heading-search-string'.

	* org.el (org-read-date): Turn off replacing disputed keys when
	defining the minibuffer keys during date selection.
	(org-insert-heading): Improve the empty line insertion behavior.
	Basically, never remove empty lines, only add them.

	* org-attach.el (org-attach-commit): Use vc-git to find the git
	repository.

	* org-compat.el (org-move-to-column): Turn off invisibility stuff
	for moving the cursor to a column.

	* org.el (org-modules): Update with the new module org-mac-link.
	(org-display-outline-path): Do not log outline path in Message
	buffer.
	(org-agenda-ignore-drawer-properties): New option.
	(org-agenda-prepare-buffers): Honour
	`org-agenda-ignore-drawer-properties'.

	* org-clock.el (org-clock-goto): Recenter to thrd line

	* org-table.el (orgtbl-send-replace-tbl): Allow multiple spaces
	between keywords in RECEIVE ORGTBL lines.

	* org.el (org-bookmark-names-plist): New user option.
	(org-set-regexps-and-options-for-tags): Use `org-bookmark-names-plist'.
	(org-refile): Use `org-bookmark-names-plist'.

	* org-capture.el (org-capture-bookmark-last-stored-position): Use
	`org-bookmark-names-plist'.

	* org.el (org-insert-heading): Rewritten from scratch.
	(org-N-empty-lines-before-current): New function
	(org-insert-heading-respect-content): Set the correct argument to
	force a heading even in lists.

	* org-colview.el (org-columns-display-here): Enforce fixed width
	font.

	* org-faces.el (org-column): Setting font width has been shifted
	to org-colview.el.

	* org.el (org-mode-flyspell-verify): Check for src block.

	* org-table.el (org-table-convert-region): Fix interactive
	statement.

	* org-ctags.el (org-ctags-path-to-ctags): Avoid usine `case'.

	* org.el (org-beginning-of-line, org-end-of-line): Set
	disable-point-adjustment when the command ends next to invisible
	text.

	* ob-lob.el (org-babel-lob-files): Fix custom type.

	* org-agenda.el (org-agenda-export-html-style, org-agenda-ndays)
	(org-agenda-inactive-leader, org-agenda-day-face-function)
	(org-agenda-auto-exclude-function): Fix custom type.

	* org-bibtex.el (org-bibtex-prefix): Fix custom type.

	* org-clock.el (org-clock-heading-function):
	(org-show-notification-handler): Fix custom type.

	* org-footnote.el (org-footnote-auto-adjust): Fix custom type.

	* org-protocol.el (org-protocol-default-template-key): Fix custom
	type.

	* org.el (org-make-link-description-function):
	(org-link-translation-function):
	(org-link-frame-setup):
	(org-refile-target-verify-function):
	(org-get-priority-function):
	(org-use-fast-tag-selection):
	(org-columns-modify-value-for-display-function):
	(org-sparse-tree-default-date-type):
	* ox-html.el (org-html-postamble):
	(org-html-postamble-format):
	(org-html-preamble-format):
	* ox-odt.el (org-odt-content-template-file):
	* ox.el (org-export-with-archived-trees):
	(org-export-initial-scope): Fix custom type.

	* org.el (org-insert-heading): Fix problem with inserting heading.
	Check for checkbox at the beginning of the item, not just at the
	beginning of the line.
	(org-small-year-to-year): Fix docstring typo.
	(org-show-siblings): By default, also show siblings from a
	bookmark jump.

	* org-agenda.el (org-agenda-set-restriction-lock): Highlight only
	the headline when agenda is restricted to a subtree.  Do not
	highlight the entire subtree.

	* org-table.el (org-table-eval-formula): Work-around for calc-eval
	regression.

	* ox.el (org-export-dispatch): Make sure the last position marker
	uses the base buffer if there is one.
	(org-export-dispatch-last-position): New variable.
	(org-export-dispatch): Save position of cursor at the moment when
	the export command is called.  Restore that position temporarily
	when repeating the previous export command.

	* org.el (org-insert-heading): Shrink whitespace at end of subtree
	when `org-insert-heading-respect-content' is on.

	* org-list.el (org-sort-list): Respect sorting-type and
	getkey-func when they are specified in the call.

	* org.el (org-sort-entries): Respect sorting-type and getkey-func
	when they are specified in the call.
	(org-format-outline-path): New argument SEPARATOR to specify a
	string that is inserted between parts of the outline path.
	(org-display-outline-path): New argument SEPARATOR, to specify a
	string that is inserted between parts of the outline path.

	* org-colview.el (org-dblock-write:columnview): Change the capture
	of pos to after inserting the original content

2013-11-12  Christian Moe  <mail@christianmoe.com>

	* ox-odt.el (org-odt-line-break, org-odt-plain-text): Remove
	newline after line-break tag.

2013-11-12  Christophe Junke  <christophe.junke@inria.fr>  (tiny change)

	* org.el (org-set-font-lock-defaults): Let footnote fontifications
	be done before other links' fontification.  This allows links
	appearing inside footnotes to be both visible and active.

2013-11-12  Christopher Schmidt  <christopher@ch.ristopher.com>

	* org.el (orgstruct-setup): Major rewrite.
	(orgstruct++-mode): Overwrite local non-org vars again.
	(orgstruct-mode): Simplify implementation.  Emulate outline's
	buffer-invisiblity-spec.
	(orgstruct-heading-prefix-regexp): Change default value to nil.
	(orgstruct-error): Use `user-error' if available.
	{pro,de}motion commands if `orgstruct-heading-prefix-regexp' is
	non-nil.  Always use `org-outline-level'.  Bind org-shift*.
	(orgstruct-make-binding): Major rewrite.
	(org-cycle-global-status, org-cycle-subtree-status): Set state
	property.
	(org-heading-components): Use `org-heading-regexp' in
	orgstruct-mode.
	(orgstruct-heading-prefix-regexp, orgstruct-setup-hook): New
	options.
	(orgstruct-initialized): New variable.
	(org-get-local-variables): Honour state property.
	(org-run-like-in-org-mode): Use `let' instead of `progv'.  Do not
	override variables with non-default values.
	(org-forward-heading-same-level): Do not skip to headlines on
	another level.  Handle negative prefix argument correctly.
	(org-backward-heading-same-level): Use
	`org-forward-heading-same-level'.

2013-11-12  Craig Tanis  <craig-tanis@utc.edu>  (tiny change)

	* ox-latex.el (org-latex-src-block): Change format string to position
	caption after figure content.

2013-11-12  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* org.el (org-ctrl-c-ctrl-c): `C-c C-c' on a link is usually a
	no-op.  If that link is in a headline, act as if the `C-c C-c' was
	called on the headline, not the link.

	* ox-html.el (org-html-doctype-alist): New variable holding an
	alist of (X)HTML doctypes
	(org-html-xhtml-p, org-html-html5-p, org-html-close-tag): New
	function.
	(org-html-html5-fancy): New export option, determining whether or
	not to use HTML5-specific elements.
	(org-html-html5-elements): New variable, new HTML5 elements.
	(org-html-special-block): Export special blocks to new HTML5
	elements.
	(org-html-format-inline-image): Use <figure> and <figcaption> for
	standalone images.
	(org-html-format-inline-image, org-html--build-meta-info)
	(org-html--build-head, org-html--build-pre/postable)
	(org-html-template, org-html-horizontal-rule)
	(org-html-format-list-item, org-html-line-break, org-html-table)
	(org-html-verse-block): Changes to allow flavored export.

	* ox-latex.el (org-latex--org-table, org-latex-table-row): Allow
	use of the "tabu" and "longtabu" table environments.  New table
	attribute :spread handles the width specification syntax of "tabu"
	and "longtabu" table environments.

2013-11-12  Eric Schulte  <eric.schulte@gmx.com>

	* org-bibtex.el (org-bibtex-read-buffer): Reads all bibtex entries
	in a buffer.
	(org-bibtex-read-file): Read all bibtex entries in a file.
	(org-bibtex-import-from-file): Import all bibtex entries from a
	file into the current buffer.

	* ob-tangle.el (org-babel-load-file): When called with a prefix
	argument the tangled emacs-lisp file will be byte compiled.

	* ob-tangle.el (org-babel-tangle): Tangled files should not be
	writable.

	* ob-emacs-lisp.el (org-babel-execute:emacs-lisp): Better about
	when to fully escape the results or just print them close to
	verbatim.

	* ob.el (org-babel-result-cond): This function should now be used
	by all language backends to handle the processing of raw code
	block output into scalar results, table results, or ignored
	results depending on the value of result-params.

	* ob-C.el (org-babel-C-execute): Use org-babel-result-cond.

	* ob-R.el (org-babel-R-evaluate-external-process)
	(org-babel-R-evaluate-session):
	* ob-awk.el (org-babel-execute:awk):
	* ob-clojure.el (org-babel-execute:clojure):
	* ob-emacs-lisp.el (org-babel-execute:emacs-lisp):
	* ob-fortran.el (org-babel-execute:fortran):
	* ob-io.el (org-babel-io-evaluate):
	* ob-java.el (org-babel-execute:java):
	* ob-lisp.el (org-babel-execute:lisp):
	* ob-maxima.el (org-babel-execute:maxima):
	* ob-picolisp.el (org-babel-execute:picolisp):
	* ob-python.el (org-babel-python-evaluate-external-process):
	(org-babel-python-evaluate-session):
	* ob-scala.el (org-babel-scala-evaluate):
	* ob-sh.el (org-babel-sh-evaluate):
	* ob-shen.el (org-babel-execute:shen):
	* ob-sql.el (org-babel-execute:sql):
	* ob-sqlite.el (org-babel-execute:sqlite): Use
	`org-babel-result-cond'.

	* ob.el (org-babel-common-header-args-w-values): Add a new "none"
	header argument.
	(org-babel-execute-src-block): Don't do *any* result processing if
	the "none" header argument has been specified.
	(org-babel-sha1-hash): Remove the none header argument from header
	arg lists when calculating cache sums.
	(org-babel-insert-result): Flesh out some documentation.

	* ob.el (org-babel-insert-result): Don't escape results in
	drawers.

	* ob-python.el (org-babel-python-hline-to): Customize hline
	conversion to python.
	(org-babel-python-None-to): Customize none conversion from python.
	(org-babel-python-var-to-python): Use new variable.
	(org-babel-python-table-or-string): Use new variable.

	* org.el (org-babel-load-languages): Add ob-makefile to
	`org-babel-load-languages'.

	* ob-makefile.el: New file.

	* ob-sh.el (org-babel-sh-evaluate): Don't could 0-length shebangs.

	* org.el (org-format-latex): Simplify and now make use of the new
	`org-create-formula-image' function.
	(org-create-formula-image): Provides a simpler interface to the
	two backend-specific functions.

	* ob-core.el (org-babel-default-header-args): It is likely that
	someone meant to set :padlines to "yes", but accidentally set
	:padnewlines to "yes".  Either way lets just remove this which
	shouldn't have any functional effect.

	* ob-haskell.el (org-babel-default-header-args:haskell): Set
	:padlines to "no" by default.

	* ob-exp.el (org-babel-exp-non-block-elements): Ignore inline
	source block on #+ prefixed lines.

	* ob-core.el (org-babel-merge-params): Replace `remove-if' with
	`org-remove-if'.  More careful to check that the colname- and
	rowname-names header arguments exist during merge.  When merging
	parameters, if a variable is replaced with a new value, then
	delete colnames/rownames for the original value of that variable.

	* ob-ditaa.el (org-babel-ditaa-java-cmd): Make java executable
	configurable for ditaa blocks.

	* ob-sh.el (org-babel-sh-var-to-string): Fix bug in ob-sh when
	dealing with list variables.

	* ob-core.el (org-babel-demarcate-block): Include
	`org-src-lang-modes' in block demarcation options.

	* ob-C.el: Don't modify `org-babel-load-languages' from ob-*
	files.

	* ob-latex.el (org-babel-latex-htlatex): Set this variable to
	"htlatex" (or path to said) to enable svg generation from latex
	code blocks.
	(org-babel-latex-htlatex-packages): Libraries required for
	automatic svg generation.
	(org-babel-execute:latex): Generate SVG images directly from latex
	code blocks (assumes tikz).

	* ob-exp.el (org-babel-exp-non-block-elements): Use lob call name
	when exporting.

	* ob-scheme.el (org-babel-scheme-get-repl)
	(org-babel-scheme-make-session-name)
	(org-babel-scheme-execute-with-geiser, org-babel-execute:scheme):
	Fix whitespace and indentation.

	* ob-core.el (org-babel-set-current-result-hash): Update the
	match-string holding the hash data, and correct overlay
	maintenance.
	(org-babel-find-named-result): Call lines are not results.
	(org-babel-where-is-src-block-result): Don't implicitly name the
	results of call lines.
	(org-babel-exp-non-block-elements): There is now another element
	on the call line info list.

	* ob-lob.el (org-babel-lob-get-info): Return the name (if any) at
	the end of the info list.
	(org-babel-lob-execute): Pass the name through to execution.

	* ob-core.el (org-babel-execute-src-block): Ensure that the
	location is set before anything else is done.

	* ob-ref.el (org-babel-ref-parse): Evaluate Emacs Lisp values in
	header arguments at the location of the original code block.

	* ob-gnuplot.el (org-babel-expand-body:gnuplot): Use new header
	arguments.

	* ob-core.el (org-babel-common-header-args-w-values): Mention new
	header arguments.
	(org-babel-expand-body:generic): Use new header arguments.
	(org-babel-read-result): More robust matching of examplized
	ranges.
	(org-babel-result-end): More robust matching of examplized ranges.

	* ob-gnuplot.el (org-babel-expand-body:gnuplot): Gnuplot, close
	output terminal when opened.
	(org-babel-gnuplot-prefix): Customization variable prefix gnuplot
	code blocks.
	(org-babel-expand-body:gnuplot): Customization variable prefix
	gnuplot code blocks.

	* ob-core.el (org-babel-params-from-properties): Now returns a
	list of alists and does *not* call `org-babel-merge-params'.
	(org-babel-parse-src-block-match):
	(org-babel-parse-inline-src-block-match):
	* ob-exp.el (org-babel-exp-src-block):
	(org-babel-exp-non-block-elements):
	* ob-lob.el (org-babel-lob-execute): Handle new list of lists
	output of `org-babel-params-from-properties'.

	* ob-gnuplot.el (org-babel-header-args:gnuplot): Term is a gnuplot
	header argument.

	* ob-tangle.el (org-babel-tangle): Fixed bug in tangle-file.
	Collect tangle modes, and only apply them to the file after all
	tangling has completed, including the post-tangle-hook.

	* ob-core.el (org-babel-read): Do not read #-prefix header-arg
	value as emacs lisp.

	* ob-core.el (org-babel-current-src-block-location):
	(org-babel-execute-src-block):
	* ob-exp.el (org-babel-exp-results):
	* ob-lob.el (org-babel-lob-execute): Rename
	`org-babel-current-exec-src-block-head' to
	`org-babel-current-src-block-location'.

	* ob-core.el (org-babel-common-header-args-w-values): Adding the
	new :tangle-mode header argument.
	(org-babel-read): Read values starting with a "#" character as
	emacs lisp.

	* ob-tangle.el (org-babel-tangle): Use the new :tangle-mode header
	argument.

	* org-pcomplete.el (pcomplete/org-mode/block-option/src): Use the
	new :tangle-mode header argument.

	* ob-exp.el (org-babel-exp-results): Save the code block location
	into `org-babel-current-exec-src-block-head' during export.

	* ob-comint.el (org-babel-comint-with-output): More robust edebug
	spec.

	* ob-lob.el (org-babel-lob-execute): Set the
	`org-babel-current-exec-src-block-head' variable when executing
	inline or lob style code.

	* ob-core.el (org-babel-execute-src-block): The
	`org-babel-current-exec-src-block-head' variable should point to
	the outermost code block.

	* org.el (org-some): An org-mode version of the cl some function.

	* ob-fortran.el (org-babel-fortran-var-to-fortran): More careful
	check if values are matrices.

	* org.el (org-every): An Org-mode version of the cl every
	function.

	* ob-tangle.el (org-babel-tangle-jump-to-org): Use
	`org-src-switch-to-buffer' to jump from src to org.  Use the
	existing `org-edit-src' functionality to jump back to the correct
	point in the code block in the original Org-mode buffer.

	* ob-gnuplot.el (org-babel-gnuplot-quote-tsv-field): Only wrap
	gnuplot data values in " when necessary.  Replace missing values
	with blank space in gnuplot.
	(org-babel-expand-body:gnuplot):
	(org-babel-gnuplot-quote-timestamp-field): Fix indentation.
	(org-babel-header-args:gnuplot): Declare the.
	(org-babel-expand-body:gnuplot): Params is an alist not a plist.
	(org-babel-header-args:gnuplot): Declare gnuplot-specific header
	argument.
	(*org-babel-gnuplot-missing*): Dynamic variable used to hold the
	value of the missing header argument.
	(org-babel-gnuplot-process-vars): Wrap in local binding for
	missing value.
	(org-babel-gnuplot-quote-tsv-field): Replace missing value with
	the missing header argument value when present.

	* ob-org.el (org-babel-expand-body:org): Allow insertion of
	non-strings into Org code blocks.
	(org-babel-inline-result-wrap): New option controlling the
	wrapping of inline results.
	(org-babel-examplize-region): Use the new defcustom.

	* ox-beamer.el (org-beamer--format-frame): If contents is nil,
	then replace it with an empty string.

	* ob-core.el (org-babel-read): More restrictive elisp eval of
	header arguments.

	* ob-lob.el (org-babel-lob-execute): Include default elisp header
	args in call lines.

	* ob-core.el (org-babel-result-cond): Don't over-evaluate
	result-params in macro.

	* ob-ruby.el (org-babel-execute:ruby): Use `org-babel-result-cond'
	in Ruby code blocks.
	(org-babel-ruby-evaluate): Delay table processing.

	* ob-js.el (org-babel-execute:js): Use `org-babel-result-cond' in
	JavaScript code blocks.

	* ob-scheme.el (org-babel-execute:scheme): Use
	`org-babel-result-cond' in scheme code blocks.

	* ob-ocaml.el (org-babel-execute:ocaml): Use
	`org-babel-result-cond' in OCaml code blocks.

	* ob-haskell.el (org-babel-execute:haskell): Use
	`org-babel-result-cond' in Haskell code blocks.

	* ob-core.el (org-babel-result-cond): The "raw", "org" and
	"drawer" :results header argument values preclude table processing
	unless the "table" argument is given as well.
	(org-babel-execute-src-block): Make sure we process file results
	before they are passed to the post-processing code block, and not
	afterwards.  Tangles these two header arguments in the code, but
	makes for more intuitive behavior and enables important use cases.
	(org-babel-read): Read code block values with earmuffs as Emacs
	Lisp.
	(org-babel-common-header-args-w-values): Add :post to the list of
	header arguments.
	(org-babel-execute-src-block): Post process results when the :post
	header argument has been supplied.

	* ob-R.el (org-babel-R-initiate-session): Remove unnecessary
	save-excursion nested inside a save-window-excursion.

	* ob-core.el (org-babel-src-name-w-name-regexp): Update the regexp
	used to match code block names.
	(org-babel-get-src-block-info): Remove the code used to parse this
	alternate variable specification syntax.
	(org-babel-insert-result): Cycle tables for :results org and
	:results wrap.

	* ob-python.el (org-babel-python-initiate-session-by-key): Fixed a
	bug pointed out by Gary Oberbrunner.
	(org-babel-python-initiate-session-by-key): Add "-i" to the python
	command on windows sessions.  Actually setting new session names.
	Pass Python buffer names to the new `run-python' command.
	(org-babel-python-with-earmufs): Add earmufs to a buffer name.
	(org-babel-python-without-earmufs): Remove earmufs from a buffer name.
	(org-babel-python-initiate-session-by-key): Set the buffer name in
	a way which is understandable by the new python.el
	(org-babel-python-buffers): Change the default python buffer name.

	* ob-core.el (org-babel-number-p): Don't interpret single "-" as a
	number.

	* ob-perl.el (org-babel-perl--var-to-perl): Print Perl variables
	with a format string.

	* ob-core.el (org-babel-where-is-src-block-result): Allow comments
	between code blocks and un-named results.

	* ob-sqlite.el (org-babel-sqlite-table-or-scalar): Don't read
	sqlite output as lisp.

	* ob-core.el (org-babel-check-confirm-evaluate): Refactoring.
	(org-babel-confirm-evaluate): Fix whitespaces.
	(org-babel-execute-src-block): A cond makes it more clear that we
	definitely do not execute without user confirmation.
	(org-babel-call-process-region-original): Fixed line over 80 chars
	long.

	* ob-tangle.el (org-babel-tangle-collect-blocks): Update comment
	to reflect changed variable name.

	* ob-core.el (org-babel-expand-src-block): Return value of
	expanded code block on non-interactive calls.

	* ob-perl.el (org-babel-perl-var-wrap): Customizable wrapper for
	variables in perl code.
	(org-babel-perl-var-to-perl): Use said wrapper.

	* ob-sql.el (org-babel-execute:sql): Use the org-babel-eval
	command instead of shell-command.

	* ob-ocaml.el (org-babel-prep-session:ocaml): Check that
	`tuareg-run-caml' is defined before use.
	(tuareg-run-ocaml): Declare for compiler.

	* ob-core.el (org-babel-result-regexp): Simplify regexp given new
	time hash layout.
	(org-babel-current-result-hash): New match string.
	(org-babel-hide-hash): New match string.
	(org-babel-where-is-src-block-result): New match string, and
	insert hashes in the new format.

	* ob-core.el (org-ts-regexp): Declare.
	(org-babel-result-regexp): Now matching time stamp as well.
	(org-babel-hash-show-time): New variable controlling the display
	of time stamps.
	(org-babel-current-result-hash):
	(org-babel-hide-all-hashes):
	(org-babel-where-is-src-block-result): Use hash time stamps.

	* ob-core.el: New file.

	* org-macs.el: `org-load-noerror-mustsuffix' requires an autoload.

2013-11-12  Feng Shu  <tumashu@gmail.com>

	* ox-odt.el (org-odt--translate-latex-fragments):
	* ox-html.el (org-html-latex-environment)
	(org-html-latex-fragment): Fix imagemagick support.

	* org.el (org-create-formula-image-with-imagemagick): Generate
	correct size formula image.
	(org-format-latex-header): Change pagestyle command position.

	* ox-latex.el (org-latex--caption/label-string): Allow to build a
	caption string from `:caption' attribute of #+ATTR_LATEX.

	* ox.el (org-export-dictionary): Add Simplified Chinese
	translations for `org-export-dictionary'.

2013-11-12  Florian Beck  <fb@miszellen.de>  (tiny change)

	* org.el (org-activate-bracket-links): Remove escapes from the
	help string.

2013-11-12  Francesco Pizzolante  <xxx@public.gmane.org>  (tiny change)

	* ox-html.el (org-html-headline): Normalize the construction of
	outline-container DIVs by always using the inner headline ID.

	* org.el (org-agenda-prepare-buffers): Protect with
	`org-unmodified'.

2013-11-12  Gregor Kappler  <gregor@alcedo.(none)>  (tiny change)

	* ox.el (org-export-as): Make sure org-export-babel-evaluate is
	not nil before calling `org-export-execute-babel-code'.

2013-11-12  Grégoire Jadi  <gregoire.jadi@gmail.com>

	* org.el (org-reftex-citation): Fix contrib package name in the
	docstring.
	(org-preview-latex-fragment, org-display-inline-images): Detect
	whether a graphic display is available before inlining images to
	prevent an error.
	(org-startup-with-latex-preview): New option.
	(org-startup-options): New startup keywords for the new option.
	(org-mode): Turn on/off LaTeX preview depending on the new option.
	(org-reverse-string): Add `org-reverse-string' to reverse a
	string.

	* org-id.el (org-id-new, org-id-decode): Replace
	`org-id-reverse-string' by `org-reverse-string'.

	* ob-core.el (org-babel-trim): Replace `org-babel-reverse-string'
	by `org-reverse-string' and declare it.

2013-11-12  Gustav Wikström  <gustav.erik@gmail.com>  (tiny change)

	* org-agenda.el (org-agenda-filter-by-category): Display all
	filtered out categories.

2013-11-12  Ilya Zonov  <izonov@gmail.com>  (tiny change)

	* org-mouse.el (org-mouse-context-menu): Add a correct newtext
	parameter for "All Set" and "All Clear" menu items.

2013-11-12  Ingo Lohmar  <i.lohmar@gmail.com>  (tiny change)

	* org.el (org-insert-todo-heading-respect-content): Pass correct
	prefix arg to always insert heading.

	* org-agenda.el
	(org-agenda-propertize-selected-todo-keywords): New function to
	highlight the current agenda todo keywords depending on
	`org-todo-keyword-faces'.
	(org-todo-list): Use the new function.

2013-11-12  Ippei FURUHASHI  <top.tuna+orgmode@gmail.com>

	* org-table.el (org-calc-current-TBLFM): New function to
	re-calculate the table by applying the #+TBLFM in the line where
	the point is.  Ensure to remove the currently inserted TBLFM line,
	when calling `org-table-recalculate' returns an error and the
	processing stops.

	* org.el (org-ctrl-c-ctrl-c): Call `org-calc-current-TBLFM' when
	point is in the #+TBLFM line.

	* org-table.el (org-TBLFM-begin): New function.
	(org-TBLFM-begin-regexp): New variable.

	* org.el (org-at-TBLFM-p): New function.
	(org-TBLFM-regexp): New defconst.

2013-11-12  Ivan Vilata i Balaguer  <ivan@selidor.net>  (tiny change)

	* org-clock.el (org-clock-get-table-data): Pass tstart and tend
	time strings through `org-matcher-time' to allow relative times
	besides absolute ones, convert result to encoded time.

2013-11-12  Jambunathan K  <kjambunathan@gmail.com>

	* ox-html.el (org-html-code, org-html-verbatim): Transcode value.
	(org-html--tags, org-html-format-headline)
	(org-html--format-toc-headline, org-html-checkbox)
	(org-html-table-cell, org-html-timestamp)
	(org-html-verse-block, org-html-special-string-regexps): Replace
	named HTML entities with their numeric counterparts.  This keeps
	Freemind backend happy.

	* org-odt.el (org-export-odt-schema-dir): Modify to accommodate
	change in rnc file names.

	* org-lparse.el (org-lparse-and-open)
	(org-lparse-do-convert): Open exported files with system-specific
	application.

	* org-odt.el: Don't meddle with `org-file-apps'.

2013-11-12  Jarmo Hurri  <jarmo.hurri@syk.fi>

	* org-table.el (org-define-lookup-function): New macro.  Call it
	to generate new lookup functions `org-lookup-first',
	`org-lookup-last' and `org-lookup-all'.

	* org-gnus.el (org-gnus-no-server): New option to start Gnus using
	`gnus-no-server'.
	(org-gnus-no-new-news): Use the new option.

2013-11-12  Jonas Hoersch  <coroa@online.de>  (tiny change)

	* org.el (org-cycle-hide-inline-tasks): Re-hide inline tasks when
	switching to 'children visibility state.

	* org-inlinetask.el (org-inlinetask-toggle-visibility): Don't use
	`org-show-entry' as it cannot unfold an inlinetask properly.

2013-11-12  Jonathan Leech-Pepin  <jonathan.leechpepin@gmail.com>

	* ox-texinfo.el: New file.

2013-11-12  Joost Diepenmaat  <joost@zeekat.nl>  (tiny change)

	* org.el (org-indent-region): BEGIN_SRC and END_SRC lines should
	not be considered part of the source block for the purposes of
	indentation.

2013-11-12  Justus Piater  <justus-dev@piater.name>

	* org-agenda.el
	(org-agenda-skip-deadline-prewarning-if-scheduled): Add an option
	to skip the deadline prewarning if the scheduled date is in the
	future.

2013-11-12  Kodi Arfer  <git@arfer.net>  (tiny change)

	* ox-html.el (org-html-toc): Use <nav> instead of <div> for the
	root element when appropriate.
	(org-html-paragraph): Wrap "Figure %d:" in <span
	class="figure-number">.
	(org-html-list-of-tables, org-html-table): Wrap "Table %d:" in
	<span class="table-number">.
	(org-html-list-of-listings): Wrap "Listing %d:" in
	<span class="listing-number">.
	(org-html-table): For HTML5, omit :html-table-attributes but not
	:id or :attr_html.
	(org-html--build-meta-info): Insert no timestamp when
	:time-stamp-file is nil.

2013-11-12  Lawrence Mitchell  <wence@gmx.li>

	* ox-html.el (org-html-close-tag): Add space before attr.

	* ox.el (org-export-resolve-fuzzy-link): Look for fuzzy link in a
	cache before trying to resolve it in the parse tree.

2013-11-12  Le Wang  <le.wang@agworld.com.au>

	* org-src.el (org-edit-src-code): Use marker with insertion type t
	to track end and remove hack requiring delete from beg to (1-
	end).

2013-11-12  Max Mikhanosha  <max@openchat.com>

	* org-habit.el (org-habit-get-faces): Add show done days green
	option.

	* org-agenda.el (org-agenda-format-item): Ensure effort is "" when
	unset

2013-11-12  Michael Brand  <michael.ch.brand@gmail.com>

	* org-table.el (org-table-eval-formula): Align the arrow pointing
	to the error in a Calc formula to the other fomula debugger logs.

	* org.el (org-link-escape-chars-browser): Add char double quote.
	(org-open-at-point): Use the constant
	`org-link-escape-chars-browser'.

	* org-table.el (org-table-get-remote-range): Extend regexp to
	match "#+NAME: table" additionally to "#+TBLNAME: table".

	* org-table.el (org-table-eval-formula): Use `keep-empty' in more
	places.  Keep empty fields during preprocessing.
	(org-table-make-reference): Use nan (not a number) for empty
	fields in Calc formulas.  A range with only empty fields should
	not always return 0 but also empty string, consistent with field
	reference of an empty field.  Use future design for nan but
	replicate current behavior.
	(org-table-number-regexp): Extend 0x hex to fixed-point number,
	add <radix>#<number>, add Calc infinite numbers uinf, -inf and
	inf.

2013-11-12  Muchenxuan Tong  <demon386@gmail.com>  (tiny change)

	* org-mobile.el (org-mobile-push): Add `save-restriction'.

2013-11-12  Nicolas Goaziou  <n.goaziou@gmail.com>

	* ox-latex.el (org-latex-compile): Remove all numbered temporary
	files after compiling.

	* org-element.el (org-element-headline-interpreter): Take into
	consideration `org-odd-levels-only' when building a headline.

	* ox-org.el (org-org-headline): Correctly set transcoded headline
	level during subtree export.

	* ox-html.el (org-html--format-toc-headline): TOC entries are
	closer to regular headline formatting.

	* org-element.el (org-element-context): Fix error when parsing
	affiliated keywords, e.g. "caption".

	* org.el (org-do-emphasis-faces): Look for verbatim status at
	correct location.
	(org-open-at-point): Check if link is non-nil before matching it.
	(org-export-insert-default-template): Make sure strings are
	properly quoted when inserting a template.  Specifically, default
	value for drawers should be d:(not "LOGBOOK"), not d:(not
	LOGBOOK).
	(org-insert-heading): Do not error out when inserting is to be
	done at one of the buffer's boundaries.

	* ox-latex.el (org-latex-listings-options): Use correct number of
	backslash characters in the example.

	* org-element.el (org-element-latex-or-entity-successor)
	(org-element-latex-fragment-parser): Use `org-latex-regexps'
	instead of `org-format-latex-options'.

	* ox-ascii.el:
	* ox-beamer.el:
	* ox-html.el:
	* ox-icalendar.el:
	* ox-md.el: Remove comments at the beginning of the file since
	the library is documented in Org manual.

	* org-element.el (org-element--list-struct): Use
	`org-match-string-no-properties'.  Fix block parsing in lists.

	* ox-publish.el (org-publish-all): Fix compilation problem.

	* org-element.el (org-element-timestamp-interpreter): Correctly
	interpret timestamps with delays.
	(org-element-timestamp-parser)
	(org-element-timestamp-interpreter): Parse warning delays.

	* ox-beamer.el (org-beamer--format-section): Fix regression which
	prevents frames from being propely exported.

	* ox.el (org-export-with-backend): Ensure function will use
	provided back-end.

	* org-list.el (org-list-allow-alphabetical): Remove reference to
	unused VALUE.

	* ox-beamer.el (org-beamer--format-section): Protect fragile
	commands in sections.

	* org.el (org-ctrl-c-ctrl-c): When using C-c C-c at an item with
	point on a link, make sure checkbox, if any, is toggled.

	* ox-beamer.el (org-beamer--format-block): Return an error message
	when using a special environment as a block type.  Also check for
	incomplete environment definitions.

	* org-element.el (org-element-at-point): If point is at the end of
	the buffer, and that buffer ends with a list, and there's no final
	newline, return last element in last item instead of plain list.
	Fix infloop when called on a blank line at the end of the buffer
	after a headline.

	* org.el (org-forward-paragraph, org-backward-paragraph): New
	functions.

	* org.el (org-meta-return): Allow M-RET to insert items within
	drawers.  Rewrite function.

	* org-element.el (org-element-footnote-definition-parser): Fix
	value for :contents-begin when first line of footnote definition
	is empty besides the label.
	(org-element-at-point): Return correct element when point is on a
	blank line just below a headline.
	(org-element-paragraph-parser): Use
	`org-match-string-no-properties'.  Small fixes to paragraph
	parsing.

	* org.el (org-adaptive-fill-function): Do not handle
	`adaptive-fill-regexp' in comments as the behavior is not
	satisfying.

	* org-list.el (org-list-struct-apply-struct): Do not move item's
	contents within a child above when repairing indentation.

	* ox-html.el (org-html--build-meta-info): Fix output of meta tags
	when properties are present.

	* ox.el (org-export-collect-headlines): Do not build TOC for
	headlines below H value.

	* org-element.el (org-element-context): Modify misleading
	comment.
	(org-element-text-markup-successor)
	(org-element-latex-or-entity-successor)
	(org-element-export-snippet-successor)
	(org-element-footnote-reference-successor)
	(org-element-inline-babel-call-successor)
	(org-element-inline-src-block-successor)
	(org-element-line-break-successor, org-element-link-successor)
	(org-element-plain-link-successor, org-element-macro-successor)
	(org-element-radio-target-successor)
	(org-element-statistics-cookie-successor)
	(org-element-sub/superscript-successor)
	(org-element-table-cell-successor, org-element-target-successor)
	(org-element-timestamp-successor): Remove LIMIT argument.
	(org-element--parse-objects, org-element--get-next-object-candidates):
	Apply signature change to successors.
	(org-element-context): Narrow buffer around object containers so
	parsing of objects when using this function is done under the same
	restrictions as in buffer parsing.

	* ox.el (org-export-table-cell-alignment): Ensure required
	variables are available.  Use correct :test.
	(org-export-table-cell-width): Modify key (now an element) and
	value structure (now a vector) of cache so it can use `eq' as
	test.  Elements are circular lists so `equal' cannot apply on them.

	* ox-publish.el (project-plist): Remove variable.

	* ox.el (org-export-to-buffer, org-export-to-file): Fix
	docstrings.

	* ox-org.el (org-export-as-org): Add missing BODY-ONLY argument,
	which is always nil in this back-end.

	* org.el (org-adaptive-fill-function): Look for a fill prefix at
	the beginning of the paragraph and subsquently on its second line
	instead of the current line.

	* ob-core.el (org-babel-get-src-block-info): Look for indentation
	value at the correct location.

	* ox.el (org-export-data-with-backend): Set temporary back-end as
	the new back-end in local communication channel.
	(org-export-filter-apply-functions): Handle corner case where
	back-end is nil.  Only provide back-end name (a symbol) as second
	argument of filters, not the full back-end (a vector).

	* ox-publish.el (org-publish-find-title): Fix title when no
	#+TITLE property is provided.

	* ox.el (org-export-store-default-title): Remove-function.
	(org-export--default-title): Remove variable.
	(org-export-options-alist): Do not use a default value.
	(org-export--get-buffer-attributes): Store a default title.
	(org-export-as): Apply function removal.
	(org-export--get-global-options): Do not set a property with an
	explicitly nil value.

	* ox-publish.el (org-publish-sitemap-sort-files)
	(org-publish-sitemap-sort-folders)
	(org-publish-sitemap-ignore-case, org-publish-sitemap-requested)
	(org-publish-sitemap-date-format)
	(org-publish-sitemap-file-entry-format): Set prefix to
	"org-publish-sitemap" instead of "org-sitemap".
	(org-publish-compare-directory-files)
	(org-publish-get-base-files-1, org-publish-projects)
	(org-publish-format-file-entry): Use new prefix.

	* org-clock.el (org-clock-total-time-cell-format)
	(org-clock-file-time-cell-format): Use correct type.

	* ob-haskell.el:
	* ox-ascii.el (org-ascii-export-as-ascii)
	(org-ascii-export-to-ascii):
	* ox-beamer.el (org-beamer-export-as-latex)
	(org-beamer-export-to-latex, org-beamer-export-to-pdf):
	* ox-html.el (org-html-export-as-html, org-html-export-to-html):
	* ox-icalendar.el (org-icalendar-export-to-ics):
	* ox-latex.el (org-latex-export-as-latex)
	(org-latex-export-to-pdf):
	* ox-man.el (org-man-export-to-man, org-man-export-to-pdf):
	* ox-md.el (org-md-export-as-markdown, org-md-export-to-markdown):
	* ox-odt.el (org-odt-export-to-odt):
	* ox-org.el (org-org-export-as-org, org-org-export-to-org):
	* ox-publish.el (org-publish-org-to):
	* ox-texinfo.el (org-texinfo-export-to-texinfo)
	(org-texinfo-export-to-info):
	* ox.el (org-export-to-buffer): Add two arguments: one to trigger
	asynchronous export and the other to do extra processing from
	within the buffer.
	(org-export-to-file): Add two arguments: one to trigger
	asynchronous export and the other to do extra processing on the
	output file.
	(org-export-async-start): Small clean up.

	* ox.el (org-export-as): Use new back-end structure.
	(org-export-current-backend): New variable.
	(org-export-as): Use new variable.

	* ox-ascii.el (org-ascii-table): Remove spurious new line between
	a table and the caption below.

	* ox.el (org-export-to-file): Preserve coding system when writing
	output.
	(org-export-stack-mode-map): Fix compilation error with Emacs <
	24.
	(org-export--dispatch-action): Maintain compatibility with Emacs
	23.

	* org.el (org-adaptive-fill-function, org-fill-paragraph): Add
	support for `adaptive-fill-regexp' in paragraphs and comments.
	(org-indent-line): Fix indentation after a list.

	* ox.el (org-export--get-inbuffer-options): Multiple options can
	now be set through the same buffer keyword.

	* org-element.el (org-element-plain-list-parser): Fix infloop when
	parsing a list at the end of buffer, if buffer doesn't end at a
	line beginning.
	(org-element-link-parser): Do not url-decode parsed links.

	* org-pcomplete.el (pcomplete/org-mode/file-option): Remove
	spurious white spaces, excepted for source blocks' opening string.
	Small refactoring.
	(pcomplete/org-mode/file-option): Remove spurious colons from
	block boundaries.

	* ox-publish.el (org-publish-find-date): Also return date for
	directories.
	(org-publish-get-base-files-1): Fix :recursive parameter ignoring
	extension restriction.

	* ox-beamer.el: Remove strange indentation in default header.
	(org-beamer-template): Fix missing newlines in header.

	* ox-latex.el (org-latex-template): Fix missing newlines in
	header.

	* ox.el (org-export-insert-default-template): Fix
	"wrong-type-argument" error in template insertion.

	* org.el (org-fill-paragraph): Use empty commented lines as
	separators when filling comments.  This mimics default behavior
	from "newcomment.el", which is not used in Org.

	* ox-html.el (org-html-link): Add image attributes to "img" tag,
	not to the "a" container.  Also fix spacing for attributes.

	* org.el (org-fill-paragraph): Do not mix consecutive comments
	when filling any of them.

	* ox-html.el (org-html-format-headline--wrap): Fix number of
	arguments when setting `org-html-format-headline-function'.

	* org-element.el (org-element-item-interpreter): This patch fixes
	"(wrong-type-argument arrayp nil)" error when trying to interpret
	empty items.  Correctly interpret back plain lists with "*" items.
	This fixes "This is not a list" error returned in this case.

	* ox-latex.el (org-latex-listings): Update docstring.

	* org-pcomplete.el (pcomplete/org-mode/file-option/options): Apply
	changes to export back-end definiton.

	* org.el (org-get-export-keywords): Apply changes to export
	back-end definiton.

	* ox-html.el (org-html--format-toc-headline): Make use of
	anonymous back-ends.

	* ox-odt.el (org-odt-footnote-reference): Make use of anonymous
	back-ends.
	(org-odt-format-label, org-odt-toc)
	(org-odt-format-headline--wrap): Use `org-export-with-backend'
	instead of `org-export-with-translations'.

	* ox.el (org-export--registered-backends): Renamed from
	`org-export-registered-backends'.
	(org-export-invisible-backends): Removed variable.
	(org-export-get-backend, org-export-get-all-transcoders
	org-export-get-all-options, org-export-get-all-filters): New
	functions.  It replaces `org-export-backend-translate-table'.
	(org-export-barf-if-invalid-backend, org-export-derived-backend-p,
	org-export-define-backend, org-export-define-derived-backend):
	Rewrite functions using new representation.
	(org-export-backend-translate-table): Remove function.
	(org-export-get-environment): Use new function.
	(org-export--get-subtree-options, org-export--parse-option-keyword,
	org-export--get-inbuffer-options, org-export--get-global-options,
	org-export-to-buffer org-export-to-file, org-export-string-as
	org-export-replace-region-by): Update docstring.
	(org-export-data-with-translations): Remove function.  Use
	`org-export-data-with-backend' with a temporary back-end instead.
	(org-export-data-with-backend, org-export-as): Reflect new definition
	for back-ends.
	(org-export--dispatch-action, org-export--dispatch-ui): Reflect new
	definition for back-ends and variable removal.  Refactoring.
	(org-export-filter-apply-functions): Call functions with
	current back-end's name, not full back-end.

	* org.el (org-export-backends, org-create-formula--latex-header):
	Use new structure and variables.

	* ox-html.el (org-html-inline-images): Change default value and
	remove `maybe'.
	(org-html-format-inline-image): Remove functions.
	(org-html--wrap-image, org-html--format-image)
	(org-html-inline-image-p): New functions.
	(org-html-latex-environment, org-html-latex-fragment): Use new
	functions.
	(org-html-standalone-image-p): Use new functions.  Also remove an
	unused optional argument.
	(org-html-link, org-html-paragraph): Correctly export hyperlinked
	images.

	* ox.el (org-export-dictionary): Update some translations.

	* ox-odt.el (org-odt-label-styles, org-odt-category-map-alist):
	Fix docstring.
	(org-odt-format-label): Add docstring.  Internationalize prefix.

	* ox.el (org-export-dictionary): Add entry for colons.

	* ox-odt.el (org-odt--suppress-some-translators): Remove function.

	* ox-html.el (org-html-link): Remove left-over binding.

	* ox-beamer.el (org-beamer-environments-extra): Allow to add raw
	title in environment definition.
	(org-beamer--format-block): Handle new placeholders.

	* ox-html.el (org-html-link): Small refactoring.

	* org-element.el (org-element--current-element): Fix
	org-meta-return error at the end of buffer.

	* ox-odt.el (org-odt-category-map-alist): Fix internationalization
	of "Table" and "Listing".

	* ox.el (org-export-dictionary): Remove useless dictionary
	entries.

	* ox-ascii.el (org-ascii--build-caption): Apply removal.

	* ox.el (org-export-dictionary): Add spanish and german
	translations.

	* ox-odt.el (org-odt-link): Fuzzy links to an headline with a
	description always use that description, even if the description
	is the same as the headline title.
	(org-odt-plain-text): Allow to turn smart quotes off.

	* ox-latex.el (org-latex--get-footnote-counter): Remove function.

	* org.el (org-setup-filling): Set `paragraph-start' and
	`paragraph-separate'.
	(org-fill-paragraph-separate-nobreak-p): Remove function.
	(org-mode): Do not set `paragraph-start'.

	* ox-html.el (html): Replace "HTML_HTML5_FANCY",
	"HTML_INCLUDE_STYLE" and "HTML_INCLUDE_SCRIPTS" with,
	respectively, ":html5-fancy", "html-style" and "html-scripts"
	options.
	(org-html-html5-fancy): Reformat docstring.
	(org-html-template): Fix typo preventing insertion of link up/link
	home anchors.

	* org.el (org-create-formula--latex-header): Replace AUTO with
	appropriate language when previewing snippets.

	* ox-latex.el (org-latex-item): Allow hyperref and footnotemark in
	items description tags.  Also remove a unnecessary hack allowing
	footnotemark with an optional argument in the tag.

	* ox.el (org-export-resolve-fuzzy-link): Fix link resolution when
	link lives before the first headline.

	* org-element.el (org-element-special-block-parser): Fix typo in
	regexp matching block type.  Also quote the type so it can contain
	special characters.

	* ox-latex.el (org-latex-pdf-process): This argument can cause
	problem with links with a relative path, since compilation happens
	in a different directory.

	* org.el (org-latex-default-packages-alist): Load "ulem" package
	by default.  Use "[normalem]" option to preserve \emph definition.

	* ox-latex.el (org-latex-text-markup-alist): Use "\uline" and
	"\sout" commands from "ulem" package.

	* org.el (org-latex-default-packages-alist): Document need for
	"soul" package.

	* ox-latex.el (org-latex-text-markup-alist): Use \ul (from "soul"
	package) instead of \underline for underline text.

	* ox.el (org-export-read-attribute): Fix "Wrong argument type"
	error when attributes start with :key "".

	* org.el (org-fill-paragraph-separate-nobreak-p)
	(org-fill-line-break-nobreak-p)
	(org-fill-paragraph-with-timestamp-nobreak-p): Fix docstrings.

	* org-element.el (org-element--list-struct): Fix failing
	"plain-list-parser" test.

	* ox-latex.el (org-latex-src-block): Handle :float attribute.
	Its value can be set to "t", "multicolumn" or "nil".  Also remove
	:long-listing attribute, which is now replaced with :float nil.
	(org-latex--org-table): Replace :float table with :float t.
	(org-latex--inline-image): Replace :float figure with :float t.
	(org-latex-long-listings): Remove variable.

	* org-element.el (org-element--list-struct): New function.
	(org-element-plain-list-parser, org-element--current-element): Use
	new function.

	* ox-man.el (org-man-compile):
	* ox-texinfo.el (org-texinfo-compile): Use appropriate argument.

	* ox-latex.el (org-latex-compile):
	* ox-man.el (org-man-compile):
	* ox-texinfo.el (org-texinfo-compile): Properly set working
	directory.

	* ox-latex.el (org-latex-compile):
	* ox-texinfo.el (org-texinfo-compile): Make sure generated file
	can be found by `file-exists-p'.

	* ox-md.el (md): Delegate underscore transcoding to HTML back-end.

	* org-element.el (org-element--remove-indentation): Small
	optimization.
	(org-element--remove-indentation): New function.
	(org-element-example-block-parser, org-element-src-block-parser):
	Use new function.
	(org-element-src-block-interpreter): Update function according to
	change.

	* ox.el (org-export-unravel-code): Do not remove any indentation
	since it now happens at the parser level.
	(org-export-table-cell-width): Be sure to use cache even when
	stored value is nil.
	(org-export--default-title): Fix "Symbol's value as variable is
	void: org-export--default-title".

	* ox-ascii.el (org-ascii--table-cell-width): Cache results of this
	internal function since it is called at each cell, though its
	value only change column wise.

	* ox.el (org-export-resolve-fuzzy-link): Change property name
	holding cache.
	(org-export-table-has-header-p, org-export-table-row-group)
	(org-export-table-cell-width, org-export-table-cell-alignment):
	Cache results.
	(org-export-table-cell-address): Refactor.
	(org-export-get-parent): Inline function.
	(org-export-options-alist): Change default value for :title
	property.
	(org-export--default-title): New dynamically scoped variable.
	(org-export-store-default-title): New function.
	(org-export--get-buffer-attributes): Remove title handling.
	(org-export--get-global-options): Revert "ox: Fix default title".
	Refactor code.

	* ox-html.el (org-html-format-latex): Provide a prefix for
	temporary file when using dvipng, even if the current buffer isn't
	associated to a file.

	* ox.el (org-export-resolve-radio-link): Ignore whitespace
	differences when resolving a radio link.
	(org-export-resolve-radio-link): Fix radio target resolution.

	* org-element.el (org-element--current-element): Be stricter when
	matching arguments in LaTeX environments.  In particular, do not
	allow anything else than options and arguments in the opening
	line.

	* ox-html.el (org-html-inner-template): Remove code relative to
	bibliography.
	(org-html-bibliography): Remove function.

	* ox-latex.el (org-latex-plain-text): Protect ^ char with \^{},
	not only \^, so it doesn't become a diacritic.

	* ox-html.el (org-html--build-meta-info): Fix code typo.

	* ox.el (org-export-expand-include-keyword): Avoid using `read' to
	determine file name.
	(org-export--get-global-options): Properly set default title,
	i.e. when to TITLE keyword is provided.

	* org-element.el (org-element--parse-elements): Also parse visible
	headlines within an otherwise compacted headline.

	* ox.el (org-export-expand-include-keyword): Tolerate included
	file names without double quotes.
	(org-export-resolve-fuzzy-link): Fix caching process.

	* ox-publish.el (org-publish-find-date): Fix "Invalid time
	specification" error with timestamps in DATE.

	* org-element.el (org-element--current-element): Allow the opening
	string of a LaTeX environment to contain additional arguments.

	* org.el (org-insert-heading): Refactor to use `org-in-item-p'
	only once.

	* ox.el (org-export-expand): Optionally add affiliated keywords to
	results.

	* ox-org.el (org-org-identity): Use new argument for
	`org-export-expand'.

	* org.el (org-fill-paragraph): Move to table beginning before
	aligning the table when M-q is called from an affiliated keyword.

	* org-list.el (org-list-allow-alphabetical): Properly update
	`org-list-allow-alphabetical' when changed after org.el has been
	loaded.

	* org-element.el (org-element-fixed-width-interpreter): Fix
	interpretation of fixed-width elements with a nil or empty string
	value.

	* ox-html.el (org-html-link): Don't skip the link description when
	it matches the name of the headline it targets.

	* ox-html.el (org-html-link): Don't skip the link description when
	it matches the name of the headline it targets.

	* ox-ascii.el (ascii): Remove inexistant function.

	* ox-icalendar.el (icalendar): Ignore footnotes.
	(org-icalendar--combine-files): Small refactoring.

	* ox.el (org-export--skip-p, org-export--interpret-p): When
	`org-export-with-footnotes' is nil, ignore completely footnotes
	references and definitions instead of exporting them verbatim.

	* ox-beamer.el (org-beamer--frame-level): Small refactoring.
	(org-beamer--format-block, org-beamer-headline): Do not systematically
	downcase environment names as some require upper case in their
	names (e.g. noteNH and CJK).

	* ox.el (org-export-with-timestamps): Only applies to isolated
	timestamps, i.e. timestamps in a paragraph containing only
	timestamps and empty strings.
	(org-export--skip-p): Skip timestamps according to new behavior.

	* ox-latex.el (org-latex--script-size): Handle consecutive
	alterning sub and superscript.

	* ox-org.el (org-org-identity): Fix docstring.  Tiny refactoring.
	(org-org-headline, org-org-keyword): Fix docstring.

	* ox-latex.el (org-latex--script-size): Use \text command for
	subscript and superscript.  This is far superior to \mathrm, but
	it requires "amstext" package.  In particular, accented characters
	are now allowed within sub/superscript.

	* org.el (org-latex-default-packages-alist): Add "amstext"
	package.

	* ox-latex.el (org-latex--script-size): Fix error when using
	sub/superscript within sub/superscript.

	* ox-latex.el (org-latex--script-size): New function.
	(org-latex-subscript, org-latex-superscript): Use new function.
	Remove instructions since everything is documented in Org manual.

	* ox.el (org-export-with-smart-quotes): Use LATEX instead of LaTeX
	for keywords, the latter being hard to type, somewhat difficult to
	read, and overall just pedantic.

	* ox-latex.el (org-latex-classes): Be more explicit about
	LATEX_HEADER_EXTRA.

	* ox-html.el (org-html--build-meta-info): Fix invalid characters
	in html attributes.

	* ox.el (org-export-filters-alist): Remove macro filter.
	(org-export-filter-macro-functions): Remove variable.

	* ox-beamer.el (beamer): Install a default class set-up when
	loading library.

	* ox-latex.el (org-latex-classes): Update docstring.

	* ox-latex.el (org-latex--inline-image): Remove specific default
	image width for floats.  If no width nor height is provided, it
	should default to `org-latex-image-default-width' value.

	* org.el (org-extract-attributes-from-string)
	(org-attributes-to-string): Remove functions.

	* ox-html.el (html): Rename :html-table-tag property into
	:org-table-attributes.
	(org-html-table-default-attributes): New variable.
	(org-html-table-tag): Removed variable.
	(org-html--make-attribute-string): New function.
	(org-html-link--inline-image, org-html-table): Use new function.
	(org-html-splice-attributes, org-export-splice-style): Remove
	functions.
	(org-html-inline-image-rules): Remove out of context part of the
	docstring.

	* ox.el (org-export-read-attribute): Allow to use empty strings in
	attributes.

	* ox-html.el (org-html-metadata-timestamp-format): New variable,
	renamed from `org-html--timestamp-format'.
	(org-html--build-meta-info, org-html-format-spec,
	org-html--build-pre/postamble): Use new variable.

	* ox.el (org-export-table-row-number): New function.
	(org-export-table-cell-address): Use new function.

	* org-element.el (org-element-table-cell-successor): Parse table
	cells with missing ending space.

	* ox-latex.el (org-latex--math-table): Fix inline-math table
	environment.

	* ox-html.el (org-html-doctype): Make value fit on a single line
	so `org-export-insert-default-template' can handle it.
	(org-html-creator-string): Change default value.

	* ox.el (org-export-creator-string): Change default value.

	* ox-html.el (org-html-postamble-format)
	(org-html-preamble-format): Allow last modification time of source
	in template.  Fix docstrings.
	(org-html-format-spec): Produce last modification time when the source
	is a file.

	* ox.el (org-export-with-archived-trees, org-export-with-author)
	(org-export-with-clocks, org-export-with-date)
	(org-export-creator-string, org-export-with-drawers)
	(org-export-with-email, org-export-with-emphasize)
	(org-export-exclude-tags, org-export-with-fixed-width)
	(org-export-with-footnotes, org-export-with-latex)
	(org-export-headline-levels, org-export-default-language)
	(org-export-preserve-breaks, org-export-with-entities)
	(org-export-with-inlinetasks, org-export-with-planning)
	(org-export-with-priority, org-export-with-section-numbers)
	(org-export-select-tags, org-export-with-smart-quotes)
	(org-export-with-special-strings)
	(org-export-with-statistics-cookies)
	(org-export-with-sub-superscripts, org-export-with-toc)
	(org-export-with-tables, org-export-with-tags)
	(org-export-with-tasks, org-export-time-stamp-file)
	(org-export-with-timestamps, org-export-with-todo-keywords): Fix
	docstrings.

	* ox-html.el (org-html-postamble-format): Slightly change default
	value so "Generated by" string doesn't get duplicated.
	(org-html-creator-string): Fix docstring.

	* ox.el (org-export--get-inbuffer-options)
	(org-export--list-bound-variables)
	(org-export--generate-copy-script, org-export-string-as)
	(org-export-expand-include-keyword)
	(org-export--prepare-file-contents): Inhibit startup process when
	calling `org-mode'.

	* ox-publish.el (org-publish-find-date): Fix "bad timestamp" error
	with some DATE values: :date property in communication channel is
	no longer a string.

	* ox.el (org-export-insert-default-template): New function.
	(org-export--dispatch-ui, org-export--dispatch-action): Access to
	the function through the dispatcher.

	* ox-icalendar.el (org-icalendar-convert-timestamp): Update
	docstring.
	(org-icalendar-dtstamp): New function.
	(org-icalendar--vevent, org-icalendar--vtodo): Use new function.

	* ox-ascii.el (org-ascii-link):
	* ox-html.el (org-html-keyword):
	* ox-latex.el (org-latex-keyword, org-latex-link):
	* ox-man.el (org-man-keyword):
	* ox-md.el (org-md-link):
	* ox-odt.el (org-odt-keyword):
	* org.el (org-store-link, org-link-search, org-options-keywords):
	Remove reference to TARGET keyword.

	* ox.el (org-export-resolve-fuzzy-link, org-export-get-ordinal):
	Do not use TARGET as a destination for links anymore.

	* ox-org.el (org): Add a menu entry for the back-end.
	(org-org-export-as-org, org-org-export-to-org): New functions.

	* org.el (org-export-backends): Accept `org' as a loadable
	back-end.

	* ox-ascii.el (org-ascii-template--document-title): Use new function.

	* ox-beamer.el (org-beamer-template): Use new function.

	* ox-html.el (org-html-format-spec): Use new function.

	* ox-latex.el (org-latex-template): Use new function.
	(org-latex-date-timestamp-format): Remove variable.

	* ox.el (org-export-date-timestamp-format): New variable.
	(org-export-get-date): New function.

	* ox-odt.el (org-odt--format-paragraph): New function.
	(org-odt-paragraph): Use new function to limit code duplication.
	(org-odt-footnote-reference): Change default style for paragraphs
	when transcoding a footnote definition.

	* org-macro.el (org-macro--collect-macros): Fix a bug where
	reading a macro in a setup file would remove other macros read so
	far from template.  Change function signature.
	(org-macro-initialize-templates): Apply signature change from function
	above.

	* ox.el (org-export--list-bound-variables): Renamed from
	`org-export--install-letbind-maybe'.  Though, only return list of
	bound variables instead of installing them as buffer-local
	variables.
	(org-export-get-environment): Use new function.  Take care of the
	installation of bound variables.
	(org-export--generate-copy-script): Make sure non-Org variables are
	also installed in buffer copy.

	* ox.el (org-export-get-environment): Update comment.
	(org-export--install-letbind-maybe): Go into SETUPFILE files and
	handle BIND keywords there.

	* ox-latex.el (org-latex-link): Do not prefix relative paths with
	"file://".

	* org.el (org-link-search): Preserve priority of #+TARGET over
	#+NAME when resolving a link.

	* ox-latex.el (org-latex-long-listings): New variable.
	(org-latex-src-block): Use new variable.

	* ox.el (org-export-data): White spaces after export snippets are
	never ignored.

	* org-element.el (org-element-macro-parser): Allow to escape
	escaping character before a comma.  Also do not trim spaces at
	argument boundaries.

	* ox.el (org-export-async-start): Use correct coding system so
	unibyte characters do not appear in the resulting buffer or file.
	(org-export--copy-to-kill-ring-p): Move function elsewhere in the
	file.

	* ox-latex.el (org-latex--inline-image): Fix error when no default
	width, height and option are provided and no attribute is set for
	the inline image.

	* org.el (org-comment-or-uncomment-region): Fix commenting lines
	beginning with a link.
	(org-delete-char): Fix "Invalid use of `\\' in replacement text"
	when deleting a character in a cell which contains "\"
	(org-export-backends): Remove duplicates.  Reorder alphabetically.

	* ox-texinfo.el (org-texinfo-plain-list): Use `member' instead of
	`memq' when matching strings.

	* ox.el (org-export-read-attribute): Do not use `read' to read
	attributes.  Instead, extract keywords and values from it, which
	means each value will be a string when non-nil.

	* ox-beamer.el (org-beamer-plain-list): Use new attribute syntax.

	* ox-html.el (org-html--textarea-block): Use new attribute syntax.

	* ox-latex.el (org-latex--inline-image, org-latex--org-table)
	(org-latex--math-table): Use new attribute syntax.

	* ox-man.el (org-man-table--org-table): Use new attribute syntax.
	Small refactoring.

	* ox-odt.el (org-odt-link--inline-image, org-odt-table-cell): Use
	new attribute syntax.

	* ox.el (org-export-async-start): Remove code evaluation queries
	from asynchronous export.

	* ox-latex.el (latex): Activate smart quotes by default.
	(org-latex--inline-image): Don't insert a default width when
	height is provided in a figure environment.
	(org-latex--inline-image): Do not use default width
	(resp. height) when an user height (resp. width) is provided.
	Also, default height is only used when image is not wrapped within
	a figure or wrapfigure environment, in order to preserve ratio.
	(org-latex-image-default-width, org-latex-image-default-height):
	Update docstring.

	* ox-icalendar.el (org-icalendar-create-uid): Fix error when
	`org-icalendar-store-UID' is non-nil.

	* ox-latex.el (latex): Introduce new buffer keyword.
	(org-latex-template): Use new keyword.

	* ox-beamer.el (org-beamer-template): Use new keyword.

	* org.el (org-create-formula--latex-header): Use new keyword.

	* ox-beamer.el (org-beamer-column-view-format, org-beamer-theme)
	(org-beamer-environments-extra): Add :version and
	:package-version.

	* ox-html.el (org-html-with-latex, org-html-inline-image-rules):
	Add :version and :package-version.

	* ox-latex.el (org-latex-inline-image-rules)
	(org-latex-default-table-environment)
	(org-latex-default-table-mode, org-latex-tables-booktabs)
	(org-latex-table-scientific-notation, org-latex-known-errors): Add
	:version and :package-version.

	* ox-md.el (org-md-headline-style): Add :version and
	:package-version.

	* ox-odt.el (org-odt-with-latex): Add :version
	and :package-version.

	* ox.el (org-export-with-drawers, org-export-with-latex)
	(org-export-with-inlinetasks, org-export-with-planning)
	(org-export-with-smart-quotes, org-export-with-statistics-cookies)
	(org-export-allow-bind-keywords, org-export-async-init-file): Add
	:version and :package-version.

	* ox-icalendar.el (org-icalendar-export-to-ics): Change back-end
	name from `e-ascii' to `ascii'.

	* ox.el (org-export--generate-copy-script): Call `org-mode' when
	duplicating a buffer.  It will properly set every variable, like
	`comment-start'.
	(org-export-async-start): Do not call `org-mode' since this is done
	already in the previous function.

	* ox-beamer.el (org-beamer-keyword): Remove frame arount toc when
	generated from a TOC keyword.

	* org.el (org-export-backends): Do not reset list of loaded
	back-ends to variable's value after a reload.

	* ox-latex.el (org-latex-src-block): Do not overwrite provided
	numbering options in minted and listings.
	(org-latex-headline): Don't add optional title on unnumbered
	headlines.

	* ox-html.el (html): Fix "HTML_HEAD" and "HTML_HEAD_EXTRA"
	keywords.  Allow multiple #+LATEX_HEAD and #+LATEX_HEAD_EXTRA
	again.

	* org.el (org-fill-paragraph): Small refactoring to
	`org-fill-paragraph'.  Do not look for table cells in a paragraph.

	* org-element.el (org-element-object-restrictions): Simplify
	restrictions within secondary strings and objects.

	* org-list.el (org-list-send-list): Do not rely on
	`org-list-parse-list'.
	(org-list-to-latex, org-list-to-html, org-list-to-texinfo): Use
	appropriate export back-end instead of using
	`org-list-to-generic'.

	* ox-html.el (org-html-inner-template): Remove contents div and
	title.
	(org-html-template): Add contents div and title.
	(org-html-infojs-install-script): Can't activate jsinfo script
	during a body-only export.

	* ox.el (org-export-as): Store export options in :export-options
	porperty within communication channel.

	* ox-latex.el (org-latex-item): Fix wrong behavior when a counter
	is set in an ordered list while its parent is not ordered.

	* ox.el (org-export-format-code-default): Handle empty source
	blocks more gracefully.

	* ox-ascii.el (org-ascii-src-block): Handle empty blocks more
	gracefully.

	* org.el (org-export-backends): Update variable.  `infojs' was
	merged into ox-html and `freemind' was added.

	* ox.el (org-export--selected-trees): Also mark inlinetasks with a
	select tag.
	(org-export--skip-p): Skip inlinetasks with a :noexport: tag.

	* ob-tangle.el (org-babel-spec-to-string): Use dedicated function
	for unescaping code.

	* ox-html.el (org-html-link): Silence byte-compiler.
	(html): Add infojs installation script in options filter.
	(org-html-infojs-install-script): Remove check for back-end as we
	can safely assume the function will be called from `html' back-end
	or one of its derivative.

	* ox-icalendar.el (org-agenda-collect-markers)
	(org-create-marker-find-array): Remove functions.
	(org-icalendar-export-current-agenda): Integrate previous
	functions.

	* ox-latex.el (org-latex-format-headline-default-function): Use
	declarative shape to nest makup for TODO keywords.  Previous
	syntax generated errors during export.

	* ox.el (org-export-async-start): Ignore `org-mode-hook' and
	`kill-emacs-hook'.  The first one has been run in the original
	buffer.  The second is not necessary and can pollute output to a
	temporary buffer (e.g. with `org-clock-persistence-insinuate').

	* ox-html.el (org-html-inner-template): Remove title.
	(org-html-template): Add title.

	* ox.el (org-export--get-min-level): Ignore footnote section when
	computing minimal headline level.

	* org.el (org-do-latex-and-related): Fix infloop when user
	provides a wrong value for `org-highlight-latex-and-related'.  In
	this case, `org-latex-and-related-regexp' is the empty string and
	generates an infloop since matching it doesn't move point.

	* org-element.el (org-element-headline-parser): Rename
	:optional-title into :alt-title.

	* ox.el (org-export-get-alt-title): Renamed from
	`org-export-get-optional-title'.

	* ox-ascii.el (org-ascii--build-title):
	* ox-html.el (org-html--format-toc-headline):
	* ox-latex.el (org-latex-headline):
	* ox-texinfo.el (org-texinfo--get-node)
	(org-texinfo--generate-menu-items): Apply name change.

	* ox.el (org-export--get-inbuffer-options): Remove an optional
	argument.  Rewrite function.  Properties read from a setupfile do
	not overwrite anymore previously computed properties.
	(org-export-get-environment): Apply changes to previous function.

	* org.el (org-create-formula--latex-header): Apply arity change
	from `org-export--get-inbuffer-options'.

	* ox-latex.el (org-latex-compile): Add an optional argument for
	latex snippet previewing.

	* org.el (org-create-formula-image-with-imagemagick): Use
	`org-latex-compile' instead of rewriting it.

	* ox-html.el (org-html-fontify-code): Do not use [^\000] in
	regexps that may match large strings.

	* org.el (org-create-formula--latex-header): New function.
	(org-create-formula-image-with-dvipng)
	(org-create-formula-image-with-imagemagick): Use new function.

	* ox.el (org-export-get-previous-element): Change order of retured
	elements in `org-export-get-previous-element'.

	* org-element.el (org-element-all-successors): Add `plain-link'
	successor.
	(org-element-object-restrictions): Remove `link' within `link'.
	Allow `plain-link' instead.
	(org-element-plain-link-successor): New function.

	* org.el (org-match-substring-regexp)
	(org-match-substring-with-braces-regexp): Update regexp.  A
	sub/superscript cannot start anymore at the beginning of the line
	or after a space.

	* org-element.el (org-element--get-next-object-candidates):
	Rewrite function to simplify algorithm.
	(org-element-context, org-element--parse-elements): Apply changes.

	* org.el (org-fill-paragraph): Apply changes.

	* ox-html.el (org-html-link, org-html-link--inline-image):
	Attributes specified to a paragraph only apply to first link
	within.

	* ox-latex.el (org-latex-headline): Do not add optional section
	name when section is unnumbered.

	* org.el (org-in-verbatim-emphasis): Fix false positive when point
	is just after the closing emphasis marker.
	(org-fill-paragraph): Do not move point when filling a table.

	* ox-ascii.el (ascii): Add new filter.
	(org-ascii-filter-comment-spacing): New function.
	(org-latex-keyword): Remove "figures" value.

	* ox-ascii.el (org-ascii--list-tables): Fix docstring.

	* ox-html.el (org-html--format-toc-headline): Fix function name.
	(org-html-toc, org-html--toc-text): Change to docstring.
	(org-html-list-of-listings, org-html-list-of-tables): New
	functions.
	(org-html-keyword): Use new functions.
	(org-html-src-block): Add an ID attribute when a name is given.

	* org-element.el (org-element-footnote-definition-parser): Require
	2 blank lines to separate footnote definition.

	* org-footnote.el (org-footnote-at-definition-p): Require 2 blank
	lines to separate footnote definition.

	* ox.el (org-export-stack): Rewrite.
	(org-export-stack-refresh): Refactor.
	(org-export-stack-remove, org-export-stack-view): Apply renaming.
	(org-export-stack-mode-map): Use tabulated list map as a basis.
	(org-export-stack--generate, org-export-stack--num-predicate): New
	function.
	(org-export-get-optional-title): Return regular title when no
	optional title is found.

	* ox-ascii.el (org-ascii--build-title): Apply change to
	`org-export-get-optional-title'.

	* ox-html.el (org-html--format-toc-headline): Apply change to
	`org-export-get-optional-title'.

	* ox-latex.el (org-latex-headline): Apply change to
	`org-export-get-optional-title'.

	* ox-ascii.el (org-ascii--build-title): Add an argument.  Use
	optional title when building a toc line.
	(org-ascii--build-toc): Call `org-ascii--build-title' with
	appropriate arguments.

	* ox-latex.el (org-latex-headline): Use optional title for table
	of contents.

	* ox-html.el (org-html--toc-text): Renamed from
	`org-html-toc-text'.  Add docstring.
	(org-html--format-toc-headline): Renamed from
	`org-html-format-toc-headline'.  Add docstring.  Use optional
	title if possible.
	(org-html-toc): Add docstring.

	* org-element.el (org-element-headline-parser): Node property
	:OPTIONAL_TITLE: in a headline will be parsed and stored under
	:optional-title property.

	* ox.el (org-export-get-optional-title): New function.

	* ox-latex.el (org-latex-format-headline-default-function): Make
	the variable a function.

	* ox-publish.el (org-publish-resolve-external-fuzzy-link): No
	error when resolving external fuzzy links outside publishing.
	Though search option for these links will not be resolved.

	* ox-latex.el (org-latex-guess-inputenc): Set inputenc option
	according to `org-export-coding-system'.

	* ox.el (org-export--generate-copy-script): Clone
	`buffer-file-coding-system' when creating a buffer copy.

	* ox-html.el (org-html-link): Resolve external links with search
	options like [[file.org::#custom-id]] or
	[[file.org::*headline-search]].

	* ox-publish.el (org-publish-collect-numbering)
	(org-publish-resolve-external-fuzzy-link): New functions.
	(org-publish-org-to): Add new collecting function to final output
	filter.  Move index collecting function to the same filter.
	(org-publish-collect-index): Called from final output filter.

	* ox-html.el (org-html-format-headline--wrap, org-html-headline):
	Use :CUSTOM_ID, not :custom-id.

	* org-element.el (org-element-latex-environment-parser): Fix wrong
	value for :post-affiliated property when parsing a latex
	environment.

	* ox-latex.el (org-latex-property-drawer): Remove function.

	* ox-ascii.el (org-ascii-filter-paragraph-spacing): Remove
	reference to now renamed `e-ascii' back-end.

	* ox-beamer.el (org-beamer-template): Allow to span documentclass
	options accross multiple lines in template.

	* ox-latex.el (org-latex-template): Allow to span documentclass
	options accross multiple lines in template.

	* ox-texinfo.el (org-texinfo--get-node): Upcase property name.
	(org-texinfo--get-node): New function.
	(org-texinfo-headline, org-texinfo-link): Use new function.

	* ox-ascii.el (org-ascii-quote-block): Do not fill quote block
	contents.  Just indent them.

	* ox-publish.el (org-publish-index-generate-theindex): Do not
	create an "* Index" headline in "theindex.inc".  Though, create an
	"Index" title in fallback "theindex.org".

	* ox-publish.el (org-publish-projects): Publish "theindex.org"
	last, so that "theindex.inc" can be completed.

	* ox-publish.el (org-publish-project-alist): Fix docstring.
	(org-publish-collect-index): Fix typo.

	* ox.el (org-export--dispatch-ui): Prevent invisible cursor from
	highlighting brackets in UI

	* org-element.el (org-element-headline-parser)
	(org-element-inlinetask-parser): Fix docstring.

	* org.el (org-export-backends): Add new back-end in customize
	interface.

	* ox-beamer.el (org-beamer--get-label, org-beamer--frame-level)
	(org-beamer--format-section, org-beamer--format-frame)
	(org-beamer--format-block, org-beamer-headline): Apply changes to
	properties.

	* ox-html.el (org-html-headline, org-html-link, org-html-section):
	Apply changes to properties.

	* ox-icalendar.el (org-icalendar-create-uid)
	(org-icalendar-blocked-headline-p, org-icalendar-entry)
	(org-icalendar--valarm): Apply changes to properties.

	* ox-odt.el (org-odt-headline): Apply changes

	* ox-publish.el (org-publish-collect-index): Apply changes to
	properties.

	* ox-texinfo.el (org-texinfo--generate-menu-list)
	(org-texinfo--generate-menu-items, org-texinfo-template)
	(org-texinfo-headline, org-texinfo-link): Apply changes to
	properties.

	* ox.el (org-export-resolve-id-link, org-export-get-category):
	Apply changes to properties.
	(org-export-get-node-property): Update docstring.

	* org-element.el (org-element-headline-parser)
	(org-element-inlinetask-parser): Upcase properties.  This is done
	to avoid confusion between properties from parser (e.g. `:end')
	and properties from the property drawer (e.g. :END:).

	* ox-publish.el (org-publish-index-generate-theindex): Preserve
	order in file.  Fix error when two index entries were identical.
	Create again theindex.inc.

	* org-element.el (org-element-map): Allow to map over any list.
	Do not restrict mapping to object types.

	* org-faces.el (org-latex-and-related): Renamed from
	`org-latex-and-export-specials', which wasn't appropriate anymore.

	* org.el (org-highlight-latex-and-related)
	(org-latex-and-related-regexp): New variables.
	(org-compute-latex-and-related-regexp, org-do-latex-and-related): New
	function, revived from a previous commit.
	(org-set-regexps-and-options, org-set-font-lock-defaults): Use new
	functions.
	(org-set-regexps-and-options): Remove reference to LATEX_CLASS and
	beamer back-end.

	* ox-publish.el (org-publish-org-to): Small refactoring.

	* ox.el (org-export-install-filters): Properly install filters
	send through ext-plist mechanism.

	* ox-publish.el (org-publish-org-to): Small refactoring.

	* ox-html.el (org-html-keyword): Remove INDEX keyword handling.
	ox-publish.el takes care of it already.

	* org-macro.el: New file.

	* org.el: Remove macro code.

	* ox.el: Require new library

	* ox.el (org-export-resolve-fuzzy-link): Ignore statistics cookies
	when matching an headline.
	(org-export--dispatch-ui): Display a help message in header line
	for scrolling dispatcher's buffer
	(org-export-resolve-radio-link): Radio targets are
	case-insensitive.

	* ox-icalendar.el (org-export-icalendar): Fix docstring.

	* ox.el (org-export-dispatch): Fix docstring.
	(org-export--dispatch-action): Small improvement to line by line
	scrolling.
	(org-export-resolve-fuzzy-link): Refactor.  Whitespaces are not
	significant when matching a fuzzy link.

	* org-element.el (org-element-link-parser): Do not remove newlines
	characters in paths anymore, since this is not required.

	* ox.el (org-export--dispatch-ui): Renamed from
	`org-export-dispatch-ui'.  Handle scrolling.
	(org-export--dispatch-action): Renamed from
	`org-export-dispatch-action'.  Implement scrolling.
	(org-export-dispatch): Apply renaming.

	* org.el (org-ctrl-c-ctrl-c): Do nothing when at a blank line,
	but still run `org-ctrl-c-ctrl-c-final-hook'.
	(org-end-of-line): Remove `ignore-error'.

	* org-element.el (org-element-at-point): Return nil when in the
	first empty lines of the buffer.  Return headline when in empty
	lines just after the headline.

	* ox.el (org-export-output-file-name): Add a protection when
	output file name is the same as the original org.

	* ox-beamer.el (org-beamer-template): Add missing `class' argument
	for `format-string'.

	* ox-latex.el (org-latex-template): Add missing `class' argument
	for `format-string'.

	* ox.el (org-export-stack-mode): Fix docstring.

	* org-pcomplete.el (pcomplete/org-mode/file-option): Allow
	completion for ATTR_ prefixed keywords.

	* org.el (org-options-keywords): Add missing colons.

	* org-macs.el (org-default-options): Removed function.

	* org-pcomplete.el (org-command-at-point): Fix bug with some file
	options.
	(pcomplete/org-mode/file-option/x): Removed macro.
	(pcomplete/org-mode/file-option): Refactor code.
	(pcomplete/org-mode/file-option/author)
	(pcomplete/org-mode/file-option/date)
	(pcomplete/org-mode/file-option/title)
	(pcomplete/org-mode/file-option/tags)
	(pcomplete/org-mode/file-option/select_tags)
	(pcomplete/org-mode/file-option/priorities)
	(pcomplete/org-mode/file-option/language)
	(pcomplete/org-mode/file-option/filetags)
	(pcomplete/org-mode/file-option/exclude_tags)
	(pcomplete/org-mode/file-option/email): New functions.

	* ox.el (org-export--collect-headline-numbering): Remove footnote
	section from TOC.
	(org-export-collect-headlines): Do not count footnote section when
	numbering a headline.

	* ox-beamer.el (org-beamer-plain-list): Also read #+attr_latex
	attributes in order to determine list's options.

	* ox-ascii.el (org-ascii-inner-template): New function.
	(org-ascii-template): Use new function.
	(org-ascii-export-as-ascii, org-ascii-export-to-ascii): Update
	docstring.

	* org-element.el (org-element-link-parser): Take into
	consideration links filled and indented.

	* org-element.el (org-element-link-parser): Remove all newline
	characters in path property.

	* ox.el (org-export-as): Call `inner-template' function, if
	available.

	* ox-html.el (org-html-inner-template): New function.
	(org-html-template): Move all parts that should be inserted even
	in a body-only export into `org-html-inner-template'.

	* org.el (org-forward-element, org-backward-element): When no
	headline is found at the same level, still move forward or
	backward.

	* org-element.el (org-element--current-element): Add a limit
	argument.
	(org-element--collect-affiliated-keywords): Fix parsing of orphaned
	keyword at the end of an element.

	* ox-texinfo.el (org-texinfo-src-block): Remove spurious newline
	character as `org-export-format-code-default' already makes sure
	the string returned will end with a single one.

	* ox-latex.el (org-latex-headline): When a function returns a
	sectioning command, only one placeholder should be required.

	* org-element.el (org-element-nested-p): Do not inline function.

	* ox.el (org-export-copy-buffer, org-export-with-buffer-copy)
	(org-export--generate-copy-script): Moved earlier in the file.

	* ox-texinfo.el (org-texinfo-link): Do not transform path part of
	internal links.

	* org.el (org-org-menu): Small refactoring.

	* ox-beamer.el (require):
	* ox-icalendar.el (require):
	* ox-jsinfo.el (require):
	* ox-md.el (require): Require cl when compiling.

	* org.el (org-export-backends):
	* ox.el (org-export-dispatch): Fix docstring.

	* ox.el (org-export-dispatch-ui): Widen UI by 2 characters.

	* ox-latex.el (org-latex-special-block): Add :options attribute to
	special blocks to specify options.

	* ox-beamer.el (org-beamer-template): Add BEAMER_HEADER keywords
	below LATEX_HEADER.

	* ox-latex.el (org-latex-format-headline-function): Fix missing
	parens in the docstring.

	* org.el (org-export-backends): Remove `:initialize' function.

	* org.el (org-reload): Also reload export back-ends in use.

	* ox-latex.el (org-latex-example-block, org-latex-src-block):
	Ignore element if it's empty.  This fixes error "apply: Wrong
	number of arguments: max, 0".

	* ox-beamer.el (org-beamer-template): Provide an error when LaTeX
	class is invalid.

	* ox-latex.el (org-latex-template): Provide an error when LaTeX
	class is invalid.

	* org.el (org-modules): Remove export back-ends from the list.
	Update docstring.
	(org-export-backends): New variable.

	* ox.el (org-export-async-start): Make sure export framework is
	required in the external process.

	* org.el (org-format-latex-header-extra, org-export-have-math):
	Removed variables.
	(org-latex-default-packages-alist): Renamed from
	`org-export-latex-default-packages-alist'.
	(org-latex-packages-alist): Renamed from
	`org-export-latex-packages-alist'.
	(org-try-cdlatex-tab, org-cdlatex-underscore-caret,
	org-cdlatex-math-modify): Reorder in file.
	(org-format-latex): Remove `org-format-latex-header-extra'.
	(org-create-formula-image-with-dvipng,
	org-create-formula-image-with-imagemagick): Apply variables renaming
	and removal.

	* org-entities.el (org-entities-user): Update docstring.

	* ox-latex.el (org-latex-classes, org-latex-listings): Update
	docstring.
	(org-latex-guess-inputenc): Renamed from `org-latex--guess-inputenc'.
	(org-latex-guess-babel-language): Renamed from
	`org-latex--guess-babel-language'.
	(org-latex-template): Apply renaming.

	* ox-beamer.el (org-beamer-template): Apply renaming.

	* ob-latex.el (org-babel-execute:latex): Apply variable renaming
	and removal.
	(org-babel-latex-tex-to-pdf): Call `org-latex-compile' instead of
	copying it.

	* org-macs.el (org-if-unprotected, org-if-unprotected-1)
	(org-if-unprotected-at): Removed macros.
	(org-re-search-forward-unprotected): Removed function.

	* org.el (org-format-latex):
	* org-list.el (org-list-struct):
	* org-footnote.el (org-footnote-at-reference-p):
	* org-capture.el (org-capture-fill-template): Remove reference to
	`org-protected'.

	* ob-exp.el (org-babel-exp-process-buffer): Renamed from
	`org-export-blocks-preprocess'.

	* ox.el (org-export-execute-babel-code): Apply previous renaming.

	* org-pcomplete.el (pcomplete/org-mode/file-option): Collect valid
	keywords for completion without requiring the whole export
	framework.
	(pcomplete/org-mode/file-option/options): Rewrite using new export
	framework.  Only complete up to the colon.
	(pcomplete/org-mode/file-option/x): Removed macro.
	(pcomplete/org-mode/file-option/title)
	(pcomplete/org-mode/file-option/author)
	(pcomplete/org-mode/file-option/email)
	(pcomplete/org-mode/file-option/date): Removed functions.
	(pcomplete/org-mode/file-option/infojs_opt): New function.

	* org-clock.el (org-clocktable-defaults)
	(org-clocktable-write-default): Avoid requiring the whole export
	framework just to check one variable.

	* org-footnote.el (org-footnote-section): Update docstring.
	(org-footnote-normalize): Remove all export related part from the
	function.

	* org-inlinetask.el (org-inlinetask-export)
	(org-inlinetask-export-templates): Removed variables.
	(org-inlinetask-export-handler): Removed function.

	* org-plot.el: Remove dependency on `org-exp' library.

	* org.el (org-additional-option-like-keywords): Remove variable.
	(org-get-export-keywords): New function.
	(org-options-keywords): Update default list of keywords.
	(org-remove-flyspell-overlays-in): Apply changes to keywords
	compilation.
	(org-highlight-latex-fragments-and-specials)
	(org-latex-and-specials-regexp)
	(org-export-html-special-string-regexps): Remove variables.
	(org-compute-latex-and-specials-regexp)
	(org-do-latex-and-special-faces, org-remove-file-link-modifiers):
	Remove functions.
	(org-set-regexps-and-options, org-set-font-lock-defaults): Apply all
	removals.
	(org-use-sub-superscripts): Fix docstring.  Remove unused group.
	(org-match-sexp-depth): Make it a defconst instead of a defcustom
	in order to remove `org-export-translation' group completely.

	* ob-haskell.el (org-babel-haskell-export-to-lhs): Use new
	exporter.

	* ob-latex.el (org-babel-execute:latex): Use new exporter.

	* ob-org.el (org-babel-execute:org): Use new exporter.

	* org-agenda.el (org-agenda-menu, org-agenda-write): Use new
	iCalendar export back-end.

	* org-table.el (org-table-export, orgtbl-export): Remove
	dependency on `org-exp' library.
	(org-table-clean-before-export): New function.
	(org-table-colgroup-info): New variable.
	(orgtbl-to-html): Use to new HTML export back-end.

	* org.el (org-modules): Remove modules relative to obsolete export
	framework and add those relative to the new one.
	(org-create-formula-image-with-dvipng, org-format-latex
	org-create-formula-image-with-imagemagick): Use new exporter.
	(org-indent-line): INCLUDE keywords are indented like regular
	keywords.
	(org-mode-map): Bind C-c C-e to new export dispatcher.
	(org-menu): Install new exporter in menu.

	* org-ascii.el:
	* org-beamer.el:
	* org-docbook.el:
	* org-exp-blocks.el:
	* org-exp.el:
	* org-freemind.el:
	* org-html.el:
	* org-icalendar.el:
	* org-jsinfo.el:
	* org-latex.el:
	* org-lparse.el:
	* org-odt.el:
	* org-publish.el:
	* org-special-blocks.el:
	* org-taskjuggler.el:
	* org-xoxo.el: Remove

	* ox-ascii.el:
	* ox-beamer.el:
	* ox-html.el:
	* ox-icalendar.el:
	* ox-jsinfo.el:
	* ox-latex.el:
	* ox-man.el:
	* ox-md.el:
	* ox-odt.el:
	* ox-publish.el:
	* ox-texinfo.el:
	* ox.el: New file.

	* ob-exp.el (org-export-blocks-preprocess): Do not use
	`indent-code-rigidly' as it doesn't indent contents of strings.

	* org-element.el (org-element-map): Change to function
	indentation.  Also complete docstring.

	* org.el (org-ctrl-c-ctrl-c): Major rewrite function using
	Elements.

	* org-element.el (org-element-at-point): When point is before any
	element, in the first blank lines of the buffer, return nil.  When
	point is within blank lines just after a headline, return that
	headline.
	(org-element-context): Return nil when point is within the blank at
	the beginning of the buffer.

	* org.el (org-edit-special): Fix regression.
	(org-timestamp-has-time-p, org-timestamp-format)
	(org-timestamp-split-range, org-timestamp-translate): New
	functions.

	* org-element.el (org-element-timestamp-interpreter): Interpret
	timestamps ranges with repeaters.

	* org.el (org-edit-special): Rewrite `org-edit-special' using Org
	Elements tools.  Behavior should be unchanged.

	* org-element.el (org-element-context): Add an optional argument
	so that (org-element-context) and (org-element-context
	(org-element-at-point)) are equivalent.

	* ob.el: Only use the :wrap argument up to the first space when
	creating the #+END_ directive.

	* org-element.el (org-element-object-variables): New variable.
	(org-element-parse-secondary-string): Copy some buffer-local
	variables to the temporary buffer created to parse the string so
	links can still be properly expanded.
	(org-element-link-parser): Link expansion and translation are applied
	transparently for the parser.

	* org-element.el (org-element-line-break-parser): Line break
	includes the newline character following the backslashes.
	(org-element-line-break-interpreter): Apply changes to line break
	parsing.

	* org.el (org-all-targets): Fix radio targets detection when
	object is directly followed by a non-whitespace character.

	* ob.el (org-babel-use-quick-and-dirty-noweb-expansion): Renamed
	from `org-babel-use-quick-and-dirty-noweb-expansion'.
	(org-babel-expand-noweb-references): Use new variable name.

	* org-element.el (org-element-timestamp-interpreter): Fix
	timestamp interpreter when raw value isn't available.

	* ob-exp.el (org-babel-exp-non-block-elements): Make sure to parse
	inline babel call or inline src block instead of the following
	object.

	* org-element.el (org-element-timestamp-parser): Timestamp with
	time range has active/inactive-range type.
	(org-element-block-name-alist): Do not reset
	`org-element-block-name-alist' at each reload.
	(org-element-object-restrictions): Allow timestamps in parsed
	keywords (i.e. DATE).

	* org-agenda.el (org-agenda-show-clocking-issues)
	(org-agenda-format-item): Silence byte compiler.

	* org-colview.el (org-agenda-columns): Silence byte compiler.

	* org.el (org-properties-postprocess-alist): Silence byte
	compiler.

	* org-element.el (org-element-timestamp-parser): Return nil for
	unspecified :hour-end and :minute-end properties.
	(org-element-object-restrictions): Add footnote references objects
	in table cells.
	(org-element-interpret-data): Clear text properties when
	interpreting a string .

	* org-capture.el (org-capture--expand-keyword-in-embedded-elisp):
	Fix docstring.

	* org.el (org-adaptive-fill-function): Items do not have
	a :post-affiliated property.  Use :begin property instead.

	* org-element.el (org-element-headline-parser)
	(org-element-inlinetask-parser): Remove :clockedp property.

	* org.el (org-adaptive-fill-function): All elements do not have a
	:post-affiliated property.
	(org-macro-replace-all): Signal an error when a circular macro
	expansion happens.
	(org-macro-initialize-templates): Fix docstring.

	* org-element.el (org-element-map): Fix docstring.
	(org-element-contents, org-element-set-contents)
	(org-element-adopt-elements): Fix accessors and setters wrt
	secondary strings.
	(org-element-headline-parser)
	(org-element-inlinetask-parser): Fix void-function
	`org-clocking-buffer' error.
	(org-element-context): Fix org-element-context on parsed keywords.
	(org-element-context): Find objects in document and parsable
	affiliated keywords.
	(org-element-center-block-parser)
	(org-element-drawer-parser, org-element-dynamic-block-parser)
	(org-element-footnote-definition-parser)
	(org-element-plain-list-parser)
	(org-element-property-drawer-parser)
	(org-element-quote-block-parser, org-element-special-block-parser)
	(org-element-babel-call-parser, org-element-comment-parser)
	(org-element-comment-block-parser, org-element-diary-sexp-parser)
	(org-element-example-block-parser)
	(org-element-export-block-parser, org-element-fixed-width-parser)
	(org-element-horizontal-rule-parser, org-element-keyword-parser)
	(org-element-latex-environment-parser)
	(org-element-paragraph-parser, org-element-src-block-parser)
	(org-element-table-parser, org-element-verse-block-parser): Add
	`:post-affiliated' property to elements.
	(org-element-inlinetask-parser): Remove affilated keywords.

	* org.el (org-adaptive-fill-function): Use new property.

	* org-element.el (org-element--collect-affiliated-keywords):
	Allow duals keywords with only secondary value.
	(org-element-timestamp-parser): Modify timestamp objects
	properties.
	(org-element-headline-parser, org-element-inlinetask-parser): Remove
	`:timestamp' and `:clock' property.  Add `:clockedp' property.  Also,
	set `:closed', `:deadline' and `:scheduled' values to timestamp
	objects, not strings.  Small refactoring.
	(org-element-clock-parser): Rename `:time' property into `:duration'.
	Also, set `:value' value as a timestamp object, not a string.
	(org-element-planning-parser): Set `:closed', `:deadline' and
	`:scheduled' values to timestamp objects, not strings.
	(org-element-clock-interpreter, org-element-planning-interpreter)
	(org-element-timestamp-interpreter): Update interpreters.
	(org-element--current-element): Tiny refactoring.

	* ob.el (org-babel-where-is-src-block-result): Insert new results
	keyword in current narrowed part of buffer, if necessary.  Small
	refactoring.
	(org-babel-insert-result): Do not widen buffer when new results have
	to be inserted.  Therefore, results inserted after the last block of
	a narrowed buffer still belong to the narrowed part of the buffer.

	* org-agenda.el (org-agenda-get-deadlines): Tiny stylistic change.

	* org-element.el (org-element-paragraph-separate): Diary-sexp
	elements can separate paragraphs.
	(org-element-all-elements): Install new `diary-sexp' type.
	(org-element--current-element): Recognize new `diary-sexp' elements.
	(org-element-diary-sexp-parser)
	(org-element-diary-sexp-interpreter): New functions.
	(org-element-horizontal-rule-parser)
	(org-element-keyword-parser, org-element--current-element): Small
	refactoring.
	(org-element-property): Access to text properties when argument is
	a string.
	(org-element-put-property): Correctly set property when target is
	a string.
	(org-element-adopt-elements): Also put :parent properties on
	strings.

	* ob-exp.el (org-babel-exp-code): Escape code when re-creating a
	src blocks.
	(org-export-blocks-preprocess): Pos can sometimes be set to a
	value greater than start, because of indentation, and lead to a
	search bound error.
	(org-babel-exp-code): Remove comma-escaping special rule for Org
	blocks.
	(org-export-blocks-preprocess): Results of an evaluated code block
	can be inserted within the blank lines after the block.  Hence, if
	the block has to be removed, delete everything down to the first
	non-blank line after the end of block closing string, instead of
	removing everything down to the very end of the block.

	* org.el (org-all-targets): Make sure the regexp really matched a
	radio target.
	(org-macro-expand, org-macro-replace-all): Change signature.  The
	function now accepts an alist of templates so it doesn't have to
	rely only on `org-macro-templates'.
	(org-macro-initialize-templates): {{{date}}} is not anymore an
	alias for {{{time}}}.  During export, it will provide the value
	stored in DATE keyword instead.

	* org-element.el (org-element-object-restrictions): Allow links in
	caption.  Also allow inline-src-blocks and inline-babel-calls.
	(org-element-map): Change signature.
	(org-element-parsed-keywords): Remove document properties from the
	value.
	(org-element-dual-keywords): Fix docstring.
	(org-element-document-properties): New variable
	(org-element-all-elements): Add `node-property' as a new element
	type.
	(org-element-greater-elements): Add property-drawer element to
	greater elements since they now contain node-property elements.
	(org-element-drawer-parser): Small refactoring.
	(org-element-property-drawer-parser): Move into Greater Elements
	file section.
	(org-element-node-property-parser,
	org-element-node-property-interpreter): New functions.
	(org-element--current-element, org-element-at-point)
	(org-element--parse-elements): Handle new element type.
	(org-element--collect-affiliated-keywords): Fix return value.
	(org-element-center-block-parser)
	(org-element-drawer-parser, org-element-dynamic-block-parser)
	(org-element-footnote-definition-parser)
	(org-element-plain-list-parser, org-element-quote-block-parser)
	(org-element-special-block-parser, org-element-babel-call-parser)
	(org-element-comment-parser, org-element-comment-block-parser)
	(org-element-example-block-parser)
	(org-element-export-block-parser, org-element-fixed-width-parser)
	(org-element-horizontal-rule-parser, org-element-keyword-parser)
	(org-element-latex-environment-parser)
	(org-element-paragraph-parser, org-element-property-drawer-parser)
	(org-element-src-block-parser, org-element-table-parser)
	(org-element-verse-block-parser): Change signature.  Now use an
	additional argument: affiliated.
	(org-element--current-element): Skip affiliated keywords and pass
	them as an argument to parsers.  It prevents to walk through these
	keywords twice: the first time to get to the first line of the
	element, and a second time to collect the affiliated keywords.

	* ob-exp.el (org-babel-exp-non-block-elements): More accurate
	white space handling when evaluating inline-src-block, babel-call
	and inline-babel-call elements or objects.  Also removed use of
	`org-babel-examplize-region' since it would never be called
	anyway; return value from `org-babel-exp-do-export' is never nil.
	(org-export-blocks-preprocess): Preserve affiliated keywords when
	replacing a code block.

	* org-element.el (org-element-multiple-keywords): Allow multiple
	caption keywords.

	* ob-exp.el (org-export-blocks-preprocess): Fix block evaluation
	when results are before the block.
	(org-export-blocks-preprocess): Improve blank lines handling in
	function.  Add comments.  Remove `org-export-blocks-postblock-hook'
	since it's defined nowhere now (and doesn't need to, there's
	`org-export-before-parsing-hook' already).

	* org-exp-blocks.el: Delete.

	* ob-exp.el (org-export-blocks-preprocess):
	* ob-ditaa.el (org-ditaa-jar-path): Moved from
	"org-export-blocks.el".

	* ob-exp.el (org-babel-exp-src-block): Remove unused argument.
	(org-babel-exp-non-block-elements): Rewrite function using Org
	Element.

	* org-exp-blocks.el (org-export-blocks-preprocess): Rewrite
	function using Org Element.

	* org-element.el (org-element-recursive-objects)
	(org-element-object-restrictions): Remove `macro' from recursive
	object types.

	* org.el (org-macro-initialize-templates): Small refactoring.
	(org-mode): Initialize macros templates.
	(org-macro-templates): New variable.
	(org-macro-expand, org-macro-replace-all)
	(org-macro-initialize-templates): New functions.

	* org-element.el (org-element-link-type-is-file): New variable.
	(org-element-link-parser): Extract search option and application
	in "file"-type links.

	* org.el (org-mode): Set back comment-start-skip so comment-dwin
	can tell a keyword from a comment.

2013-11-12  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* org.el (org-time-stamp): When INACTIVE is non-nil, insert an
	inactive timestamp also with double universal argument.
	(org-set-regexps-and-options): Don't set font-lock defaults here.
	(org-mode): Set font-lock defaults here.
	(org-insert-link): Call `org-link-try-special-completion' from the
	original buffer.

2013-11-12  Oleh  <oleh.krehel@gmail.com>

	* org.el (org-open-at-point): The new code is being run in the
	same spot as `org-open-link-functions'.  In case they failed,
	check if link matches "^id:" and if so, load the id interface and
	follwo the link.

2013-11-12  Rasmus  <rasmus@gmx.us>  (tiny change)

	* ox-latex.el (org-latex--inline-image): The pgf format is
	associated to an inline image and treated like tikz files.

2013-11-12  Richard Lawrence  <richard.lawrence@berkeley.edu>  (tiny change)

	* org-agenda.el (org-cmp-ts): Avoid error when trying to
	`string-match' against nil.

2013-11-12  Rick Frankel  <rick@rickster.com>

	* ox-html.el (org-html-doctype): New function.
	(org-html-template): Use `org-html-doctype' instead of inline
	code.
	(org-html-headline): Use the new
	`org-html--container' function to set container element.
	(org-html--container): Returns appropriate element for headline
	container.
	(org-html-divs): Extra character in doc string.
	(org-babel-execute:sql): Unquote cmdline argument in
	format string, dbish requires three separate arguments.  Add dbi
	to the list of engines with automatically added header separator.
	(org-html--build-pre/postamble): Add css class to wrapper div
	(defaults to `org-pre/postamble-class').  Move spec building to
	separate function (`org-html-format-spec').
	(org-html-format-spec): New function.
	(org-pre/postamble-class): New variable.
	(org-html--timestamp-format): New variable used in the metadata
	and the pre/postamble.
	(org-html-style-default): Make the preamble and postamble use the
	same style.  Make all anchors font-size %100.  Remove margin from
	the content section.
	(org-html-container-element): Fix docstring.
	(org-html-postamble-format, org-html-preamble-format): Update
	docstrings.
	(org-html-template): Use `org-html--build-pre/postamble'.
	(org-html--build-pre/postamble): New function, combining the
	pre/postamble generator.  Merge lists of formatters from the
	preamble and postamble.  Fix bug, using :time-stamp-file instead
	of :with-date for auto display of date: this brings usage in-line
	with the latex and beamer exporter.
	(org-html--build-postamble, org-html--build-postamble): Delete.
	(define-backend): Add :html-doctype and :html-container
	parameters.
	(org-html-doctype): New option for doctype declaration.
	(org-html-container-elemnt): New option for specifying the wrapper
	container element.
	(org-html-divs): Change to alist of three entries each containing
	a key ('preamble, 'content, 'postamble), an HTML element type and
	an id to allow setting container elements.
	(org-html--build-preamble, org-html--build-postamble): Modified to
	use `org-html-divs'.
	(org-html-template): Modified to use doctype and container-element
	settings.
	(org-export-define-backend): Add css url option.
	(org-export-htmlized-org-css-url): Modify docstring and options.
	(org-html--build-style): Include css-url if specified.

2013-11-12  Roberto Huelga Díaz  <rhuelga@gmail.com>  (tiny change)

	* org-timer.el (org-timer-set-timer): Use the variable
	`org-clock-sound' when calling `org-notify'.

2013-11-12  Ryo TAKAISHI  <ryo.takaishi.0@gmail.com>

	* org-capture.el (org-capture--expand-keyword-in-embedded-elisp):
	New function.
	(org-capture-expand-embedded-elisp): Use the new function.

	* ob-tangle.el (org-babel-tangle-collect-blocks): Change argument
	name collid `org-babel-map-src-blocks' variable 'lang'.

	* org-protocol.el (org-protocol-convert-query-to-plist): New
	function.
	(org-protocol-do-capture): Use new function.
	(org-protocol-data-separator): Change default separator.

2013-11-12  Rémi Vanicat  <vanicat@debian.org>  (tiny change)

	* org-table.el (orgtbl-format-line): Fix bug when formatting line.

2013-11-12  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* ox-latex.el (org-latex-listings): Don't quote const value.

	* ob-C.el (org-babel-C-var-to-C): Add list support
	(org-babel-C-val-to-C-list-type, org-babel-C-val-to-C-type)
	(org-babel-C-format-val): New functions.
	(org-babel-C-ensure-main-wrap, org-babel-execute:C)
	(org-babel-execute:C++, rg-babel-execute:cpp)
	(org-babel-C++-compiler, org-babel-C-compiler): Improve docstring.

	* org-entities.el (org-entities): Add support for hbar.

2013-11-12  Sacha Chua  <sacha@sachachua.com>  (tiny change)

	* org.el (org-read-date-get-relative): Handle positive and
	negative weekday specifications so that they don't return today.
	If today is Friday, "fri" should mean next Friday.  This changes
	the previous behavior, which required you to specify "+2fri" in
	order to mean next Friday if today was Friday.  If you want to
	schedule something for today, you can use ".".

2013-11-12  Samuel Loury  <konubinix@gmail.com>  (tiny change)

	* org.el (org-open-at-point): Open a plain link even if the cursor
	is before it, which is consistent with the behavior with respect
	to bracket and angle links.

2013-11-12  Sean O'Halpin  <sean.ohalpin@gmail.com>  (tiny change)

	* ob.el (org-babel-expand-noweb-references): Capture current noweb
	start and end patterns then use them to set buffer locals in a
	(with-temp-buffer ...) form.

2013-11-12  Sebastien Vauban  <xxx@public.gmane.org>

	* ox-latex.el (org-latex-listings-langs): Update custom variable.

	* ob-core.el (org-babel-parse-src-block-match): Fix order of list
	of header arguments.

	* org-clock.el (org-clock-goto-before-context): New option.
	(org-clock-goto): Use the new option.
	(org-clocktable-write-default): Insert the summary as a standard
	#+CAPTION keyword for the (clock) table.

2013-11-12  Stephen Eglen  <S.J.Eglen@damtp.cam.ac.uk>  (tiny change)

	* org-agenda.el (org-agenda-prefix-format): Small docstring
	enhancement.

2013-11-12  Suhail Shergill  <suhailshergill@gmail.com>  (tiny change)

	* ob-core.el (org-babel-temp-file): For remote hosts, modify the
	prefix and leave `temporary-file-directory' unchanged.

2013-11-12  Suvayu Ali  <fatkasuvayu+linux@gmail.com>  (tiny change)

	* org.el (org-speed-commands-default): Change default binding for
	org-mark-subtree from "." to "@" to be more consistent with "C-c
	@".

2013-11-12  Tim Burt  <tcburt@rochester.rr.com>  (tiny change)

	* org-datetree.el (org-datetree-find-year-create): Also match
	headlines with tags.

2013-11-12  Toby S. Cubitt  <tsc25@cantab.net>

	* org.el (org-time-clocksum-format)
	(org-time-clocksum-fractional-format): In addition to a single
	format string, the clocksum formats can now be plists specifying
	separate formats for different time units.
	(org-minutes-to-clocksum-string): New function to replace
	`org-minutes-to-hh:mm-string', which converts a number of minutes
	to a string according to the customization options.

	* org-colview.el (org-columns-number-to-string): Use the new
	`org-minutes-to-clocksum-string' function to format clocksum
	durations.

	* org-clock.el: Always call new `org-minutes-to-clocksum-string'
	function when formatting time durations, instead of calling
	`org-minutes-to-hh:mm-string' or passing
	`org-time-clocksum-format' directly to format.

2013-11-12  Tokuya Kameshima  <kametoku@gmail.com>

	* org-mew.el (org-mew-inbox-folder, org-mew-use-id-db)
	(org-mew-subject-alist, org-mew-capture-inbox-folders)
	(org-mew-capture-guess-alist): New options.
	(org-mew-store-link, org-mew-open): Rewrite.
	(org-mew-folder-name, org-mew-follow-link)
	(org-mew-folder-eixsts-p, org-mew-get-msgnum)
	(org-mew-open-by-message-id, org-mew-search, org-mew-capture)
	(org-mew-capture-guess-selection-keys): New functions.

2013-11-12  Trevor Murphy  <trevor.m.murphy@gmail.com>  (tiny change)

	* org.el (org-get-compact-tod): Always pad minutes to two places.

2013-11-12  Viktor Rosenfeld  <listuser36@gmail.com>  (tiny change)

	* org.el (org-agenda-prepare-buffers): Add tags defined in
	`org-tag-persistent-alist' to `org-tag-alist-for-agenda'.

2013-11-12  Vitalie Spinu  <spinuvit@gmail.com>

	* ob-tangle.el (org-babel-find-file-noselect-refresh): Call
	`find-file-noselect' with 'nowarn argument to surpress
	`yes-or-no-p' reversion message.

	* ob-core.el (org-babel-where-is-src-block-head): Return
	`point-marker' instead of `point'.

2013-11-12  Yann Hodique  <yann.hodique@gmail.com>

	* org-publish.el (org-publish-org-to-taskjuggler): New function to
	publish taskjuggler projects.

2013-11-12  Yasushi Shoji  <yashi@atmark-techno.com>

	* org-clock.el (org-clock-x11idle-program-name): New option.
	(org-x11idle-exists-p, org-x11-idle-seconds): Use it.

2013-11-12  Yoshinari Nomura  <nom@quickhack.net>

	* ox-html.el (org-html--has-caption-p): New function.
	(org-html-link--inline-image, org-html-table): Prepend ordinal
	number to caption.
	(org-html-link): Make numbered link by counting captioned figures
	and tables.

	* ox.el (org-export-dictionary): Add Japanese translations for
	figures and tables.  Add "Figure %d:" entry in the same manner
	with "Table %d:".

2013-11-12  Nicolas Richard  <nrichard@ulb.ac.be>

	* ob.el (org-babel-edit-distance): When insertion or deletion are
	needed, make sure the distance is incremented.  In addition, the
	now obsolete mmin function was removed.

2013-11-12  Oleh Krehel  <wave@mail.ua>

	* org-capture.el (org-capture-expand-embedded-elisp): Throw error
	if result is not a string and not nil.  If the result is nil,
	treat it as if it was the empty string.

	* org-clock.el (org-clock-notify-once-if-expired): Honor
	`org-clock-sound'.

2013-11-12  Rasmus Pank  <rasmus.pank@gmail.com>

	* org.el (org-format-latex-header): Remove eucal and amsmath.
	(org-latex-default-packages-alist): Remove amstext and add
	amsmath.

	* ox-latex.el (org-latex-item): Use square as unchecked symbol.

	* org.el (org-latex-default-packages-alist): Remove latexsym.

	* org-entities.el (org-entities): Add support for ell, imath,
	jmath, varphi, varpi, aleph, gimel, beth, dalet, cdots, S (§),
	dag, ddag, colon, therefore, because, triangleq, leq, geq,
	lessgtr, lesseqgtr, ll, lll, gg, ggg, prec, preceq, preccurlyeq,
	succ, succeq, succurlyeq, setminus, nexist(s), mho, check, frown,
	diamond.  Changes loz, vert, checkmark, smile and tilde.

	* ob-C.el: Added C++ to `org-babel-load-languages' automatically
	after loading C.

	* org-src.el (org-src-lang-modes): Added association between
	language C++ and `c++-mode'.

	* ox.el (org-export-smart-quotes-alist): Added ("da" "no" "nb"
	"nn" "sv").
	(org-export-dictionary): Added some entries ("da" "no" "nb" "nn"
	"sv").
	(org-export-default-language): Mention other variables affected by
	language.

	* ox-latex.el (org-latex-babel-language-alist): Added 'nb', 'nn',
	and 'no' for Norwegian.  Removed 'no-no'.
	(org-latex-pdf-process): let `latexmk' be a preconfigured choice
	and change the wording of the docstring.
	(org-latex-guess-babel-language): Replace AUTO with language if
	AUTO is the option of the LaTeX package Babel.
	(org-latex-classes): Updated documentation with respect
	to `org-latex-guess-babel-language'.

2013-11-12  Дядов Васил Стоянов  <vdyadov@elvees.com>  (tiny change)

	* org-docview.el (org-docview-export): New function to export
	docview links.

2013-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* org-agenda.el (org-agenda-mode):
	* org-indent.el (org-indent-mode): Use the `local' arg of
	add-hook/remove-hook.

2013-03-08  Bastien Guerry  <bzg@gnu.org>

	* org-exp.el (org-export-normalize-links): Fix critical bug: do
	not rely on `org-context' to guess where to prevent links
	normalization.

2013-02-28  Achim Gratz  <Stromeko@Stromeko.DE>

	* org.el (org-org-menu): Use correct key "C-u C-c C-x !" to do
	org-reload uncompiled in the menu.

2013-02-28  Bastien Guerry  <bzg@gnu.org>

	* org-indent.el (org-indent-add-properties): Bugfix: prevent
	negative value for `added-ind-per-lvl'.

	* org.el (org-mode): Add `org-fix-ellipsis-at-bol' to
	`isearch-mode-end-hook' so that any isearch fixes the problem with
	ellipsis on the first line.
	(org-fix-ellipsis-at-bol): New defsubst.
	(org-show-context, org-isearch-end): Use it.

	* org.el (org-show-context): Remove useless catch.
	Make sure the top of the window is a visible headline.
	(org-activate-plain-links): Remove unused catch.

	* org-macs.el (org-get-alist-option): Return nil, not (nil),
	so that `org-show-context' DTRT.

	* org.el (org-imenu-get-tree): Fix bug when matching against empty
	headlines.

	* org.el (org-overview): Stay on current line.
	(org-map-entries): Fix docstring.
	(org-at-clock-log-p): Delete.
	* org-clock.el (org-at-clock-log-p): Move here.

	* org.el (org-tsr-regexp-both): Don't activate dates in links.
	(org-activate-dates): Change match boundaries according to the new
	value of `org-tsr-regexp-both'.

	* org-agenda.el (org-agenda-to-appt): Fix typos.

	* org-agenda.el (org-agenda-local-vars): Don't include
	`org-agenda-show-window' as it needs to be checked outside of the
	agenda window.

	* org.el (org-set-tags-command): Fix bug when setting tags for
	multiple headlines in an active region.

	* org-mobile.el (org-mobile-edit): DTRT when inserting a heading
	in an invisible region.

	* org.el (org-insert-heading-respect-content): Add docstring.
	New `invisible-ok' parameter.
	(org-insert-todo-heading-respect-content): Add docstring.

	* ob-tangle.el (org-babel-tangle-collect-blocks):
	Bugfix: remove code references from blocks.

	* org-agenda.el (org-agenda-schedule, org-agenda-deadline):
	Cosmetic changes.
	(org-agenda-show-new-time): Fix bug when displaying a temporary
	overlay with the scheduled/deadline information.

	* org.el (org-fill-paragraph-with-timestamp-nobreak-p): New function.
	(org-setup-filling): Use it to prevent breaking a timestamp when
	filling a paragraph.

	* org-id.el (org-id-get-with-outline-path-completion): Fix docstring.

2013-02-28  Tim Burt  <tcburt@rochester.rr.com>  (tiny change)

	* org-datetree.el (org-datetree-find-year-create):
	Match headlines with tags.

2013-02-07  Bastien Guerry  <bzg@gnu.org>

	* org-agenda.el (org-agenda-get-deadlines)
	(org-agenda-get-scheduled): Fix bug: use text properties for the
	headline text since we rely on properties to get e.g. the effort.

	* org-exp.el (org-export-normalize-links): Don't match links
	within tags.

	* org-html.el (org-export-html-preamble-format)
	(org-export-html-postamble-format): Mention that
	org-export-html-preamble/postamble need to be `t' in order for
	these variables to have any effect.

	* org-html.el (org-html-handle-links): When the link description
	is an image and the attribute is "width", pass the attribute to
	the <img ...> tag.

	* org.el (org-mode): Always honor `org-startup-indented', even
	when `org-inhibit-startup' is non-nil.

	* org-indent.el (org-indent-mode): Don't check
	`org-inhibit-startup'.

	* org.el (org-fontify-meta-lines-and-blocks-1): Don't try to add
	text properties outside of the buffer.

	* org.el (org-agenda-inhibit-startup): Rename from
	`org-agenda-inhibit-startup-visibility-cycling'.
	(org-agenda-prepare-buffers): Bind `org-inhibit-startup' to
	`org-agenda-inhibit-startup'.

	* org.el (org-mode): Don't initialize `org-beamer-mode' when
	`org-inhibit-startup' is non-nil.

	* org-footnote.el (org-footnote-create-definition): Prevent
	`electric-indent-mode' from inserting the definition at the wrong
	place.

	* org-agenda.el (org-agenda-no-heading-message): Delete.
	(org-agenda-get-timestamps, org-agenda-get-progress)
	(org-agenda-get-deadlines, org-agenda-get-scheduled)
	(org-agenda-get-blocks): Don't use
	`org-agenda-no-heading-message', skip the entry.

	* org.el (org-agenda-inhibit-startup-visibility-cycling):
	New option.
	(org-agenda-prepare-buffers): Use it to speed up the agenda
	generation.

	* org-agenda.el (org-agenda-skip): Fix bug by correctly skipping
	commented scheduled/deadline lines.

	* org-clock.el (org-clock-in): Fix bug when fetching the effort
	value.

	* ob-python.el (org-babel-python-command): Fix docstring.
	(org-babel-python-initiate-session-by-key): Fix bug: `run-python'
	from Emacs >24.1 requires a python command as an argument.

	* org-element.el (org-element-at-point): Fix typo in docstring.

	* org-agenda.el (org-agenda-get-deadlines): Fix bug: use
	`org-agenda-show-inherited-tags'.

	* org-agenda.el (org-agenda-skip): Correctly handle commented out
	scheduled/deadline lines.  Refactor.

	* org-install.el: Do not warn users.

	* org.el (org-adaptive-fill-function): In message-mode, don't
	lines in the message header, nor table lines in the body.
	Correctly fill lines starting with `org-outline-regexp' in the
	body.

	* org-agenda.el (org-agenda-open-link): Fix bug with opening all
	links.

2013-02-07  Francesco Pizzolante  <fpz-djc/iPCCuDYQheJpep6IedvLeJWuRmrY@public.gmane.org>  (tiny change)

	* org-clock.el (org-clock-sum): Protect with `org-unmodified'.

	* org-macs.el (org-unmodified): Inhibit modification hooks.

2013-02-07  John K. Luebs  <jkluebs@luebsphoto.com>  (tiny change)

	* org.el (org-get-wdays): Handle matching a lead time specified in
	hours.

2013-02-07  Muchenxuan Tong  <demon386@gmail.com>  (tiny change)

	* org-agenda.el (org-agenda-quit): Delete indirect buffer's window
	only when it exists.

2013-02-07  Nicolas Goaziou  <n.goaziou@gmail.com>

	* org-element.el (org-element-macro-parser): Fix error when last
	argument ends with a protected comma.

	* org-element.el (org-element-parse-buffer, org-element-map)
	(org-element-at-point, org-element-context): Be more verbose in
	docstrings.  Also fix typos.

	* org-list.el (org-list-struct-fix-box): When a checkbox has to be
	resetted because of a non-nil ORDERED property value, make sure it
	had a checkbox already.

2013-02-07  Tokuya Kameshima  <kametoku@gmail.com>  (tiny change)

	* org-agenda.el (org-search-view): Fix checking
	`org-agenda-show-inherited-tags'.

2013-02-07  racin  <racin@free.fr>  (tiny change)

	* org-bibtex.el (org-bibtex-search): Don't throw an error when
	`org-bibtex-prefix' is nil.

2013-01-13  Bastien Guerry  <bzg@gnu.org>

	* org-compat.el (org-condition-case-unless-debug): Delete.

	* org-odt.el (org-odt-cleanup-xml-buffers):
	Use `condition-case' instead of `org-condition-case-unless-debug',
	which is now deleted.

	* org-capture.el (org-capture-templates-contexts):
	* org-agenda.el (org-agenda-custom-commands-contexts):
	Docstring fix.

	* org.el (org-get-tags-at): Remove duplicate inherited tags.

	* org-agenda.el (org-agenda-show-inherited-tags): Allow to be set
	to 'always or to a list of agenda types.
	(org-agenda-finalize): Rework conditions under which inherited
	tags should be made available even when not displayed.
	(org-search-view, org-agenda-get-todos)
	(org-agenda-get-timestamps, org-agenda-get-sexps)
	(org-agenda-get-progress, org-agenda-get-scheduled)
	(org-agenda-get-blocks): Use new possible values of
	`org-agenda-show-inherited-tags'.

	* org.el (org-open-at-point): Fix opening all links at point.

	* org-agenda.el (org-get-entries-from-diary): Turn off
	`diary-file-name-prefix' instead of
	`diary-file-name-prefix-function', the former is checked before
	the latter.

	* org.el (org-edit-special): Check for table.el before checking
	for Org tables.

2013-01-13  Michael Albinus  <michael.albinus@gmx.de>

	* ob-eval.el (org-babel-shell-command-on-region):
	Use `executable-find' for local `shell-file-name'.

2013-01-09  Achim Gratz  <Stromeko@Stromeko.de>

	* org-faces.el: Define face alias mode-line for XEmacs (it's
	called modeline there).

	* org-compat.el (org-no-popups): New wrapper macro which let-binds
	the correct variables to suppress popup windows depending on the
	Emacs version in use.  This is a compile-time decision when
	byte-compiling.

	* org.el (org-get-location, org-switch-to-buffer-other-window):
	Use the wrapper `org-no-popups' to let-bind the correct variables
	for suppression of popup windows.

	* org-compat.el (user-error): Defalias to `error' for Emacsen that
	don't have it.

	* org-agenda.el (org-agenda-write): Use org-called-interactively-p
	instead of called-interactively-p.

	* org.el (org-find-invisible-foreground): Do not use the value of
	variables `default-frame-alist', `initial-frame-alist' and
	`window-system-default-frame-alist' when their symbol is not bound.

2013-01-09  Bastien Guerry  <bzg@gnu.org>

	* org-src.el (org-edit-src-code): Fix bug when trying to edit a
	table.el table.

	* org-agenda.el (org-agenda-finalize): Inhibit readonly for the
	whole function.

	* org.el (org-entry-get): Speed up by let-binding some variables
	only if needed.  Also fix a bug: consider an empty drawer as no drawer.

	* org-agenda.el (org-search-view, org-agenda-get-todos)
	(org-agenda-get-timestamps, org-agenda-get-sexps)
	(org-agenda-get-progress, org-agenda-get-deadlines)
	(org-agenda-get-scheduled, org-agenda-get-blocks)
	(org-agenda-change-all-lines): Get local tags only.
	(org-agenda-use-tag-inheritance): New option.
	(org-agenda-finalize): When `org-agenda-use-tag-inheritance'
	is non-nil, possibly reset tags in the agenda buffer.
	(org-agenda-check-type): Enhance docstring.

	* org.el (org-use-tag-inheritance): Fix typo in docstring.

	* org-agenda.el (org-float): Don't alias `org-float'.

	* org.el (org-scan-tags): The skipper already checks for archived
	entries.

	* org.el (org-refresh-properties): Rename from
	`org-refresh-effort-properties' and use two new parameters.
	(org-agenda-prepare-buffers): Use `org-refresh-properties'.
	Also refresh the 'org-appt-warntime text property.

	* org-clock.el (org-clock-in): Use the renamed defun.

	* org-icalendar.el (org-icalendar-print-entries):
	Refresh the 'org-appt-warntime property.
	(org-icalendar-print-entries):
	* org-agenda.el (org-agenda-get-timestamps)
	(org-agenda-get-sexps, org-agenda-get-deadlines)
	(org-agenda-get-scheduled): Do not use `org-entry-get' to get the
	"APPT_WARNTIME" property value.

	* org.el (org-id-link-to-org-use-id): Fix compiler warning.

	* org-agenda.el (org-agenda-format-item): Do not use
	`org-get-effort' to get the effort text property.
	(org-agenda-get-sexps): Use `org-back-to-heading' when setting tags.

	* org-clock.el (org-clock-in): Refresh effort properties.

	* org.el (org-refresh-effort-properties): New defun.
	(org-get-effort): Delete.
	(org-set-effort):
	(org-property-next-allowed-value): Set the 'org-effort text property.
	(org-agenda-prepare-buffers): Refresh effort properties.

	* org.el (org-read-date): Let-bind `mouse-autoselect-window' to
	nil so that the mouse doesn't jump when the option is set to t globally.

	* org-agenda.el (org-agenda-dim-blocked-tasks): Default to nil.
	(org-agenda-dim-blocked-tasks): Make interactive and allow an
	optional parameter 'invisible to hide blocked tasks instead of
	just dimming them.
	(org-agenda-mode-map): Bind `org-agenda-dim-blocked-tasks' to "#".

	* org-agenda.el (org-agenda-finalize): Don't try to align tags
	when there are no tags.  Only try to draw the habit consistency
	graph when there is a habit in the buffer.  Only mark clocking
	task when there is one.

	* org.el (org-adaptive-fill-function): DTRT in `message-mode'.

	* org.el (org-get-priority): Save match data even when using
	`org-get-priority-function'.

	* org-mobile.el (org-mobile-create-index-file):
	Possibly normalize `org-todo-keywords'.

	* org-mobile.el (org-mobile-push): Use the correct agenda buffer names.

	* org.el (org-store-link): Use `org-id-link-to-org-use-id' instead
	of the obsolete variable name.

	* org.el (org-fontify-meta-lines-and-blocks-1):
	Fix bug when fontifying keywords with no value.

	* org.el (org-goto-auto-isearch): Enhance docstring.
	(org-goto-map): Make a defun, so that the customized value of
	org-goto-auto-isearch is correctly initialized.
	(org-goto): Initialize the keymap with `org-goto-map'.
	(org-get-location): Use *Org Help* as a temporary buffer.
	Tell whether auto-isearch is on or off.

	* org-exp.el (org-export-as-org): Remove useless argument.

	* org-docbook.el (org-export-as-docbook-batch)
	(org-export-region-as-docbook, org-export-as-docbook-pdf):
	Fix the number of arguments.
	(org-export-as-docbook): Remove useless argument.

	* org.el (org-speed-commands-default): Use ":" instead of ";" for
	`org-set-tags-command', which is consistent with ":" in agenda
	view.  Use "=" for `org-columns".

	* org.el (org-sparse-tree): Fix redundant information in prompt.

	* org-exp.el (org-export-string): Fix number of arguments passed
	to the org-export-as-* functions.

	* org-latex.el (org-export-as-latex): Fix typo in docstring.

	* org-list.el (org-cycle-include-plain-lists): Docstring enhancement.

	* org.el (org-fontify-meta-lines-and-blocks-1): Fix fontification
	bug when fontifying a keyword with no associated value.
	(org-cycle-internal-local): Don't run hooks when cycling a plain
	list before first headline.
	(org-ctrl-c-ctrl-c): Throw a user error when trying to toggle a
	blocked checkbox.
	(org-indent-line): Fix table formulas indenting.

	* org-agenda.el (org-agenda-open-link): Fix bug when no link is
	matched.  Return a message instead of an error.
	(org-agenda-priority): Remove useless parameter and fix showing
	priority in agenda buffers.

	* org-macs.el (org-with-buffer-modified-unmodified): New macro.

	* org.el (org-entry-blocked-p): Use the new macro.

	* org-src.el (org-edit-src-exit): Don't comma-escape the content
	of a fixed width region.

	* org.el (org-blocker-hook): Update the docstring to mention that
	functions in this hook should not modify the buffer.
	(org-trigger-hook): Small docstring fix.
	(org-entry-blocked-p): Use `with-buffer-modified-unmodified'
	so that the function never modifies the buffer.

	* org-agenda.el (org-agenda-open-link): Allow to open an internal
	link by using the new `org-offer-links-in-entry' function.

	* org.el (org-offer-links-in-entry): Do not open the link directly
	through `org-open-link-from-string', only offer to select a link
	and return a cons with the link (as a string) and the end of entry.
	(org-open-at-point): Use `org-offer-links-in-entry' correctly.

	* org.el (org-cycle-internal-local):
	Fix bug: allow headings with leading blank characters.

	* org-clock.el (org-clock-persist):
	Docstring fix: document the 'history value.

	* org.el (org-insert-link): Fix bug when inserting links to
	headlines containing the ">" character.

	* org-crypt.el (org-at-encrypted-entry-p): Fix search boundary.

	* org-compat.el (org-delete-directory): New compatibility function
	for Emacs 22, where `delete-directory' does not support recursive
	deletion.

	* org-odt.el (org-odt-cleanup-xml-buffers):
	Use the new compatibility function.

	* org.el (org-table-map-tables): Fix allowed blocks.

	* org.el (org-edit-special):
	* org-src.el (org-edit-src-code): Fix regression: allow editing
	HTML and LaTeX source blocks again.

	* org.el (org-nonsticky-props): Add `htmlize-link'.
	(org-nonsticky-props): Add `htmlize-link'.

	* org.el (org-edit-special):
	* org-src.el (org-edit-src-code): Don't edit in verbatim blocks.

	* org-table.el (org-table-fedit-lisp-indent)
	(orgtbl-self-insert-command): Use `org-delete-backward-char'
	instead of `backward-delete-char'.

	* org-src.el (org-edit-src-code): Fix another bug about editing
	special blocks "example" and "verbatim".

	* org.el (org-structure-template-alist): Add verbatim.
	(org-edit-special): Fix bug about editing special blocks
	"example" and "verbatim".

	* org.el (org-delete-backward-char, org-delete-char):
	Save match data, `delete-backward-char' and `delete-char' don't.

	* org.el (org-enable-table-editor, org-insert-heading)
	(org-remove-timestamp-with-keyword, org-self-insert-command):
	* org-table.el (org-table-fedit-lisp-indent)
	(orgtbl-self-insert-command):
	* org-latex.el (org-export-latex-subcontent):
	* org-clock.el (org-clocktable-write-default):
	* org-ascii.el (org-export-ascii-preprocess):
	Use `delete-backward-char' instead of `backward-delete-char'.

	* org.el (org-todo): Ignore the comment string when changing the
	TODO state of a headline.
	(org-edit-special): Fix docstring.
	(org-in-src-block-p): Small enhancement.

	* org-publish.el (org-publish-org-to): Call `org-export-as-*'
	functions with the correct list of arguments.

	* org-html.el (org-export-as-html): Delete obsolete arg `hidden'.
	(org-export-as-html-and-open, org-export-as-html-batch)
	(org-export-region-as-html): Don't use obsolete arg.

	* org-ascii.el (org-export-as-ascii): Delete obsolete arg `hidden'.
	(org-export-as-ascii-to-buffer): Don't use obsolete arg.

	* org.el (org-in-fixed-width-region-p): Save match data.
	(org-in-src-block-p): Use case-folding for searching the block
	boundaries.
	(org-activate-plain-links, org-activate-angle-links)
	(org-activate-bracket-links): Prevent link activation in
	source code blocks.

	* org-odt.el (org-odt-cleanup-xml-buffers): Fix Emacs Bug#13197 by
	setting the correct buffer before marking it unmodified to
	silently kill him.

	* org.el (org-set-font-lock-defaults): Don't activate links in
	source code blocks and fixed-width regions.

	* org-agenda.el (org-agenda-finalize): Fix links activation.

	* org.el (org-open-at-point): Throw the correct error on
	non-links.  Use `user-error' instead of `error'.

	* org.el (org-in-fixed-width-region-p): Define before use.

	* org-src.el (org-in-src-block-p): Declare function.

	* org-compat.el: Fix bug: don't use `eval-when-compile' when
	aliasing `user-error'.

	* org-agenda.el (org-agenda-skip): Only check if point is
	inside a code block, not at a code block.

	* org.el (org-in-fixed-width-region-p):
	Rewrite using org-element.el.

	* org.el (org-fill-paragraph): Fill correctly in source code block.

	* org.el (org-in-fixed-width-region-p): New function.
	(org-edit-special): Fix bug: make sure to DTRT in every
	special environment.  Also use the new function to check
	against fixed-width environment.

	* org-src.el (org-edit-src-code): Check if we are in a source code
	block with `org-in-src-block-p'.  Slightly reformat the docstring.

	* org.el (org-in-src-block-p): Return t when point is at the
	#+BEGIN_SRC/#+END_SRC lines unless the new optional parameter
	'inside is set to t.

	* ob-exp.el (obe-marker): Delete useless var.

	* org-src.el (org-edit-src-code): Fix bug triggered by the sexp
	(copy-marker nil) on Emacs <24.1.

2013-01-09  Dmitry Antipov  <dmantipov@yandex.ru>

	* org-agenda.el (org-agenda-get-restriction-and-command):
	* org-capture.el (org-capture-place-template):
	* org-colview.el (org-dblock-write:columnview):
	* org-mobile.el (org-mobile-locate-entry):
	* org-table.el (org-table-convert-region):
	* org.el (org-update-statistics-cookies): Use `point-marker'.

2013-01-09  Eric Schulte  <eric.schulte@gmx.com>

	* org-exp.el (org-export-string): Pass the dir option on through
	to any subsequent export functions.

2013-01-09  Henning Weiss  <hdweiss@gmail.com>  (tiny change)

	* org-mobile.el (org-mobile-sumo-agenda-command): Remove match
	description from block agendas when they have a title.

2013-01-09  Jambunathan K  <kjambunathan@gmail.com>

	* org-odt.el (org-export-as-odt-batch): Init `org-odt-zip-dir'.
	Fix Emacs Bug#13254.

	* org-odt.el (org-odt-format-org-link): Add check for presence of
	description in headline links.

2013-01-09  Michael Gauland  <mike_gauland@stanfordalumni.org>  (tiny change)

	* org-src.el: Create a marker to pass to copy-marker.

2013-01-09  Nicolas Goaziou  <n.goaziou@gmail.com>

	* org.el (org-setup-filling): Set `auto-fill-inhibit-regexp' to
	nil because `org-adaptive-fill-function' already determines which
	lines should be filled.

	* org.el (org-fill-paragraph): Small refactoring.

	* org-element.el (org-element--parse-elements)
	(org-element-at-point): Fix parsing of a list in a block in a list.

2013-01-09  Sebastien Vauban  <wxhgmqzgwmuf-geNee64TY+gS+FvcfC7Uqw@public.gmane.org>

	* org.el (org-copy-subtree, org-paste-subtree):
	Fix whitespace handling when copying/pasting a subtree.

2012-12-20  Michael Albinus  <michael.albinus@gmx.de>

	* ob.el (org-babel-temp-file): Fix setting of
	`temporary-file-directory' on remote hosts.

	* ob-eval.el (org-babel-shell-command-on-region):
	Use `process-file' instead of `call-process-region'.  The latter one
	does not work on remote hosts.

2012-12-13  Bastien Guerry  <bzg@gnu.org>

	* org-latex.el (org-export-latex-links): Escape raw path when
	exporting links to files.

	* org-src.el (org-src-native-tab-command-maybe): Fix bug: the
	S-TAB key should not trigger a native TAB command.

	* org.el (org-open-at-point): Allow to open any link within
	footnotes definition, not only bracket links.

	* org.el (org-sort-entries): Bugfix: keep track of the clock
	marker when sorting entries.  Enhance the docstring.

	* org-clock.el (org-clock-out): Use `user-error' when the user
	tries to clock out while there is no running clock.

	* org-table.el (org-table-sort-lines): Ensure coordinates are
	correctly displayed when sorting.

	* org.el (org-do-sort): Enhance prompt.

	* org-agenda.el (org-agenda-finalize): Also activate plain links.

	* org-timer.el (org-timer-stop): Add message.

	* org-agenda.el (org-agenda-schedule, org-agenda-deadline):
	Fix redundant messages.

	* org-agenda.el (org-agenda-finalize): Fix clock highlighting.

	* org.el (org-additional-option-like-keywords): Add "INDEX:".

	* org-install.el: Enhance warning.

2012-12-13  Erik Hetzner  <egh@e6h.org>  (tiny change)

	* org.el (org-log-into-drawer): Honor the nil value for the
	:LOG_INTO_DRAWER: property.

2012-12-13  Le Wang  <l26wang@gmail.com>  (tiny change)

	* org-src.el (org-edit-src-exit): Fix editing source section with
	blank lines.

2012-12-13  Le Wang  <le.wang@agworld.com.au>

	* org-src.el (org-edit-src-code): Use marker with insertion type
	t to track end and remove hack requiring delete from beg to (1- end).

2012-12-13  Nicolas Goaziou  <n.goaziou@gmail.com>

	* org-element.el (org-element-context): When point is between two
	objects, be sure to return the second one.

	* org-list.el (org-list-separating-blank-lines-number):
	When computing number of blank lines separating items, also count those
	in unparsed blocks, like example blocks.

	* org.el (org-end-of-line): When visual line mode is on, really
	move by visual lines.  Small refactoring.

	* org.el (org-end-of-line): On a hidden block make sure to
	delegate motion to `end-of-line' instead of `move-end-of-line' in
	order to stay on the current line.

2012-12-13  Rafael Laboissiere  <rafael@laboissiere.net>  (tiny change)

	* org-bibtex.el: In the documentation section of the file, fix the
	broken URL to Andrew Roberts' document on BibTeX entries.

	* org-remember.el (org-remember-handler): Correctly strip the
	comment lines in the temporary buffer *Remember* when handling a
	remember note.

	* org-remember.el (org-remember-apply-template): Start the
	commented lines in the Remember temporary buffer with the
	appropriate characters.

2012-12-13  Toby S. Cubitt  <tsc25@cantab.net>

